2000-02-26 23:13  theoddone33

	* configure.in, common/cd_audio.c, common/cd_linux.c,
	common/cd_sdl.c, common/cd_win.c, common/cl_cam.c,
	common/cl_ents.c, common/cl_input.c, common/cl_main.c,
	common/client.h, common/cmd.c, common/common.c, common/common.h,
	common/common_quakedef.h, common/console.c, common/cvar.c,
	common/cvar.h, common/cvars.c, common/cvars.h, common/d_iface.h,
	common/d_init.c, common/d_local.h, common/draw.c, common/gl_draw.c,
	common/gl_model.c, common/gl_rlight.c, common/gl_rmain.c,
	common/gl_rmisc.c, common/gl_rpart.c, common/gl_rsurf.c,
	common/gl_screen.c, common/gl_vidglx.c, common/gl_vidlinux_3dfx.c,
	common/gl_vidnt.c, common/gl_warp.c, common/glquake.h,
	common/host.c, common/in_dos.c, common/in_sun.c,
	common/in_svgalib.c, common/in_win.c, common/in_x11.c,
	common/net.h, common/plugin.c, common/pr_cmds.c, common/pr_edict.c,
	common/qargs.c, common/quakedef.h, common/quakefs.c,
	common/r_edge.c, common/r_main.c, common/r_misc.c,
	common/r_shared.h, common/r_surf.c, common/register_check.c,
	common/register_check.h, common/sbar.c, common/server.h,
	common/skin.c, common/snd_dma.c, common/snd_mem.c,
	common/snd_mix.c, common/snd_null.c, common/sound.h,
	common/sw_rpart.c, common/sys_common.c, common/sys_linux.c,
	common/vid_aa.c, common/vid_dos.c, common/vid_ext.c,
	common/vid_ggi.c, common/vid_sdl.c, common/vid_sunx.c,
	common/vid_sunxil.c, common/vid_svgalib.c, common/vid_vga.c,
	common/vid_win.c, common/view.h, qw_client/cl_parse.c,
	qw_client/cl_pred.c, qw_client/d_edge.c, qw_client/menu.c,
	qw_client/screen.c, qw_client/view.c, qw_common/net_chan.c,
	qw_common/screen.h, qw_server/sv_ccmds.c, qw_server/sv_main.c,
	qw_server/sv_phys.c, qw_server/sv_send.c, qw_server/sv_user.c,
	qw_server/sys_unix.c, qw_server/sys_win.c, uquake/cl_parse.c,
	uquake/cl_pred.c, uquake/d_edge.c, uquake/host_cmd.c,
	uquake/menu.c, uquake/net_comx.c, uquake/net_dgrm.c,
	uquake/net_loop.c, uquake/net_main.c, uquake/net_mp.c,
	uquake/net_udp.c, uquake/net_wins.c, uquake/net_wipx.c,
	uquake/screen.c, uquake/screen.h, uquake/sv_main.c,
	uquake/sv_phys.c, uquake/sv_user.c, uquake/sys_dos.c,
	uquake/sys_win.c, uquake/sys_wind.c, uquake/view.c: Non functional
	cvar code.  Compiles, but won't run.

2000-02-26 22:26  knghtbrd

	* uquake/sbar.c: "flashing" sbar problem in X11 clients fixed
	statusbar is now always "normal" with -hipnotic and -rogue

2000-02-26 22:03  knghtbrd

	* common/gl_rmain.c, common/gl_vidglx.c, common/gl_vidlinux_3dfx.c,
	uquake/sbar.c: gl_clear defaults to 1 now, clears to black (avoids
	snow) cl_sbar 1 should work now

2000-02-26 19:34  knghtbrd

	* common/gl_rmain.c, common/gl_vidglx.c, qw_server/sv_ccmds.c,
	qw_server/sv_phys.c: r_clearcolor currently doesn't work for GL. 
	Broke it while fixing it.  It doesn't matter if you don't use
	noclip in uquake for map debugging.  On the upside, I fly should
	work in qw-server now.	MegaTF fans rejoice!

2000-02-26 19:32  mercury

	* common/in_x11.c: Err, never mind on buttons 4 and 5..

2000-02-26 19:31  mercury

	* common/: cmd.c, gl_rpart.c, in_x11.c: Added support for escaping
	things with \, may require some config changes..
	
	Cleaned up the ifdefs in gl_rpart.c Added support for mouse buttons
	4 and 5 in in_x11..

2000-02-26 01:04  taniwha

	* common/sys.h, qw_server/sys.h: merge qw_server/sys.h into
	common/sys.h

2000-02-26 00:39  dadragon

	* qw_server/sys_unix.c: more autoconf stuff... HAVE_MALLOC_H for
	OpenBSD and FreeBSD

2000-02-25 20:06  dadragon

	* common/: qargs.c, quakeio.c: 
	add the HAVE_MALLOC_H ifdef so OpenBSD compiles cleanly

2000-02-25 19:42  dadragon

	* configure.in: 
	changes to support openbsd, such as a better check to enable
	USE_BSD_CD check for malloc.h, openbsd build with -Werror bombs
	when it's included

2000-02-25 02:21  taniwha

	* common/model.c, qw_server/model.c: merge qw_server/model.c into
	common/model.c

2000-02-25 01:17  taniwha

	* common/model.c, qw_server/model.c: There was a discrepancy in the
	definitions of MAX_MOD_KNOWN.  gl_model.c had it as 512, but
	qw_server/model.c and common/model.c had it as 256. That wasn't the
	real problem, what it was was hipnotic (obviously) has more than
	256 models in "Research Facility", and so uquake-svga bobmed

2000-02-24 16:35  theoddone33

	* common/vid_sdl.c: SDL Now compiles and runs

2000-02-24 06:46  theoddone33

	* common/sys_linux.c: Small change to keep an unused function from
	being compiled in.  Credit given in AUTHORS, but it didn't take

2000-02-23 22:36  deek

	* qw_server/sv_user.c: SV_RunCmd: missing "," in
	SV_BroadcastPrintf() call, fixed.

2000-02-23 15:12  knghtbrd

	* configure.in: Fixed a typo

2000-02-23 11:32  mercury

	* old_headers/qwcl/cmd.h, old_headers/qwcl/common.h,
	old_headers/qwcl/cvar.h, old_headers/qwcl/gl_model.h,
	old_headers/qwcl/glquake.h, old_headers/qwcl/menu.h,
	old_headers/qwcl/pmove.h, old_headers/qwsv/pr_comp.h,
	old_headers/qwsv/progdefs.h, old_headers/qwsv/progs.h,
	old_headers/qwsv/qwsvdef.h, old_headers/qwsv/server.h,
	old_headers/qwsv/sys.h, old_headers/qwsv/world.h,
	old_headers/standalone/bspfile.h, old_headers/standalone/client.h,
	old_headers/standalone/cmd.h, old_headers/standalone/common.h,
	old_headers/standalone/conproc.h, old_headers/standalone/console.h,
	old_headers/standalone/crc.h, old_headers/standalone/cvar.h,
	old_headers/standalone/dosisms.h, old_headers/standalone/draw.h,
	old_headers/standalone/gl_model.h,
	old_headers/standalone/glquake.h, old_headers/standalone/keys.h,
	old_headers/standalone/mathlib.h, old_headers/standalone/menu.h,
	old_headers/standalone/model.h, old_headers/standalone/net.h,
	old_headers/standalone/net_bw.h, old_headers/standalone/net_dgrm.h,
	old_headers/standalone/net_ipx.h,
	old_headers/standalone/net_loop.h, old_headers/standalone/net_mp.h,
	old_headers/standalone/net_ser.h, old_headers/standalone/net_udp.h,
	old_headers/standalone/net_vcr.h,
	old_headers/standalone/net_wins.h,
	old_headers/standalone/net_wipx.h,
	old_headers/standalone/pr_comp.h,
	old_headers/standalone/progdefs.h, old_headers/standalone/progs.h,
	old_headers/standalone/protocol.h,
	old_headers/standalone/quakedef.h,
	old_headers/standalone/r_local.h,
	old_headers/standalone/r_shared.h, old_headers/standalone/render.h,
	old_headers/standalone/resource.h, old_headers/standalone/screen.h,
	old_headers/standalone/server.h, old_headers/standalone/vid_dos.h,
	old_headers/standalone/vregset.h,
	old_headers/standalone/winquake.h, old_headers/standalone/world.h,
	qw_server/sv_user.c: The end of old_headers, changed the cheat
	protection code a little..

2000-02-21 23:31  taniwha

	* common/gl_model.c: eliminate a lot of debug output

2000-02-21 22:22  knghtbrd

	* common/gl_rlight.c: the missing uquake bubbles are back

2000-02-21 20:59  theoddone33

	* common/quakeforge.rc, qw_client/winquake.rc, uquake/winquake.rc:
	Moving some files around for Jason Nelson (Win32 target)

2000-02-21 14:16  knghtbrd

	* common/bspfile.h, qw_common/bspfile.h, uquake/bspfile.h:
	bspfile.h is now really common

2000-02-21 13:13  taniwha

	* common/gl_model.c, common/model.c, qw_client/model.c,
	uquake/Makefile.in, uquake/model.c: merge qw_client/model.c and
	uquake/model.c into common/model.c common/gl_model.c
	uquake/Makefile.in:	   allow checksums in uquake

2000-02-21 10:06  lsh

	* common/: quakefs.c, vid_sunx.c: quakefs.c - added #include
	"config.h" so unistd.h would be included properly vid_sunx.c - do
	not define x_disp and x_win as static, removed unneeded variables,
	took on IN_* functions

2000-02-21 06:29  theoddone33

	* uquake/: qe3.ico, quake.ico: Removal of duplicated files.

2000-02-21 04:47  taniwha

	* common/gl_cl_parse.c, qw_client/gl_cl_parse.c,
	uquake/gl_cl_parse.c: merge qw_client/gl_cl_parse.c and
	uquake/gl_cl_parse.c into common/gl_cl_parse.c

2000-02-21 04:36  taniwha

	* common/gl_model.c, common/gl_rlight.c, common/gl_rmisc.c,
	qw_client/gl_model.c, qw_client/gl_rlight.c, uquake/gl_model.c,
	uquake/gl_rlight.c: more merges qw_client/gl_model.c +
	uquake/gl_model.c = common/gl_model.c qw_client/gl_rlight.c +
	uquake/gl_rlight.c = common/gl_rlight.c
	
	common/gl_rmisc.c:	call R_InitBubble for both uq and qw

2000-02-21 03:22  taniwha

	* common/gl_ngraph.c, qw_client/gl_ngraph.c: move gl_ngraph.c from
	qw_client to common in anticipation of it being backported to
	uquake. Might as well pre-merge it :)

2000-02-21 03:16  taniwha

	* common/gl_screen.c, qw_client/gl_screen.c, uquake/gl_screen.c:
	more mergine qw_client/gl_screen.c + uquake/gl_screen.c =
	common/gl_screen.c

2000-02-21 02:38  taniwha

	* common/resource.h, qw_client/resource.h, uquake/resource.h: merge
	qw_client/resource.h and uquake/resource.h into common/resource.h

2000-02-21 02:34  taniwha

	* common/r_misc.c: Heh, netgraph is not yet ported to uquake :)

2000-02-21 02:28  taniwha

	* common/r_misc.c, common/r_sprite.c, qw_client/r_misc.c,
	qw_client/r_sprite.c, uquake/r_misc.c, uquake/r_sprite.c: merge
	qw_client/r_misc.c and uquake/r_misc.c int common/r_misc.c merge
	qw_client/r_sprite.c and uquake/r_sprite.c int common/r_sprite.c

2000-02-21 00:12  taniwha

	* common/gl_rpart.c, common/r_part.c, qw_client/gl_rpart.c,
	qw_client/r_part.c, uquake/gl_rpart.c, uquake/r_part.c: merge
	qw_client/r_part.c and uquake/r_part.c into common/r_part.c merge
	qw_client/gl_rpart.c and uquake/gl_rpart.c into common/gl_rpart.c
	
	r_part.c tested for uquake and seems ok, but gl_rpart.c untested

2000-02-20 20:22  theoddone33

	* common/gl_mesh.c: Keeps -glx targets from re-meshing models every
	time they start up.

2000-02-20 16:43  knghtbrd

	* common/: draw.c, gl_draw.c: Very minor changes..

2000-02-20 16:28  knghtbrd

	* common/draw.c, common/gl_draw.c, qw_client/gl_screen.c,
	qw_client/sbar.c, qw_client/screen.c, uquake/gl_screen.c,
	uquake/sbar.c, uquake/screen.c: Several updates that are going into
	0.1.1---please feel free to test!

2000-02-20 13:19  theoddone33

	* common/anorms.h, common/buildnum.c, common/cd_win.c,
	common/common.c, common/common_quakedef.h, common/cvar.c,
	common/gl_mesh.c, common/gl_vidnt.c, common/host.c,
	common/in_win.c, common/mathlib.c, common/plugin.c,
	common/plugin.h, common/qargs.c, common/quakefs.c,
	common/quakeio.c, common/quakeio.h, common/skin.c,
	common/snd_win.c, common/vid_win.c, common/wad.c, common/wad.h,
	qw_client/gl_ngraph.c, qw_client/gl_screen.c, qw_client/screen.c,
	qw_client/sys_win.c, qw_client/winquake.rc, qw_common/net_udp.c,
	qw_server/model.c, qw_server/sv_main.c, qw_server/sys_win.c,
	uquake/gl_screen.c, uquake/model.c, uquake/net_wins.c,
	uquake/net_wipx.c, uquake/screen.c, uquake/sys_win.c,
	uquake/winquake.rc: Jason Nelson's patch for fixing Win32 targets

2000-02-20 12:49  mercury

	* configure.in, qw_client/r_part.c: Little bug fixes here and
	there, should work again..

2000-02-20 12:46  mercury

	* AUTHORS, configure.in, common/cl_tent.c, common/common.h,
	qw_client/gl_rpart.c, qw_client/r_part.c: Fix for the QW protocol
	problem by Dabb..  Some profiling changes as well..  Code now
	compiles with profiling support, will disable later..

2000-02-20 12:45  theoddone33

	* common/: gl_vidglx.c, gl_vidnt.c, vid_dos.c, vid_sdl.c: Small fix
	for duplicated Registering of _windowed_mouse

2000-02-20 00:39  taniwha

	* common/cl_main.c: Fix the gentle crash on game load once in a
	game. (#ifdef UQUQKE doesn't help much, does it?:)

2000-02-19 22:18  taniwha

	* common/vid_x11.c: can't use Con_Printf at this stage

2000-02-19 20:20  taniwha

	* common/gl_vidglx.c, common/quakefs.c, qw_server/sv_ccmds.c,
	uquake/host_cmd.c: common/gl_vidglx.c:	  some tweeks in an attempt
	to improve shutdown. NOT the final say qw_server/sv_ccmds.c: 
	comment correction common/quakefs.c uquake/host_cmd.c:	knghtbrd's
	gamedir patch, plus some Hunk_Alloc -> Z_Malloc changes.

2000-02-19 12:54  knghtbrd

	* common/gl_vidglx.c: a few glx video cleanups

2000-02-19 12:43  theoddone33

	* common/gl_vidglx.c: Fixed a conwidth bug involving min(a,b). 
	Whoever did this needs to be injured.

2000-02-19 09:52  knghtbrd

	* TODO: nothing major changed

2000-02-19 07:43  adamel

	* common/client.h, qw_client/cl_demo.c, qw_client/cl_parse.c,
	uquake/cl_demo.c, uquake/cl_parse.c: Synced some code between
	UQ/QW.

2000-02-19 07:42  adamel

	* common/cvars.h: Fixed broken #endif

2000-02-19 06:52  adamel

	* common/: host.c, in_dos.c, in_null.c, in_sun.c, in_svgalib.c,
	in_win.c, in_x11.c, input.h, vid_ggi.c, vid_sdl.c, vid_sunx.c,
	vid_sunxil.c: Merged IN_Commands with IN_Frame.

2000-02-19 06:30  adamel

	* common/: in_x11.c, vid_ggi.c: Made code work again.

2000-02-19 05:53  adamel

	* common/Makefile.in, qw_client/Makefile.in, uquake/Makefile.in:
	Remove redundant shared stuff from Makefiles.

2000-02-19 05:51  adamel

	* configure.in: Fix default case when checking C++ comment
	workaround.  How to create shared libraries are not dependant on
	the OS, and _definitely_ not on CPU-type! Removed silly code.

2000-02-19 01:53  taniwha

	* common/: in_x11.c, vid_x11.c: fix a nastyness in shutdown code

2000-02-19 00:55  taniwha

	* uquake/: Makefile.in, gl_screen.c, screen.c: misc fixes to get
	uquake to link with the new input code

2000-02-19 00:44  mercury

	* common/in_svgalib.c, qw_client/Makefile.in: Whoops, minor compile
	fixes..

2000-02-19 00:24  mercury

	* common/Makefile.in, common/cl_input.c, common/cl_main.c,
	common/console.c, common/context_x11.c, common/context_x11.h,
	common/gl_vidglx.c, common/host.c, common/in_svgalib.c,
	common/in_x11.c, common/input.h, common/plugin.c, common/plugin.h,
	common/vid_sunx.c, common/vid_svgalib.c, common/vid_x11.c,
	qw_client/Makefile.in, qw_client/gl_screen.c, qw_client/screen.c,
	uquake/gl_screen.c, uquake/screen.c: Reverting away from modules in
	the main branch..  -3dfx, -x11, and -glx all work, at least for
	qw-client, no promices on uquake.  I can't test any other targets
	at the moment, so....

2000-02-17 08:21  lsh

	* configure.in, qw_client/Makefile.in, uquake/Makefile.in: Until we
	use libtool, we need to specify in configure.in how to create and
	use shared libraries (-rdynamic and -shared does not work
	everywhere)
	
	We also have to use this information in */Makefile.in

2000-02-17 08:18  lsh

	* common/: Makefile.in, cvar.c, in_x11.c, vid_sunx.c, world.c:
	Makefile.in - let autoconf tell us how to do shared library stuff
	cvar.c - added $include <stdlib.h> in_x11.c - removed #include
	"menu.h" (unavailable in some cases & unneeded) vid_sunx.c - now
	loads x11 plugin world.c - only call SV_Error if compiling uquake
	or qw-server

2000-02-16 13:30  theoddone33

	* common/cl_cam.c, common/cl_input.c, common/cl_main.c,
	common/cvar.c, common/cvar.h, common/gl_rmain.c,
	common/gl_vidglx.c, common/gl_vidlinux_3dfx.c, common/gl_vidnt.c,
	common/host.c, common/in_dos.c, common/in_sun.c,
	common/in_svgalib.c, common/in_win.c, common/in_x11.c,
	common/pr_edict.c, common/snd_dma.c, common/vid_aa.c,
	common/vid_dos.c, common/vid_ggi.c, common/vid_sdl.c,
	common/vid_sunx.c, common/vid_win.c, qw_client/gl_model.c,
	qw_client/gl_screen.c, qw_client/screen.c, qw_client/view.c,
	qw_server/sv_main.c, uquake/gl_model.c, uquake/gl_screen.c,
	uquake/net_dgrm.c, uquake/net_main.c, uquake/screen.c,
	uquake/sv_phys.c, uquake/sv_user.c, uquake/view.c: New CVAR flag
	system.  Appears to work perfectly

2000-02-16 03:28  knghtbrd

	* qw_client/gl_screen.c, qw_client/screen.c, uquake/gl_screen.c,
	uquake/screen.c: Console now hauls ass by default ala quake2 and
	such.  Did not change the scr_conspeed default from 300 to quake2's
	3 because I want to be sure of how I am doing it compared to how it
	was done later.  Will ask Zoid when both of us are awake at the
	same time.

2000-02-15 20:36  taniwha

	* common/cvar.h: added a comment from Zoid describing how things
	like CVAR_ROM works

2000-02-15 15:17  taniwha

	* common/cvar.h: add the #defines Zoid posted to irc

2000-02-15 11:25  deek

	* common/: Makefile.in, gl_vidglx.c, in_x11.c, vid_x11.c:
	Makefile.in: Removed -lvga from in_x11.so build rest: misc. fixes

2000-02-15 10:45  theoddone33

	* common/gl_vidglx.c, common/gl_vidnt.c, common/vid_dos.c,
	common/vid_win.c, qw_client/menu.c, uquake/menu.c: More menu stuff
	and input plugin loading for -glx targets

2000-02-15 06:25  theoddone33

	* common/gl_vidnt.c, common/vid_dos.c, common/vid_sunxil.c,
	common/vid_win.c, qw_client/menu.c, uquake/menu.c: Prep of menus
	for video modularization.

2000-02-15 03:42  taniwha

	* common/: cvar.c, cvar.h: add Cvar_Init, which adds the "set"
	command to create dynamic cvars

2000-02-14 15:06  theoddone33

	* qw_client/menu.c, uquake/menu.c: Correction of spelling errors. 
	Mostly for CVS practice.

2000-02-14 12:28  taniwha

	* common/plugin.c: fix a potential buffer overflow

2000-02-14 03:30  taniwha

	* common/Makefile.in, common/plugin.c, qw_client/Makefile.in,
	qw_server/Makefile.in, uquake/Makefile.in: common/plugin.c:	 
	add path searching. currently unix style only (ie ':') and defaults
	to  ".:${LIBDIR}/quakeforge".  */Makefile.in:	    fix up the
	clean targets a little, so they actually work

2000-02-14 01:02  knghtbrd

	* common/: plugin.c, vid_svgalib.c: Now just pass the filename (not
	path) when loading the plugin.	Currently assumes path of ./ but
	taniwha was going to add a cvar which can be used if va("./%s",
	filename) doesn't exist..

2000-02-14 00:50  deek

	* common/plugin.c: Whitespace changes to the opening comment

2000-02-13 22:15  taniwha

	* common/d_iface.h: put TILE_SIZE back in (still needed by r_sky.c)

2000-02-13 20:46  taniwha

	* common/plugin.c: some mods on the way to a better plugin system

2000-02-13 19:27  knghtbrd

	* AUTHORS, CREDITS, common/host.c, common/quakefs.h,
	common/vid_svgalib.c: svgalib input works again.

2000-02-13 19:23  raptor

	* common/: d_iface.h, glquake.h: 
	
	Deleted unused/obsolete code related to my last commit.

2000-02-13 19:08  raptor

	* common/: quakefs.c, r_surf.c: 
	
	Some changes to quakefs.c for the pakzip (formerly pak3) support. 
	Found and deleted unused, obsolete functions in r_surf.c

2000-02-13 16:46  knghtbrd

	* common/vid_x11.c: Pass just the filename to the plugin loader, no
	path.  taniwha will do some black voodoo (is that a plug for 3dfx?)
	with the plugin code shortly to make it work..

2000-02-13 16:35  knghtbrd

	* configure.in, common/Makefile.in, qw_client/Makefile.in,
	qw_server/Makefile.in, uquake/Makefile.in: we now define LIBDIR
	when we build targets

2000-02-13 03:31  knghtbrd

	* common/: cl_main.c, host.c, input.h, plugin.c, plugin.h,
	vid_x11.c: input.h is gone - was empty anyway.	vid_x11.c now is
	responsible for init of the input routines it can use.	All vid
	targets should do this for the input method they should use.  While
	this is essentially hardcoding, it's kinda necessary for now.  Once
	we have everything working and tested we can work on an
	interdependency scheme so X input methods only work with X output
	methods, etc...

2000-02-13 01:06  knghtbrd

	* configure.in, common/in_x11.c, common/vid_sunx.c, common/vid_x.c,
	common/vid_x11.c, qw_client/Makefile.in, uquake/Makefile.in:
	Renamed vid_x.c -> vid_x11.c, also renamed *-gl to *-glx, it it'll
	cause less confusion that way (even if I have to type an extra
	letter..)

2000-02-12 23:40  taniwha

	* configure.in: make --enable-newstyle on by default

2000-02-12 23:12  taniwha

	* configure.in: fixed alsa checking (someone got a little ahead of
	himself)

2000-02-12 21:45  taniwha

	* common/snd_alsa.c: fix sound init

2000-02-12 20:32  taniwha

	* common/pmove.c, common/pmovetst.c, qw_common/pmove.c,
	qw_common/pmovetst.c, uquake/pmove.c, uquake/pmovetst.c: turns out
	uquake can handle (build time anyway) qw's pmove*.c as is, so make
	them common

2000-02-12 15:54  taniwha

	* uquake/Makefile.in: fix linking for plugins

2000-02-12 13:30  taniwha

	* uquake/: Makefile.in, gl_screen.c: plugin fixups for uquake

2000-02-12 03:42  mercury

	* common/plugin.c, qw_client/Makefile.in: Fixed some little errors
	with the plugin code..

2000-02-12 03:25  taniwha

	* uquake/: Makefile.in, cl_pred.c, pmovetst.c, sv_main.c: uquake
	finally links again

2000-02-12 02:02  taniwha

	* common/cl_main.c, uquake/Makefile.in, uquake/menu.c,
	uquake/screen.c: uquake /almost/ links now (is that link being sort
	of pregnant?)

2000-02-12 01:39  taniwha

	* uquake/: Makefile.in, pmove.c: add a stripped down pmove.c.
	untested

2000-02-12 00:23  taniwha

	* common/in_svgalib.c: correct return type of S_IN_Init

2000-02-12 00:08  mercury

	* common/Makefile.in, common/host.c, common/in_x11.c,
	common/plugin.c, common/plugin.h, common/vid_x.c, qw_client/menu.c,
	qw_client/screen.c: in_x11.so, and actually check in the plugin
	code..	vid_x works, aside from a few, err, qwirks, in the input
	focus handling..

2000-02-11 21:34  mercury

	* configure.in, common/Makefile.in, common/cl_input.c,
	common/cl_main.c, common/cmd.h, common/common.c, common/console.c,
	common/host.c, common/in_svgalib.c, common/input.h, common/keys.c,
	common/net.h, common/sys.h, qw_client/Makefile.in,
	qw_client/cl_parse.c, qw_client/gl_screen.c: Sledge hammer
	applied..  The input stuff is now somewhat modular, I'll get
	everything working soon enough, right now things are hardwired to
	svgalib, but its ok..

2000-02-11 21:08  taniwha

	* uquake/cl_parse.c: copy same vars from qw_client in the ongoing
	quest to get uquake to link

2000-02-11 20:18  taniwha

	* common/world.c: fixes for uquake (ie #ifdef SERVERONLY -> #if
	defined(SERVERONLY) || defined(UQUAKE))

2000-02-11 07:00  lsh

	* qw_server/sys_unix.c: Cleanup of includes, fix to compile under
	Solaris

2000-02-11 03:08  taniwha

	* qw_server/worlda.s: not needed, the one from uq is better

2000-02-11 03:07  taniwha

	* qw_client/Makefile.in: put REQUIRED worlda.s back in. it will not
	cause probelms for non-x86 archs as generates an empty .o file if
	id386 is 0 or undefined

2000-02-10 22:50  lsh

	* qw_client/Makefile.in: Remove redundant worlda.s that caused
	problems on non-x86 systems

2000-02-10 22:01  deek

	* common/server.h: Fixed "vvoid" and "oid" in server.h

2000-02-10 21:47  taniwha

	* common/server.h, uquake/host_cmd.c, uquake/sv_main.c,
	uquake/sv_move.c, uquake/sv_phys.c, uquake/sv_user.c: getting
	closer to haveing a compiling uq

2000-02-10 20:55  taniwha

	* common/pr_cmds.c, common/pr_edict.c, common/pr_exec.c,
	common/qargs.h, common/server.h, common/world.c, qw_server/model.c,
	qw_server/sv_ccmds.c, qw_server/sv_ents.c, qw_server/sv_init.c,
	qw_server/sv_move.c, qw_server/sv_nchan.c, qw_server/sv_phys.c,
	qw_server/sv_send.c, qw_server/sv_user.c, qw_server/sys_unix.c:
	qw-server now compiles and links

2000-02-10 20:21  taniwha

	* common/world.c, common/worlda.s, qw_client/Makefile.in,
	qw_server/sv_main.c, uquake/worlda.s: sufflin' shufflin' shuflin'..
	raaw-source
	
	qw-client now links, but qw-server won't compile (yet)

2000-02-10 17:42  taniwha

	* common/server.h, common/world.c, qw_server/qwsvdef.h,
	qw_server/server.h, uquake/server.h: merge qw_server/qwsvdef.h
	qw_server/server.h uquake/server.h into  common/server.h world.c
	some compile time fixups

2000-02-10 15:38  taniwha

	* uquake/chasecam.c: forgot to remove this

2000-02-10 15:38  taniwha

	* common/cl_cam.c, common/common.c, common/phys.h, common/progs.h,
	common/world.c, common/world.h, qw_client/Makefile.in,
	qw_server/server.h, qw_server/world.c, qw_server/world.h,
	uquake/Makefile.in, uquake/server.h, uquake/world.c,
	uquake/world.h: merges:        qw_server/world.[ch] and
	uquake/world.[ch] into common/world.[ch]       uquake/chasecam.c
	into common/cl_cam.c move physics type defines from server.h to
	phys.h

2000-02-10 09:25  knghtbrd

	* common/cl_cam.c: Slight reformat, nothing big

2000-02-10 08:46  knghtbrd

	* uquake/server.h: Don't declare SV_Shutdown twice

2000-02-10 08:29  knghtbrd

	* common/host.c, uquake/server.h: [no log message]

2000-02-10 08:24  lsh

	* common/qargs.c: AIX needs stdlib.h so malloc is defined

2000-02-10 06:02  taniwha

	* uquake/Makefile.in: add cl_cam.c to eliminate another undefined
	sybol. Now all that's left is prediction stuff.

2000-02-10 05:56  taniwha

	* common/cl_cam.c, common/common.h, qw_client/cl_cam.c:
	common/common.h:	add #include <cvar.h> move
	qw_client/cl_cam.c to common/cl_cam.c

2000-02-10 05:49  taniwha

	* common/common.c, common/common.h, common/host.c, common/qargs.c,
	common/qdefs.h, common/quakefs.h, qw_common/common.c,
	uquake/Makefile.in, uquake/common.c: the merge continues.
	qw_common/common.c and uquake/common.c have /finally/ been merged
	with the command line args merged into common/qargs.c. Args
	rebuilding in qargs.c should now be totally safe with no limits.

2000-02-10 03:19  taniwha

	* common/host.c: added some more missing cvars

2000-02-10 02:43  deek

	* uquake/server.h: Added prototype for SV_Shutdown to server.h

2000-02-10 01:43  knghtbrd

	* common/cl_main.c, common/host.c,
	old_headers/standalone/quakedef.h, uquake/host_cmd.c,
	uquake/sv_main.c: Host_ShutdownServer -> SV_Shutdown

2000-02-10 01:36  knghtbrd

	* common/sbar.c: Under a rare case in UQ (that you are playing with
	the QW HUD in a co-op game), the color bar that was supposed to be
	the backdrop for your frag counts would be drawn as if the
	statusbar was centered (which is never the case if you're using the
	HUD), fixed.
	
	I have more sbar.c fixes to do but I need a working UQ to be able
	to test them out first.  We're _almost_ there...  We all owe Deek
	and taniwha big for the progress made tonight I think---great job
	guys.  But save SOME of the merge for the rest of us willya?  ;>

2000-02-10 01:16  taniwha

	* common/host.c: moved many cvars in from the old host.c

2000-02-10 01:10  knghtbrd

	* doc/newnet.txt, doc/qw_auth.txt, doc/qw_move.txt,
	doc/qw_server_profile.txt, qw_server/move.txt,
	qw_server/newnet.txt, qw_server/notes.txt, qw_server/profile.txt:
	moved some text files to doc/

2000-02-10 01:07  deek

	* common/cl_main.c: Possible fix to the recently-uncovered UQuake
	segfault.

2000-02-10 01:03  taniwha

	* common/host.c, uquake/server.h, uquake/sv_main.c: common/host.c: 
	    put Host_GetConsoleCommands back uquake/server.h:	    proto
	for SV_Frame uquake/sv_main.c	  add SV_ClientPrintf
	SV_BroadcastPrintf SV_DropClient SV_Frame* from     old host.c

2000-02-10 00:45  deek

	* common/host.c: host.c completions...might be able to link now. :)

2000-02-09 22:22  knghtbrd

	* common/: cl_ents.c, cl_main.c: A couple cl_ents functions removed
	from cl_main for uquake, we're close to being able to link uquake
	again!	Reformatted the top of cl_ents

2000-02-09 22:18  lsh

	* common/host.c, common/quakeio.c, common/snd_null.c,
	uquake/sys_unix.c: Small changes to compile (not link) under
	Solaris, AIX, & Irix

2000-02-09 22:03  taniwha

	* common/host.c, uquake/net_main.c: more uquake link fixups

2000-02-09 21:58  taniwha

	* common/: client.h, host.c: uquake now compiles, but doesn't link
	yet

2000-02-09 21:45  taniwha

	* common/host.c: qw now links

2000-02-09 21:43  knghtbrd

	* uquake/Makefile.in: -DGLQUAKE in UQ gone---who left that in
	there?	(Probably me...)

2000-02-09 21:41  taniwha

	* common/cl_main.c, common/client.h, common/host.c, uquake/host.c:
	Host_* merging

2000-02-09 21:29  taniwha

	* qw_client/Makefile.in: add host.c

2000-02-09 01:55  taniwha

	* common/cl_main.c, uquake/host.c: stopped some cvar and cmd
	clashes

2000-02-09 01:12  taniwha

	* common/: quakeio.c, quakeio.h: make independent of zlib (ie use
	HAS_ZLIB)

2000-02-08 23:30  taniwha

	* uquake/host.c: quick bandaid to stop uquake from segfaulting.

2000-02-08 22:27  taniwha

	* common/: gl_refrag.c, gl_rmain.c, quakeio.c: common/gl_refrag.c
	common/gl_rmain.c:    fix to compile with cl_visedicts from qw in
	uq common/quakeio.c:	    fix bogus string copying

2000-02-08 17:44  taniwha

	* common/bothdefs.h, common/cl_ents.c, common/client.h,
	common/pmove.h, common/pmove_simple.h, common/quakedef.h,
	qw_common/bothdefs.h, qw_common/pmove.h, qw_common/pmove_simple.h,
	qw_common/quakedef.h, uquake/quakedef.h, uquake/screen.c,
	uquake/sv_user.c: moved
	qw_common{bothdefs.h,pmove.h,pmove_simple.h} to common merged
	qw_common/quakedef.h and uquake/quakedef.h into common/quakedef.h
	(sort of, bits of bothdefs.h too) common/cl_ents.c common/client.h
	uquake/screen.c uquake/sv_user.c:     various fixups to cope with
	the merge.
	
	UQ is still busted

2000-02-08 14:25  taniwha

	* common/protocol.h, qw_common/pmove.h, qw_common/protocol.h,
	uquake/Makefile.in, uquake/protocol.h: qw_common/pmove.h:	 
	add #include "net.h" uquake/Makefile.in:	put cl_ents.c back
	it. might as well make a commitment :) merge qw_common/protocol.h
	and uquake/protocol.h into common/protocol.h

2000-02-08 13:40  pontus

	* qw_common/net_udp6.c: Converted the file to 100% UNIX newlines

2000-02-08 13:33  pontus

	* qw_common/net_udp6.c: Now correctly handles IPv4 addresses
	returned by getaddrinfo(); also parses RFC 2732 IPv6 address/port
	numbers in the connect command etc.

2000-02-08 13:23  pontus

	* common/net.h: Fixing consequences of merge + new macro for IPV6

2000-02-08 13:23  pontus

	* acconfig.h, configure.in, qw_client/Makefile.in,
	qw_server/Makefile.in: Added --enable-ipv6 option to configure to
	enable IPv6 networking.  It substitutes @NET_SOURCE@ for net_udp.c
	or net_udp6.c.

2000-02-08 12:59  taniwha

	* common/quakefs.c, common/quakeio.c, qw_client/cl_parse.c,
	uquake/Makefile.in, uquake/host_cmd.c, uquake/menu.c:
	common/quakeio.c:     support gzipped files common/quakefs.c:
	qw_client/cl_parse.c: qw_server/sv_ccmds.c: uquake/host_cmd.c:
	uquake/menu.c:	 use "z" in mode flags when reading files
	uquake/Makefile.in:    take cl_ents.c out again (too much work atm
	to get it to compile)

2000-02-07 23:44  taniwha

	* common/cl_ents.c, qw_client/cl_ents.c,
	qw_client/gl_vidlinux_x11.c, uquake/Makefile.in: move cl_ents.c
	from qw_clent to common
	
	uquake/Makefile.in:	add cl_ents.c (doesn't work yet)
	qw_client/gl_vidlinux_x11.c:   not used, waste of bandwidth

2000-02-07 23:23  taniwha

	* common/gl_mesh.c, common/gl_vidglx.c, common/gl_vidlinux_3dfx.c,
	common/gl_vidnt.c, common/gl_warp.c, common/pr_cmds.c,
	common/quakefs.c, common/quakeio.c, common/quakeio.h,
	common/snd_gus.c, common/sys_common.c, common/sys_linux.c,
	common/sys_null.c, common/unzip.c, qw_client/cl_parse.c,
	qw_client/sys_win.c, qw_server/server.h, qw_server/sv_ccmds.c,
	qw_server/sv_main.c, qw_server/sv_send.c, qw_server/sv_user.c,
	uquake/cl_demo.c, uquake/host_cmd.c, uquake/menu.c,
	uquake/sys_unix.c, uquake/sys_win.c, uquake/sys_wind.c,
	uquake/wins/sys_win.c: Replaced every single fscking FILE and
	gzFile (except in quakeio.*) with QFile and fixed up as many f* and
	gz* calls as gcc found (and, where sensible, grep)
	
	Unfortuanatly, demos are broken again.

2000-02-07 22:14  taniwha

	* common/cl_main.c, common/client.h, uquake/host.c: uquake now
	builds

2000-02-07 21:08  taniwha

	* common/: quakeio.c, quakeio.h: forgot to add these in the last
	checkin. They implement the QFile stuff.

2000-02-07 21:06  taniwha

	* common/cl_main.c, common/client.h, common/cvar.c, common/cvar.h,
	common/keys.c, common/keys.h, common/pr_edict.c, common/progs.h,
	common/quakefs.c, common/quakefs.h, common/r_efrag.c,
	common/r_main.c, common/register_check.c, qw_client/Makefile.in,
	qw_client/cl_demo.c, qw_client/cl_main.c, qw_client/cl_parse.c,
	qw_client/r_part.c, qw_server/Makefile.in, qw_server/server.h,
	qw_server/sv_ccmds.c, uquake/Makefile.in, uquake/cl_main.c,
	uquake/host.c, uquake/host_cmd.c, uquake/r_part.c,
	uquake/sw_cl_parse.c: merge qw_client/cl_main.c and
	uquake/cl_main.c into common/cl_main.c For the rest, convert all
	refs to FILE and gzFile to QFile, and similar for file functions
	(eg fprintf, fgets, fread, etc)

2000-02-07 15:13  knghtbrd

	* common/: cl_tent.c, client.h: there are still uquake issues...

2000-02-07 14:54  knghtbrd

	* common/cl_tent.c, qw_client/cl_tent.c, uquake/cl_main.c,
	uquake/cl_tent.c: cl_tent.c is merged - uquake still has some
	issues but they're smaller now

2000-02-06 20:31  taniwha

	* common/r_edge.c, qw_client/r_edge.c, uquake/r_edge.c: merge
	qw_client/r_edge.c and uquake/r_edge.c into common/r_edge.c

2000-02-06 20:18  taniwha

	* common/r_efrag.c, qw_client/r_efrag.c, uquake/r_efrag.c: merge
	qw_client/r_efrag.c and uquake/r_efrag.c into common/r_efrag.c

2000-02-06 20:18  knghtbrd

	* common/: client.h, net.h, sbar.c: A few mods for uquake...

2000-02-06 19:49  knghtbrd

	* common/client.h, common/net.h, qw_common/protocol.h,
	uquake/protocol.h: qw-client and server work again, sound_lib
	builds, uquake doesn't

2000-02-06 19:21  taniwha

	* common/qstructs.h: removed reference to cl_state.h

2000-02-06 17:53  taniwha

	* common/config.h: this shouldn't be in cvs

2000-02-06 17:32  knghtbrd

	* common/client.h, common/common.h, common/config.h, common/net.h,
	common/qstructs.h, common/snd_dma.c, common/sound.h,
	doc/uquake_net.txt, qw_client/cl_parse.c, qw_common/client.h,
	qw_common/net.h, uquake/cl_parse.c, uquake/cl_tent.c,
	uquake/client.h, uquake/net.h, uquake/protocol.h: Committing my
	merges of client.h and net.h..	Got rid of snd_dma.c changes made
	before, it breaks a few things but it needs to be committed so they
	can be fixed..

2000-02-06 16:43  taniwha

	* common/common.h, qw_common/common.h, uquake/common.h: merge
	qw_common/common.h and uquake/common.h into common/common.h

2000-02-06 16:12  taniwha

	* common/cl_input.c, qw_client/cl_input.c, uquake/cl_input.c:
	merged qw_client/cl_input.c and uquake/cl_input.c into
	common/cl_input.c

2000-02-05 11:42  lsh

	* common/: snd_null.c, vid_sunx.c: snd_null.c - snd is another
	variable defined in snd_dma.c that has to be defined here as well
	vid_sunx.c - missing client.h include

2000-02-05 09:49  adamel

	* common/vid_ggi.c: Added support for numpad keys and some other
	ones missing.

2000-02-05 08:16  adamel

	* acconfig.h: Changed HAS_SOCKLEN_T into HAVE_SOCKLEN_T.  Added
	HAVE_SIZE_T.  Removed some junk from file.

2000-02-05 08:15  adamel

	* configure.in: Check for size_t in <sys/types.h> Changed
	HAS_SOCKLEN_T into HAVE_SOCKLEN_T.

2000-02-05 08:03  adamel

	* qw_client/screen.c, uquake/screen.c: Prevent division by zero in
	CalcFov().

2000-02-05 08:02  adamel

	* uquake/sys_unix.c: Include qargs.h

2000-02-05 08:01  adamel

	* common/sbar.c: Make sure we don't use a negative index into
	sb_faces.

2000-02-05 07:59  adamel

	* common/common_quakedef.h: typedef socklen_t here if it doesn't
	exist.

2000-02-05 07:21  adamel

	* common/snd_mme.c: Now compiles.

2000-02-05 07:08  adamel

	* common/mathlib.c: Include <model.h>

2000-02-05 07:05  adamel

	* common/mathlib.h: Include <math.h>

2000-02-04 05:40  knghtbrd

	* common/cd_linux.c, common/cd_sdl.c, common/cmd.c,
	common/common_quakedef.h, common/cvar.h, common/d_fill.c,
	common/draw.c, common/draw.h, common/gl_mesh.c, common/mathlib.c,
	common/pr_cmds.c, common/pr_edict.c, common/pr_exec.c,
	common/qargs.c, common/qstructs.h, common/r_local.h, common/sbar.c,
	common/snd_dma.c, common/sound.h, common/sys_linux.c,
	common/vid_ggi.c, common/vid_sdl.c, common/vid_svgalib.c,
	common/vid_x.c, common/zone.c, qw_client/cl_parse.c,
	qw_client/gl_cl_parse.c, qw_client/sw_cl_parse.c,
	qw_common/client.h, qw_common/net.h, qw_common/protocol.h,
	qw_server/qwsvdef.h, uquake/bspfile.h, uquake/chasecam.c,
	uquake/cl_demo.c, uquake/cl_input.c, uquake/cl_main.c,
	uquake/cl_parse.c, uquake/cl_tent.c, uquake/client.h,
	uquake/d_edge.c, uquake/host.c, uquake/host_cmd.c, uquake/menu.c,
	uquake/net.h, uquake/net_dgrm.c, uquake/net_loop.c,
	uquake/net_main.c, uquake/net_vcr.c, uquake/quakedef.h,
	uquake/r_misc.c, uquake/r_part.c, uquake/sv_main.c,
	uquake/sv_move.c, uquake/sv_phys.c, uquake/sv_user.c,
	uquake/sw_cl_parse.c, uquake/world.c, uquake/world.h: uquake has
	the beginning of netchan support, netchan.message works fine now,
	the rest I don't know how much of it I can do without breaking the
	protocol's compatibility.
	
	client_state_t has moved back to client.h in qw_common and uquake. 
	Seems like that's a step backward, but the way it was being used
	while common was far worse!  This required massive reworking of
	headers and such.
	
	Speaking of using cl (the global client_state_t) badly, the sound
	code did exactly that.	Mercury should be shot for not fixing that
	when he did the sound_lib.a stuff.  The fix illustrates what we
	need to start doing to the code to make modularization possible. 
	I'll be sending a message to the list about this shortly..

2000-02-04 01:52  taniwha

	* configure.in, common/snd_alsa.c: configure.in:	remove a
	debug echo snd_alsa.c:	       #include "console.h"

2000-02-03 20:01  knghtbrd

	* common/gl_draw.c, common/gl_rmain.c, common/gl_rmisc.c,
	common/gl_warp.c, common/render.h, uquake/client.h: The pretty
	green/yellow/blue pixels that hang around after things like
	biosuits, pents, and quads wear off are now gone.  Sort of.  They
	are caused by places where two texture edges meet and there are
	little gaps at the seams where nothing gets drawn.  This is also
	why noclip screws w/ the screen if you walk outside of the map in
	the GL targets.  We now draw a backdrop whose color is set by
	r_clearcolor, ala software renderer.

2000-02-03 17:58  knghtbrd

	* common/gl_draw.c: 4 scrap textures oughtta be enough for anybody.

2000-02-03 17:24  knghtbrd

	* uquake/host_cmd.c: how many times have you wished there was a
	-nodemos parameter to make the demos at startup not happen in
	uquake?  Guess what?

2000-02-03 13:44  taniwha

	* configure.in, common/nozip.h, common/quakefs.c: configure.in:    
	    make zlib enabled by default common/nozip.h:    swap the size
	and count params to f{read,write} to prevent demo code	  breaking
	common/quakefs.c:      if zlib is unavailable, there is no point in
	supporting the .gz	   extension

2000-02-03 13:16  knghtbrd

	* common/gl_draw.c, qw_client/cl_main.c, qw_client/cl_parse.c,
	qw_common/bothdefs.h, qw_common/common.c, qw_common/common.h,
	qw_common/protocol.h, qw_common/quakedef.h, qw_server/sv_main.c:
	random QW changes which should help with sbar stuff later on

2000-02-03 13:13  raptor

	* common/quakefs.c: 
	
	Changed the name of the pak3 code to pakzip.  Also a few assorted,
	trivial code cleanups.	-- Eric Windisch

2000-02-03 12:54  knghtbrd

	* acconfig.h: don't typedef in acconfig.h, we #include it in .s
	files

2000-02-03 12:42  taniwha

	* configure.in: fix the checking for --enable-zlib

2000-02-03 12:27  knghtbrd

	* common/quakefs.c, common/quakefs.h, uquake/host_cmd.c,
	uquake/quakedef.h: Other minor changes for uquake, nothing visible

2000-02-03 04:46  knghtbrd

	* common/qstructs.h, uquake/cl_parse.c: ixed he irst etter issing
	roblem

2000-02-03 03:29  deek

	* common/quakefs.c: Cmd_InitFilesystem(): add -game support to the
	common cmd.c, #ifdef QUAKEWORLD the Cmd_AddGameDirectory("%s/qw",
	... ) call.

2000-02-03 03:14  deek

	* common/cmd.c: Replaced Knghtbrd's command fix for UQ, added more
	for completeness.

2000-02-03 02:56  knghtbrd

	* common/console.c, uquake/cl_parse.c: talk sound now happens in UQ
	again

2000-02-03 02:51  knghtbrd

	* common/cmd.c: Most of the commands in uquake/host_cmd.c are
	simply passed to the server when you type them.  This includes say,
	god, etc...  They never got there however because Mercury forgot to
	add the uquake stuff to it.  We _REALLY_ need to get cls.netchan
	backported to uquake!

2000-02-03 02:32  knghtbrd

	* common/: cd_sdl.c, gl_vidlinux_3dfx.c, vid_sdl.c: You can tell
	who has what hardware and libs because they tend to forget to
	update the files for the stuff they don't use/have...

2000-02-03 01:55  knghtbrd

	* common/gl_vidlinux_3dfx.c: Fix for 3dfx target using lsh's macros

2000-02-03 00:46  lsh

	* acconfig.h, configure.in, common/cd_sdl.c, common/cd_wrapper.c,
	common/common_quakedef.h, common/gl_mesh.c, common/gl_vidglx.c,
	common/nozip.h, common/quakefs.c, common/quakefs.h,
	common/snd_mix.c, common/vid_sdl.c, common/vid_sunx.c,
	common/vid_x.c, qw_server/server.h, qw_server/sv_main.c,
	qw_server/sys_unix.c: Various changes to get build to work when
	zlib isn't available...  Various changes to get rid of warnings
	under AIX, Irix, Linux & Solaris...

2000-02-03 00:44  lsh

	* qw_client/cl_main.c: Workaround for isspace() with sgi and gcc

2000-02-03 00:42  lsh

	* uquake/: client.h, net_dgrm.c, net_udp.c, sys_unix.c: client.h:
	Allow build without zlib net_dgrm.c: Get rid of warnings about
	unknown functions sys_unix: function warnings, unused variable
	warning net_udp.c: use socklen_t always (it is guaranteed to be
	defined)

2000-02-03 00:20  lsh

	* qw_common/: client.h, common.c, net_udp.c: client.h, common.c -
	now work w/out zlib net_udp.c - now uses socklen_t, which is
	guaranteed to be defined

2000-02-02 19:09  taniwha

	* common/gl_mesh.c: more f*->gz*. forgot to save this one earlier.

2000-02-02 18:59  taniwha

	* common/gl_warp.c: some more f* -> gz*. need to get home to test
	this properly.

2000-02-02 18:52  taniwha

	* common/: gl_vidglx.c, gl_vidlinux_3dfx.c, gl_warp.c: a few more
	f* -> gz* conversions. I don't have GL at work :)

2000-02-02 18:34  taniwha

	* acconfig.h, configure.in, common/quakeasm.h,
	qw_client/Makefile.in, qw_common/bothdefs.h, uquake/Makefile.in,
	uquake/quakedef.h: no-asm patch from Darius

2000-02-02 17:49  taniwha

	* qw_client/cl_demo.c, uquake/cl_demo.c: Demoes are working again
	(for uncopressed .dem files, anyway)

2000-02-02 16:45  taniwha

	* qw_server/sv_main.c: missed a fclose -> gzclose conversion.  /me
	must remeber to make clean; make when hacking headers.

2000-02-02 16:34  taniwha

	* configure.in, common/console.c, common/keys.c, common/pr_cmds.c,
	common/pr_edict.c, common/pr_exec.c, common/quakefs.c,
	common/quakefs.h, common/register_check.c, common/sbar.c,
	qw_client/cl_demo.c, qw_client/cl_parse.c, qw_client/r_part.c,
	qw_common/client.h, qw_server/server.h, qw_server/sv_ccmds.c,
	qw_server/sv_user.c, uquake/cl_demo.c, uquake/client.h,
	uquake/r_part.c: Add gzip support, add -Werror to gcc CFLAGS, clean
	up misc warnings.
	
	NOTE: demos are broken for gzipped demo files (possibly normal ones
	too, not yet tested).

2000-02-01 22:49  deek

	* common/quakefs.c: Re-added Hipnotic/Rogue support to filesystem
	code. Cleaned up COM_LoadGameDirectory().

2000-02-01 21:33  knghtbrd

	* common/quakefs.c: This isn't funny..	Typo fixed.

2000-02-01 21:10  knghtbrd

	* common/quakefs.c: Note to self: ...test before you commit, test
	before you commit...

2000-02-01 21:07  knghtbrd

	* common/quakefs.c: breaks are evil outside switch's, the for loop
	has an exit condition...

2000-02-01 21:01  raptor

	* common/quakefs.c: 
	
	Fixed bug that caused:	Error: Not enough RAM allocated.  Try
	starting using "-mem 16" or higher Quakefs.c

2000-01-31 21:13  raptor

	* common/quakefs.c: 
	
	Minor changes to quakefs.c; if generations and experimental are
	defined all files ending in .pak3 are loaded.

2000-01-30 14:46  taniwha

	* common/quakefs.c: can find "wadfile".gz as well as just
	"wadfile". NOTE: .gz files don't acutally work yet.

2000-01-30 01:36  taniwha

	* qw_client/Makefile.in, uquake/Makefile.in: qw_client/Makefile.in:
	    put the gl specific rules back in (some of us have GL in	   
	/usr/X11R6/include rather than /usr/local/include or /usr/include, 
	    nudge, nudge).

2000-01-29 23:32  palisade

	* common/: in_aa.c, vid_aa.c: aa tty support, adds text mode qf
	keyboard/video support.  currently i have no idea if this even
	works because i cannot test it, if anyone is willing to make a
	target for it i can start debugging.

2000-01-29 20:00  palisade

	* TODO: removed 0.2 from tty target, it's too early to add it

2000-01-29 16:36  knghtbrd

	* common/cd_sdl.c, qw_client/Makefile.in, uquake/Makefile.in: Merc
	missed a few things, cleaned the makefiles up a little more

2000-01-29 15:24  lsh

	* uquake/: Makefile.in, sys_unix.c: Makefile.in - conditionally run
	ranlib sys_unix.c - copied Sys_DebugLog() from sys_linux.c

2000-01-29 15:22  lsh

	* common/: Makefile.in, d_part.c, snd_sun.c, vid_sunx.c:
	Makefile.in - Explicitly list patterns instead of using echo,
	conditionally run ranlib d_part.c, snd_sun.c, vid_sunx.c - missing
	includes

2000-01-29 15:18  lsh

	* qw_client/Makefile.in: Explicitly list patterns instead of using
	the following: $(shell echo $(BUILD_DIR)/{client,common_lib}/%.d)
	
	That does not work properly on various platforms (AIX, SGI,
	Solaris)

2000-01-29 15:16  lsh

	* configure.in: Check for existence of ranlib

2000-01-29 15:02  knghtbrd

	* TODO: Restructured TODO massively

2000-01-29 10:46  mercury

	* TESTIFY, common/cd_linux.c, common/cd_sdl.c, common/cd_win.c,
	common/cd_wrapper.c, common/cmd.c, common/cmd.h, common/console.c,
	common/console.h, common/d_modech.c, common/draw.c,
	common/gl_draw.c, common/gl_refrag.c, common/gl_rmain.c,
	common/gl_rmisc.c, common/gl_rsurf.c, common/gl_vidglx.c,
	common/gl_vidlinux_3dfx.c, common/gl_warp.c, common/in_svgalib.c,
	common/keys.c, common/nonintel.c, common/pr_cmds.c,
	common/pr_edict.c, common/pr_exec.c, common/qdefs.h,
	common/qstructs.h, common/r_alias.c, common/r_bsp.c,
	common/r_main.c, common/r_surf.c, common/sbar.c, common/snd_dma.c,
	common/snd_mem.c, common/snd_oss.c, common/sys_linux.c,
	common/vid_ggi.c, common/vid_sunx.c, common/vid_svgalib.c,
	common/vid_x.c, qw_client/cl_parse.c, qw_client/model.c,
	qw_client/r_efrag.c, qw_common/bothdefs.h, qw_common/common.c,
	qw_common/console.c, qw_common/console.h, qw_server/sv_main.c,
	uquake/Makefile.in, uquake/chasecam.c, uquake/cl_demo.c,
	uquake/cl_input.c, uquake/cl_main.c, uquake/cl_parse.c,
	uquake/cl_tent.c, uquake/client.h, uquake/console.c,
	uquake/console.h, uquake/d_edge.c, uquake/d_surf.c,
	uquake/gl_cl_parse.c, uquake/gl_model.c, uquake/gl_rlight.c,
	uquake/gl_rpart.c, uquake/gl_screen.c, uquake/host.c,
	uquake/host_cmd.c, uquake/lib_replace.c, uquake/menu.c,
	uquake/model.c, uquake/net.h, uquake/net_dgrm.c, uquake/net_dgrm.h,
	uquake/net_loop.c, uquake/net_loop.h, uquake/net_main.c,
	uquake/net_udp.c, uquake/net_vcr.c, uquake/net_vcr.h,
	uquake/protocol.h, uquake/quakefs.c, uquake/r_edge.c,
	uquake/r_efrag.c, uquake/r_misc.c, uquake/r_part.c,
	uquake/r_sprite.c, uquake/screen.c, uquake/server.h,
	uquake/sv_main.c, uquake/sv_move.c, uquake/sv_phys.c,
	uquake/sv_user.c, uquake/sw_cl_parse.c, uquake/view.c,
	uquake/world.c: uquake now works! All targets I can test! I also
	merged console.[ch] while I was at it..

2000-01-29 07:02  deek

	* qw_client/Makefile.in: Added part of what we'll require for
	automatically generating dependency information. This is not
	activated yet, and will be quite annoying at the very least to
	activate before we are in a more traditional build tree, with a
	single source directory and self-contained (except for headers, of
	course) subdirs for modules.

2000-01-29 04:03  taniwha

	* Makefile.in: added rpm/build_rpm.in and rpm/quakeforge.spec.in It
	is now easy to add any new autoconf files. All current (relevant)
	ones now have their dependencies checked.

2000-01-29 03:59  taniwha

	* Makefile.in: The config stuff should be a little easier to
	maintain now.

2000-01-29 03:51  taniwha

	* Makefile.in: finally got config.status to play nicely. No longer
	does it run multiple times when the .in files get updated.

2000-01-29 02:59  taniwha

	* qw_client/Makefile.in, uquake/Makefile.in: do alsa (sound in
	general) lib support the Right Way (tm) missed 3dfx for gl

2000-01-29 02:08  deek

	* qw_client/Makefile.in: Makefile.in cleanups. Software targets are
	once again built before GL targets. A few .o's changed to
	.@OBJEXT@, although most Unix-based systems won't care about that.
	:)

2000-01-28 18:58  taniwha

	* uquake/console.c: fixed up the #include's so it now compiles
	(cleanly)

2000-01-28 18:53  taniwha

	* common/cmd.c: fixed the netchan stuff for uquake

2000-01-28 18:31  taniwha

	* common/quakefs.c, qw_client/Makefile.in: common/quakefs.c:   
	make pak3 support dependent on /both/ _EXPERIMENTAL_ and
	GENERATIONS qw_client/Makefile.in:     move gl files into cleint/gl
	so thay can have their own build rules	   conditionally added
	-lasound to LIBS if building for ALSA

2000-01-28 03:13  taniwha

	* common/snd_alsa.c: fix to work with Mercury's header changes

2000-01-27 20:14  mercury

	* qw_server/server.h: Fixed compile for qw_server.

2000-01-27 19:19  knghtbrd

	* NEWS, configure.in, common/cd_sdl.c, common/cvar.c,
	common/keys.h, common/vid_sdl.c, qw_client/Makefile.in,
	qw_server/server.h: A little more work trying to get the tree back
	to normal..

2000-01-27 17:03  mercury

	* common/cmd.c, common/crc.c, common/cvar.c, common/pr_comp.h,
	common/progs.h, common/qdefs.h, common/qstructs.h,
	uquake/Makefile.in, uquake/client.h, uquake/common.c,
	uquake/common.h, uquake/progdefs.h, uquake/quakedef.h,
	uquake/server.h, uquake/world.h: uquake compile updates..

2000-01-27 14:56  taniwha

	* common/: common.c, common.h: these should not be here (yet)

2000-01-27 13:57  palisade

	* TODO: mentioned some neato stuff

2000-01-27 11:27  taniwha

	* common/: common.c, common.h: more work on the merge

2000-01-27 11:10  mercury

	* common/sw_rpart.c: Quick fixup for compiling without the gl
	headers..

2000-01-27 11:08  deek

	* common/.cvsignore: Added Makefile to .cvsignore

2000-01-27 11:05  deek

	* qw_client/r_part.c: Removed unnecessary #include "glquake.h"

2000-01-27 09:28  mercury

	* qw_client/cl_parse.c: Whoops, included glquake.h instead of
	cvars.h..

2000-01-27 09:06  mercury

	* Makefile.in, acconfig.h, configure.in, common/Makefile.in,
	common/bspfile.h, common/cd_linux.c, common/cmd.c, common/cmd.h,
	common/common.c, common/common.h, common/common_quakedef.h,
	common/cvar.c, common/cvar.h, common/cvars.h, common/d_init.c,
	common/d_polyse.c, common/d_sky.c, common/d_sprite.c,
	common/draw.c, common/draw.h, common/gl_draw.c, common/gl_mesh.c,
	common/gl_refrag.c, common/gl_rmain.c, common/gl_rmisc.c,
	common/gl_rsurf.c, common/gl_vidglx.c, common/gl_vidlinux_3dfx.c,
	common/gl_view.c, common/gl_warp.c, common/glquake.h,
	common/glquake2.h, common/in_svgalib.c, common/keys.c,
	common/lib_replace.c, common/lib_replace.h, common/mathlib.c,
	common/mathlib.h, common/model.h, common/modelgen.h,
	common/net_ser.h, common/pr_comp.h, common/qargs.c, common/qargs.h,
	common/qdefs.h, common/qendian.c, common/qendian.h,
	common/qstructs.h, common/qtypes.h, common/quakefs.c,
	common/quakefs.h, common/r_alias.c, common/r_bsp.c,
	common/r_draw.c, common/r_light.c, common/r_local.h,
	common/r_main.c, common/r_shared.h, common/r_sky.c,
	common/r_surf.c, common/register_check.c, common/render.h,
	common/sbar.c, common/skin.c, common/snd_dma.c, common/snd_mem.c,
	common/snd_mix.c, common/snd_null.c, common/snd_oss.c,
	common/sound.h, common/sw_rpart.c, common/sw_view.c,
	common/sys_linux.c, common/vid.h, common/vid_ggi.c,
	common/vid_svgalib.c, common/vid_x.c, common/wad.c, common/wad.h,
	common/zone.c, qw_client/Makefile.in, qw_client/cl_cam.c,
	qw_client/cl_demo.c, qw_client/cl_ents.c, qw_client/cl_input.c,
	qw_client/cl_main.c, qw_client/cl_parse.c, qw_client/cl_pred.c,
	qw_client/cl_tent.c, qw_client/d_edge.c, qw_client/gl_model.c,
	qw_client/gl_ngraph.c, qw_client/gl_rlight.c, qw_client/gl_rpart.c,
	qw_client/gl_screen.c, qw_client/menu.c, qw_client/menu.h,
	qw_client/model.c, qw_client/r_edge.c, qw_client/r_efrag.c,
	qw_client/r_misc.c, qw_client/r_part.c, qw_client/r_sprite.c,
	qw_client/screen.c, qw_client/view.c, qw_common/client.h,
	qw_common/cmd.c, qw_common/cmd.h, qw_common/common.c,
	qw_common/common.h, qw_common/console.c, qw_common/cvar.c,
	qw_common/cvar.h, qw_common/net.h, qw_common/net_chan.c,
	qw_common/net_udp.c, qw_common/pmove.c, qw_common/pmove.h,
	qw_common/pmovetst.c, qw_common/protocol.h, qw_server/Makefile.in,
	qw_server/qwsvdef.h, qw_server/server.h, uquake/cmd.c,
	uquake/cmd.h, uquake/common.c, uquake/cvar.c, uquake/cvar.h,
	uquake/lib_replace.c, uquake/quakefs.c: HUGE changes..	Basicly,
	sound_lib.a is built, and is compiled into the clients..  Note,
	uquake is SERIOUSLY FSCKED..

2000-01-26 23:54  knghtbrd

	* common/sbar.c: sbar now works exactly like it does in stable, HUD
	and all for both UQ and for QW.  sbar.c is STILL a mess and will
	continue to be such until I can check at runtime for QW/UQ..  When
	that happens the merge can move MUCH faster for everybody (so
	somebody do it!  hehe)

2000-01-26 21:18  taniwha

	* common/: common.c, common.h: new files. not yet complete so the
	old ones have not been deleted.

2000-01-26 11:00  lsh

	* common/common_quakedef.h, common/d_iface.h, common/gl_draw.c,
	common/gl_mesh.c, common/gl_refrag.c, common/gl_rmain.c,
	common/gl_rmisc.c, common/gl_rsurf.c, common/gl_test.c,
	common/gl_vidglx.c, common/gl_view.c, common/gl_warp.c,
	common/glquake.h, common/sw_rpart.c, qw_client/cl_parse.c,
	qw_client/gl_model.c, qw_client/gl_ngraph.c, qw_client/gl_rlight.c,
	qw_client/gl_screen.c, qw_client/r_part.c, qw_client/sw_cl_parse.c,
	uquake/gl_cl_parse.c, uquake/gl_model.c, uquake/gl_rlight.c,
	uquake/gl_rpart.c, uquake/gl_screen.c: glquake.h now included from
	only the files that use OpenGL, and not from common_quakedef.h (and
	thus all files)
	
	This solves a build break when the OpenGL includes are not in
	/usr/include, since the OpenGL include path is only used when
	compiling files that use OpenGL.

2000-01-26 10:56  lsh

	* uquake/common.c: #ifdef _EXPERIMENTAL did not include all unz*
	references

2000-01-26 10:42  raptor

	* NEWS, TESTIFY, TODO: 
	
	Added a few things to NEWS/TESTIFY/TODO

2000-01-26 10:15  raptor

	* common/gl_rsurf.c: 
	
	Fixed waterwarp bug; athough entities no longer warp underwater. 
	for those interested, someone had added additional conditions which
	waterwarp is applied that caused problems.  -- Eric Windisch

2000-01-25 23:59  knghtbrd

	* common/wins/config.h: Added NEWSTYLE and GAMENAME for EmpireOS.

2000-01-25 20:22  raptor

	* common/unzip.h: 
	
	Adding unzip.h, note: unzip.h and unzip.c are directly copied from
	aftershock.  Several functions added to common.c were copied and
	modified from aftershock as well.  The rest of common.c's pak3 code
	(so far) was written by me. All the standard disclaimers apply.  --
	Eric W.

2000-01-25 18:08  raptor

	* common/unzip.c: 
	
	Needed for pak3 support, btw. this uses Zlib so possibly not
	portable.  -- Eric Windisch

2000-01-25 18:06  raptor

	* uquake/: common.c, common.h: 
	
	Quake3 Pak file support in EXPERIMENTAL, we need -lz and unzip.c
	included for this to work.  -- Eric Windisch

2000-01-24 21:59  knghtbrd

	* NEWS, configure.in, common/common_quakedef.h, common/cvars.h,
	common/d_local.h, common/gl_vidglx.c, common/glquake.h,
	uquake/gl_screen.c, uquake/screen.c: A few of Mercury's local
	changes and things I've done to stable..  We're attempting to get a
	build WITHOUT GL to work again...

2000-01-24 21:57  knghtbrd

	* debian/: changelog, control, quake-3dfx.docs, quake-3dfx.files,
	quake-ggi.docs, quake-ggi.files, quake-gl.docs, quake-gl.files,
	quake-sdl.docs, quake-sdl.files, quake-server.docs,
	quake-server.files, quake-svga.docs, quake-svga.files,
	quake-x11.docs, quake-x11.files, rules, wrapper: Merging debian/
	from stable

2000-01-24 20:45  taniwha

	* rpm/: build_rpm.in, rpmrc: merge in changes from the Release_0_1
	branch

2000-01-23 16:10  adamel

	* common/common_quakedef.h: Don't include menu.h if SERVERONLY is
	defined.

2000-01-23 16:09  adamel

	* common/snd_dma.c, qw_server/sv_ccmds.c: A '&' before an array
	variable is at best ignored, at worst it could do weird stuff.

2000-01-23 01:28  knghtbrd

	* debian/: quake-3dfx.docs, quake-ggi.docs, quake-gl.docs,
	quake-sdl.docs, quake-server.docs, quake-svga.docs, quake-x11.docs:
	Added NEWS to debian/*.docs

2000-01-23 01:27  knghtbrd

	* debian/wrapper: file wrapper was initially added on branch
	Release_0_1.

2000-01-23 01:27  knghtbrd

	* configure.in, debian/changelog, debian/control,
	debian/quake-3dfx.files, debian/quake-ggi.files,
	debian/quake-gl.files, debian/quake-sdl.files,
	debian/quake-server.files, debian/quake-svga.files,
	debian/quake-x11.files, debian/rules, debian/wrapper: debian/*
	cleanups

2000-01-22 22:35  knghtbrd

	* NEWS, uquake/cl_main.c, uquake/client.h, uquake/gl_screen.c,
	uquake/r_main.c, uquake/sbar.c, uquake/screen.c: Fixed sbar
	problems!  This ended up requiring backports from the unstable
	tree, but this is AFAIK the last issue before release.

2000-01-22 20:42  mercury

	* acconfig.h, configure.in, common/common_quakedef.h,
	common/gl_vidlinux_3dfx.c, common/glquake.h, common/keys.h,
	common/progs.h, common/render.h: Making things even more generic,
	and a fix for compiling without GL support.

2000-01-22 20:13  knghtbrd

	* common/gl_vidglx.c: Fixed bug which would cause a segfault if
	MESA_GLX_FX is unset with fxmesa.

2000-01-22 19:52  deek

	* common/sbar.c: Updates to assist in merging...

2000-01-22 16:52  taniwha

	* Makefile.in: make distclean now cleans up in rpm

2000-01-22 16:45  taniwha

	* rpm/: build_rpm.in, rpmrc: build_rpm.in:	now builds the
	rpms. NOTE: only i386 and i686 supported for now. other  archs need
	to be atted to the mkdir -p line for RPMS.  rpmrc:   new file. tell
	rpm where to pick up our macros for _topdir

2000-01-22 16:45  taniwha

	* rpm/rpmrc: file rpmrc was initially added on branch Release_0_1.

2000-01-22 14:21  deek

	* common/sbar.c, qw_client/sbar.c, uquake/cl_main.c, uquake/sbar.c:
	Preliminary (probably nonfunctional) support for QW's HUD in UQ.
	Beware!

2000-01-22 14:09  deek

	* uquake/client.h: Created cl_sbar definitions for UQ in client.h

2000-01-22 08:45  adamel

	* quakeforge.dsp: Changed sys_wina to sys_dosa

2000-01-22 08:43  adamel

	* common/sys_wina.s: Removed for the second time. If there is a
	problem with sys_dosa.s and Win32 - fix it right.

2000-01-22 04:54  mercury

	* common/common_quakedef.h, common/cvars.c, common/cvars.h,
	common/d_iface.h, common/d_local.h, common/gl_rmain.c,
	common/gl_view.c, common/glquake.h, common/glquake2.h,
	common/mathlib.h, common/model.h, common/quakeasm.h,
	common/r_local.h, common/r_shared.h, common/render.h,
	common/skin.c, common/snd_dma.c, common/sw_rpart.c,
	common/sw_view.c, common/sys_linux.c, common/vid.h, common/view.h,
	common/zone.h, qw_client/Makefile.in, qw_client/cl_demo.c,
	qw_client/cl_ents.c, qw_client/cl_main.c, qw_client/cl_parse.c,
	qw_client/cl_tent.c, qw_client/gl_cl_parse.c, qw_client/gl_model.c,
	qw_client/gl_model.h, qw_client/gl_rpart.c, qw_client/r_part.c,
	qw_client/sbar.c, qw_client/sw_cl_parse.c, qw_client/view.c,
	qw_common/bothdefs.h, qw_common/bspfile.h, qw_common/client.h,
	qw_common/cmd.h, qw_common/common.h, qw_common/console.h,
	qw_common/cvar.h, qw_common/model.h, qw_common/net.h,
	qw_common/net_chan.c, qw_common/pmove.h, qw_common/pmove_simple.h,
	qw_common/protocol.h, qw_common/screen.h, qw_server/model.c,
	uquake/Makefile.in, uquake/cl_parse.c, uquake/client.h,
	uquake/console.c, uquake/gl_cl_parse.c, uquake/gl_model.h,
	uquake/gl_rpart.c, uquake/model.h, uquake/r_part.c,
	uquake/sw_cl_parse.c, uquake/view.c: No more -DGLQUAKE!!! Took me
	9+ hours straight to do it, but its done!

2000-01-22 03:22  deek

	* common/r_main.c: r_main.c cosmetic changes ("Globals missaligned"
	-> "Globals misaligned"), cleaned up a couple #if's

2000-01-22 02:51  deek

	* common/r_main.c, qw_client/r_main.c, uquake/r_main.c: Merged
	r_main.c -- it wasn't the chore it looked like it was going to be. 
	It's still #ifdef'ed all over the place, but there are max. 100
	lines that aren't common.

2000-01-22 01:16  knghtbrd

	* NEWS, uquake/common.c: Multiple dirs may be specified on cmdline
	now.  -game dir1,dir2,...,dirN Use commas, not spaces or quotes or
	anything---the function used to do the parsing is ...
	unintelligent.	;>  Something better than the current method will
	appear when we migrate to a better cmdline parser.

2000-01-21 19:41  knghtbrd

	* NEWS, common/gl_rsurf.c: Fixed r_wateralpha...

2000-01-21 19:20  knghtbrd

	* NEWS: Added the NEWS file.

2000-01-20 22:29  palisade

	* CREDITS: merged identical categories

2000-01-20 09:58  palisade

	* AUTHORS: mentioned that marcus added the mingw32 support

2000-01-19 20:11  raptor

	* common/gl_rmain.c: 
	
	r_fog now specifies the fog density, and i moved the color back to
	white.	This is a minor change, I wasn't gonna do it but several
	users wanted it..  -- Eric Windisch

2000-01-19 19:15  raptor

	* common/gl_rmain.c: 
	
	Disabled all waterwarp effects for the release, perhaps we will
	renable it after we fix it. (r_waterwarp now defaults to 0) -- Eric
	Windisch

2000-01-19 14:51  mercury

	* qw_server/sv_user.c: Ok, no more false triggers..

2000-01-19 10:14  mercury

	* qw_server/sv_user.c: Tweak a bit..

2000-01-19 08:35  mercury

	* qw_server/: server.h, sv_main.c, sv_user.c: The real speed cheat
	fix!

2000-01-19 03:01  mercury

	* common/cd_linux.c, common/gl_rmain.c, common/gl_rmisc.c,
	common/gl_rsurf.c, common/glquake.h, common/in_sun.c,
	common/in_svgalib.c, common/render.h, common/snd_alsa.c,
	common/snd_oss.c, common/snd_sun.c, common/sys_linux.c,
	common/vid_dos.c, common/vid_ggi.c, common/vid_sunx.c,
	common/vid_sunxil.c, common/vid_svgalib.c, common/vid_x.c,
	qw_common/net_chan.c, qw_common/net_udp.c, qw_common/net_udp6.c,
	qw_common/render.h, uquake/client.h, uquake/console.c,
	uquake/dos_v2.c, uquake/net_udp.c, uquake/render.h,
	uquake/sys_dos.c: Merged render.h, to fix compile warnings..  No
	more compile warnings! A completely clean build on my system!
	Wrapped all the unistd.h includes with #ifdef HAVE_UNISTD_H.  Seems
	like there is more, but that looks like it..

2000-01-19 02:53  taniwha

	* rpm/build_rpm.in: find ... rm should not be needed now

2000-01-19 02:41  taniwha

	* Makefile.in: make distclean now does a better clean

2000-01-19 02:34  taniwha

	* .cvsignore, rpm/.cvsignore: forgot this stuff in the rpm stuff
	move

2000-01-19 02:31  taniwha

	* build_rpm.in, configure.in, quakeforge.spec.in, rpm/build_rpm.in,
	rpm/quakeforge.spec.in: moved build_rpm.in and quakeforge.spec.in
	to the rpm directory

2000-01-19 01:47  mercury

	* quakeforge.ncb, quakeforge.opt, quakeforge.plg: Zapped.

2000-01-19 01:02  deek

	* README: Changed URL for Utah GLX

2000-01-19 00:37  deek

	* README: Moved Linux opening-svgalib-targets-from-X notes to
	section 4.2, "Platform-specific Issues".

2000-01-19 00:33  taniwha

	* common/gl_vidglx.c: comment out the "Converting 8to24" message

2000-01-19 00:19  palisade

	* README: added mention in the errata about x11 exiting and the
	need to 'xset r on' to get repeat back..

2000-01-19 00:15  taniwha

	* common/gl_vidglx.c: allow VID_ShiftPalette to do something in
	experimental code

2000-01-19 00:12  taniwha

	* common/gl_vidlinuxglx.c: removed redundant file.

2000-01-18 23:59  deek

	* tools/gas2masm/gas2masm.c: Possible fix to gas2masm for VC++

2000-01-18 22:29  deek

	* tools/gas2masm/Makefile: Added very evil, and very unportable,
	Makefile for gas2masm on Linux for testing purposes. It may go away
	soon, or improved drastically -- I don't know.

2000-01-18 22:29  palisade

	* README.WIN, README.WIN: fixed directions

2000-01-18 22:13  taniwha

	* Makefile.in: run config.status instead of configure when the
	Makefiles are out of date. This way, configure options don't get
	lost.
	
	Unfortunatly, config.status gets called four times :(

2000-01-18 22:02  palisade

	* common/wins/: common_quakedef.h, config.h, d_parta.s, d_polysa.s,
	math.s, net_ser.h, net_wins.h, net_wipx.h: damnit

2000-01-18 21:56  palisade

	* common/wins/: common_quakedef.h, config.h, d_parta.s, d_polysa.s,
	math.s, sys_wina.s: need to recommit this

2000-01-18 21:51  palisade

	* CREDITS: added jason nelson to the CREDITS

2000-01-18 21:50  palisade

	* AUTHORS: added jason nelson to the authors

2000-01-18 21:48  palisade

	* README.WIN, common/sys_wina.s, common/wins/common_quakedef.h,
	common/wins/config.h, common/wins/d_parta.s,
	common/wins/d_polysa.s, common/wins/math.s, common/wins/sys_wina.s,
	uquake/wins/sys_win.c: added the rest of the win32 support, added
	README.WIN to explain changes

2000-01-18 21:40  palisade

	* quakeforge.dsp, quakeforge.dsw, quakeforge.ncb, quakeforge.opt,
	quakeforge.plg, common/net_ser.h, common/net_wins.h,
	common/net_wipx.h, uquake/qe3.ico, uquake/quake.ico: fixed VC win32
	support for standalone, thanks to Jason Nelson i think i got it all

2000-01-18 21:35  knghtbrd

	* AUTHORS, CREDITS, debian/changelog, debian/control: Technically a
	new feature, but every developer asked wanted it provided it didn't
	break anything.  It doesn't, so here it is:  show_fps for uquake!

2000-01-18 21:31  knghtbrd

	* uquake/: gl_screen.c, host.c, screen.c: Technically a new
	feature, but every developer asked wanted it provided it didn't
	break anything.  It doesn't, so here it is:  show_fps for uquake!

2000-01-18 18:07  adamel

	* AUTHORS: Added some entries on me.

2000-01-18 17:55  adamel

	* common/gl_vidglx.c: Updated DGA and XMESA code; We now use
	dlsym() to check for XMesaSetFXmode() at runtime.  If we find
	XMesaSetFXmode() all DGA code is disabled so it won't clash with
	Glide (Glide on Voodoo 3 uses DGA internally...) For XMESA we now
	check the MESA_GLX_FX environment variable at startup to detect
	whether we are started in windowed or fullscreen mode, and then set
	the cvar vid_glx_fullscreen to match that.

2000-01-18 17:43  adamel

	* common/gl_vidnt.c: Call S_Init() from VID_Init().

2000-01-18 17:24  adamel

	* qw_client/Makefile.in, uquake/Makefile.in: Link the *-gl binaries
	with @DYN_LIBS@.

2000-01-18 17:21  adamel

	* acconfig.h, configure.in: Check for dlfcn.h and dlopen().  Due to
	re-designed gl_vidglx.c we don't need XMesaSetFXmode in the GL
	library if we have dlopen().  Define DYN_LIBS for Makefiles.

2000-01-18 15:15  knghtbrd

	* configure.in: Added a check for strsep(), HAVE_STRSEP is defined
	if you do.

2000-01-18 14:58  adamel

	* common/dga_check.c: Removed unused variable vidmodes.

2000-01-18 14:45  adamel

	* configure.in: Replaced don't with do not so emacs font-lock-mode
	works ;)

2000-01-18 14:41  adamel

	* qw_client/cl_main.c: Removed bogus checks on unused variable.

2000-01-18 12:57  raptor

	* configure.in: 
	
	Fixed a typo that said "experiemental", no biggie.. would have been
	embarrassing for a release though :) -- Eric Windisch

2000-01-18 12:33  taniwha

	* common/gl_rsurf.c: Remove the #ifndef arround the wateralpha
	code. It doesn't actually fix the wateraplha+mirroralpha problem
	according to knghtbrd

2000-01-18 12:18  adamel

	* common/sys_linux.c: Removed the stupid and pointless messing with
	O_NDELAY.

2000-01-18 12:15  adamel

	* uquake/net_dgrm.c: Starting up with all IP-addresses banned seems
	like a very bad idea...

2000-01-18 10:15  adamel

	* common/dga_check.c: The DGA checking code is hardly experimental.

2000-01-18 01:16  taniwha

	* AUTHORS, CREDITS, qw_common/common.c: AUTHORS CREDITS:	add
	Nye Liu <nyet@nbase.com> qw_common/common.c:	    include changes
	nyet (above:) found were needed.

2000-01-17 21:42  taniwha

	* .cvsignore, Makefile.in: .cvsignore:	added build_rpm and
	quaeforge-*.tar.gz Makefile.in:     added build_rpm
	quakeforge-*.tar.gz quakeforge.spec to distclean

2000-01-17 21:36  taniwha

	* quakeforge.spec.in, common/gl_rsurf.c: quakeforge.spec.in:	a
	few corrections to get rpms building. NOTE: THIS WILL NOT WORK FOR 
	  -pre VERSIONS because rpm doesn't like `-' in the version string.
	 common/gl_rsurf.c:   experimentally comment out some code that
	/seems/ to fix the    r_{water,mirror}alpha bug.

2000-01-17 20:10  deek

	* common/dosisms.h, uquake/net_bw.h, uquake/net_ipx.h,
	uquake/net_mp.h, uquake/net_ser.h, uquake/do_not_include/dosisms.h,
	uquake/do_not_include/net_bw.h, uquake/do_not_include/net_ipx.h,
	uquake/do_not_include/net_mp.h, uquake/do_not_include/net_ser.h:
	Moved some do_not_include stuff where it belongs...Thanks go to
	Thad Ward <coderjoe@grnet.com>

2000-01-17 20:07  taniwha

	* build_rpm.in: better find matching

2000-01-17 20:02  taniwha

	* build_rpm.in, configure.in: configure.in:	added
	--enable-experimental	  create build_rpm (with some tidy up in
	that region) build_rpm.in:	 initial checkin. not yet complete,
	but it builds a .tar.gz

2000-01-17 19:38  raptor

	* common/gl_rmisc.c, common/gl_vidglx.c, common/gl_warp.c,
	common/glquake.h, tools/cvs2cl/ChangeLog: 
	
	Removed _EXPERIMENTAL_ from waterripple as it is very stable.. 
	also made the cvar a multiplier (the old multiplier was 8),
	defaults to 0.	The cvs2cl changelog should just be whitespace
	changes, whoops.

2000-01-17 19:13  knghtbrd

	* acconfig.h, configure.in, qw_common/common.c,
	qw_server/sv_user.c, qw_server/sys_unix.c, uquake/common.c,
	uquake/quakedef.h: ./configure --enable-newstyle now actually does
	something.  It changes the default game name from "id1" to "base". 
	This allows you to have full and shareware version's of Id's pak's
	installed, as well as other full TC's you want..  You may want to
	make base a symlink to id1 for now since you currently can't have
	multiple -game's, that's my next fix.

2000-01-17 19:03  palisade

	* TODO: another one came to mind

2000-01-17 19:00  knghtbrd

	* README: Added errata about the svgalib targets not starting from
	X like other svgalib apps can.

2000-01-17 18:58  taniwha

	* configure.in, quakeforge.spec.in: configure.in:	made
	QF_VERSION and VERSION AC_SUBSTed as well as AC_DEFINED_UNQUOTED
	quakeforge.spec.in	  use @QF_VERSION@

2000-01-17 18:49  palisade

	* TODO: added one

2000-01-17 18:05  palisade

	* TODO: added some things to TODO

2000-01-17 13:06  deek

	* README: README tweaks.

2000-01-17 09:19  mercury

	* AUTHORS, qw_server/server.h, qw_server/sv_user.c: Updated the
	authors file..	Improvements for the speed cheat fix from Genesys..

2000-01-17 00:22  taniwha

	* AUTHORS, CREDITS, common/asm_i386.h: added FreeBSD CNAME patch
	from Daniel J. O'Connor <darius@dons.net.au>

2000-01-16 19:42  taniwha

	* quakeforge.spec.in: stole the description from our website:)

2000-01-16 18:53  knghtbrd

	* acconfig.h, configure.in: Added --enable-newstyle to configure
	which will define NEWSTYLE.  This is only to be used for changes to
	defaults which do not affect gameplay such as where we look for pak
	files by default.

2000-01-16 18:23  palisade

	* README: added a .

2000-01-16 18:16  palisade

	* AUTHORS, CREDITS, TODO: added several authors people forgot to
	mention, added authors people mentioned, but only mentioned in only
	one of the credit files, added a few things to the TODO and removed
	a few things that are complete now.

2000-01-16 04:19  mercury

	* acconfig.h, configure.in, common/draw.c, common/gl_draw.c,
	common/sys_linux.c, qw_client/cl_main.c, qw_common/client.h,
	qw_server/sv_main.c, uquake/host_cmd.c: We now have two versions,
	what we first identify ourselves as, which is 2.40, and the
	quakeforge version, fixes the annoying spectator bug..

2000-01-15 23:01  taniwha

	* common/dga_check.c: missed a HAS_DGA in the _EXPERIMENTAL_ witch
	hunt. It wasn't critical, but I did this one for completeness.

2000-01-15 22:55  taniwha

	* common/: dga_check.c, gl_vidglx.c, gl_vidlinuxglx.c: mismatched
	()s don't help.

2000-01-15 22:51  taniwha

	* common/: dga_check.c, gl_vidglx.c, gl_vidlinuxglx.c: made DGA
	code _EXPERIMENTAL_

2000-01-15 16:51  adamel

	* common/gl_vidlinux_3dfx.c: Support compiling with older glide
	versions.

2000-01-15 14:52  mercury

	* common/gl_vidlinux_3dfx.c, common/keys.c, common/pr_cmds.c,
	qw_common/pmove.c, qw_server/server.h, qw_server/sv_ccmds.c,
	qw_server/sv_main.c, qw_server/sv_user.c: Some misc 3dfx changes.. 
	Some keys changes for toggle console..	Some (not currently the
	/best/, but functional) speed cheat improvements..  And some stuff
	brought in from QuakeLives.. (max rate, and new ping system)

2000-01-14 22:43  palisade

	* TODO: mentioned mouse wheel support

2000-01-14 20:54  adamel

	* common/: gl_vidglx.c, vid_sunx.c, vid_x.c: We need to swap mouse
	buttons 2 and 3 in X.

2000-01-14 20:43  adamel

	* common/gl_vidglx.c: Took some input code from vid_x.c

2000-01-14 20:42  palisade

	* acconfig.h: didn't mean to commit this change

2000-01-14 20:41  palisade

	* acconfig.h, common/gl_vidglx.c: do_grab() was a typo, should be
	do_grabs()

2000-01-14 20:18  adamel

	* qw_client/Makefile.in, uquake/Makefile.in: Changed
	gl_vidlinuxglx.c to gl_vidglx.c as it really doesn't have anything
	with Linux to do.

2000-01-14 20:14  adamel

	* common/: gl_vidglx.c, gl_vidlinuxglx.c: Changed gl_vidlinuxglx.c
	to gl_vidglx.c as it really doesn't have anything with Linux to do.

2000-01-14 20:09  adamel

	* common/gl_vidlinuxglx.c: Enabled DGA code.  Added VidMode
	fullscreen mode.  Support for resizing the window on the fly.  Some
	code cleanups.	Please test!

2000-01-14 19:33  adamel

	* uquake/Makefile.in: Added dga_check.c to quake-gl

2000-01-14 19:33  adamel

	* qw_client/Makefile.in: Added dga_check.c to qw-client-gl

2000-01-14 19:31  adamel

	* qw_client/menu.c: Incorporated the VID_ExtraOption* stuff from
	uquake/menu.c

2000-01-14 19:31  adamel

	* common/: dga_check.c, dga_check.h: We need to pass the
	XF86VidModeModeInfo pointers to XF86VidModeSwitchToMode so checking
	modes in VID_CheckVMode and converting them to our own format isn't
	really useful.

2000-01-14 19:18  adamel

	* uquake/menu.c: Call VID_ExtraOptionCmd() with correct argument. 
	Removed some useless code.

2000-01-14 18:20  taniwha

	* common/snd_alsa.c: Improved device handling. By default, quake
	will now grovel around ALSA'a device list to find an available
	output device. This means that for systems with multiple cards or a
	card with more than one playback device, quake and another app can
	run at the same time (eg an mp3 player and quake)

2000-01-14 14:31  adamel

	* common/dga_check.c: Made it possible to pass NULL arguments for
	maj_ver and/or min_ver.

2000-01-13 20:58  palisade

	* README: deek... don't use the extended symbol for (C), just don't

2000-01-13 19:57  taniwha

	* AUTHORS, CREDITS: AUTHORS:	added XoXus (David Symonds)    
	mentioned my alsa work CREDITS: 	added myself to the sound
	cleanup       mentioned XoXus for svgalib

2000-01-13 19:47  taniwha

	* CREDITS: added XoXus (David Symonds) to Misc Code Fixes

2000-01-13 19:41  taniwha

	* configure.in, common/mdfour.c, common/pr_edict.c,
	common/pr_exec.c, uquake/r_main.c: common/mdfour.c
	common/pr_edict.c common/pr_exec.c uquake/r_main.c:	 various
	warning cleanups configure.in:	check for XShm before enabling X

2000-01-13 18:46  taniwha

	* configure.in: autoconf 2.13 required

2000-01-13 10:31  adamel

	* common/vid_sdl.c: Applied patch from Ricardo Veguilla.

2000-01-13 10:09  adamel

	* configure.in: Hopefully fixed detection of XShmQueryExtension.

2000-01-13 04:22  taniwha

	* common/snd_alsa.c: alsa api changed slightly (for the better,
	though. more consistent)

2000-01-13 03:11  taniwha

	* README: added Voodoo2 to list of tested video cards as per
	zilch's request

2000-01-13 02:34  deek

	* README: Serious revamp of README, particularly the filling in of
	section 4 and rewording of much of the rest.

2000-01-13 02:33  deek

	* common/gl_rmisc.c: Folded r_volfog into -D_EXPERIMENTAL_, since
	it currently does not work.  It can probably be uncommented now.

2000-01-13 01:51  taniwha

	* .cvsignore: added quakeforge.spec

2000-01-12 21:27  palisade

	* README.DJGPP: added more info

2000-01-12 20:50  taniwha

	* configure.in, quakeforge.spec.in: configure.in:	add
	quakeforge.spec to list of files configure is to creat. 
	quakeforge.spec.in:	   initial checkin. still needs
	work/testing.

2000-01-12 20:38  palisade

	* README.DJGPP: added email from thad ward on compiling under djgpp
	to README.DJGPP

2000-01-12 19:33  palisade

	* README, TESTIFY: pulled the testimonials out of the README and
	into TESTIFY and reorganized the way they are displayed, added
	additional information.

2000-01-12 17:43  adamel

	* common/: vid_sunx.c, vid_x.c: Big cleanups and some bug fixes in
	vid_sunx.c and vid_x.c.  They will be merged into one file soon.

2000-01-12 14:57  palisade

	* README: added a .

2000-01-12 14:52  lsh

	* common/gl_rmisc.c: An "#ifdef _EXPERIMENTAL_" is required around
	gl_waterripple reference

2000-01-12 13:43  deek

	* common/: gl_rsurf.c, gl_warp.c, glquake.h: Applied raptor's
	r_waterwarp enable/disable patch. r_waterwarp now works -- we still
	have to find the waterwarp bug, but this is a start.
	
	Moved raptor's r_waterripple effect into #define _EXPERIMENTAL_
	until release. It doesn't break anything that we know of, but this
	is _still_ a freeze we're in, and this is a new feature.

2000-01-12 13:36  adamel

	* qw_client/Makefile.in: Ops, should be tab instead of spaces...

2000-01-12 13:18  adamel

	* qw_client/Makefile.in: Added the not-so-useless ifneqs back -
	they prevents warnings from make

2000-01-11 22:57  palisade

	* README: fixed formatting problem, fixed name, added information

2000-01-11 18:24  raptor

	* common/: gl_rmain.c, gl_rmisc.c, gl_warp.c, glquake.h: 
	
	This is an extremely small feature that I figured out while trying
	to find the waterwarp bug. This creates r_waterripple that causes a
	wave effect when set to 1. Perhaps I will change it after release
	to adjust the size of the waves...
	
	-- Eric Windisch

2000-01-11 16:53  adamel

	* common/: dga_check.c, dga_check.h: Made VID_CheckDGA() check for
	DirectVideo capability.  Made VID_CheckVMode() return a list of
	supported modes.

2000-01-11 16:52  adamel

	* README: Added Digital Unix/TRU64 to tested OSes.  Added comment
	about Win98 untested since autoconf was added.

2000-01-11 04:12  knghtbrd

	* TODO: TODO updates

2000-01-10 20:59  taniwha

	* common/vid_svgalib.c: applied Xoxus' patch to check for svgalib
	errors, but exiting if vga_setmode fails.

2000-01-10 20:18  deek

	* common/: dga_check.c, dga_check.h: Removed personally offensive
	copyright notice (mine -- I'll let anyone else take all the credit
	they want, keep me out of it); edited so that the DGA/Vmode
	detection functions return 0 if HAS_DGA is not defined.

2000-01-10 18:23  palisade

	* README: added Henti Smith's testimonial

2000-01-10 17:19  adamel

	* common/: dga_check.c, dga_check.h: Made the code actually do
	something useful instead of segfaulting.  Changed functions so you
	get the version of the extensions.

2000-01-10 17:18  adamel

	* common/gl_vidlinuxglx.c: config.h is included from the quake
	headers.

2000-01-10 17:17  adamel

	* qw_client/Makefile.in: Removed useless ifndefs.  Added rule for
	gl/dga_check.@OBJEXT@

2000-01-10 17:16  adamel

	* configure.in: Add check for X11/extensions/xf86vmode.h

2000-01-10 05:51  mercury

	* qw_server/sv_user.c: Whoops, fix a bug on sv_user.c..

2000-01-10 00:49  mercury

	* configure.in: -pedantic is gone, GONE! Never to return its GONE!
	*bounce*

2000-01-10 00:38  taniwha

	* common/: snd_alsa.c, snd_dma.c: common/snd_alsa.c:	do as much
	autodetection as possible, giveing the nicest sound possible	   
	 May need special handing for old cards that can only do mono at
	44100,	but can do stereo at 22050 (eg sbpro). Depends on how alsa
	handles      these. It is prefereable to have 22050 stereo over
	44100 mono.  common/snd_dma.c:	     fixed passing structure
	instead of address of structure to Q_memset.

2000-01-09 23:55  knghtbrd

	* qw_server/Makefile.in: clean now does properly.

2000-01-09 14:19  palisade

	* qw_common/net_udp6.c: forgot to add it with the IPv6 patch from
	Pontus

2000-01-09 14:11  palisade

	* AUTHORS, CREDITS, qw_client/Makefile.in, qw_common/net.h,
	qw_server/Makefile.in: beginnings of IPv6 support by Pontus Lidman
	
	(pali) i had to personally fix this so that it's optional, if
	anyone wants to enable this (it's not ready yet, it's just a star)
	you have to uncomment the line\ for QW_NET_SRC in
	qw_client/Makefile.in and qw_server/Makefile.in, you also have to
	uncomment LINUX_IPV6 definition in qw_common/net.h
	
	here's an excerpt of Pontus's explaination: I've started to work on
	IPv6 support. I guess it's not a top priority, as the intersections
	of quake players and people with 6bone access is pretty small, but
	at least I'm one of them ;)
	
	If anyone else is interested in working on IPv6 support, or have
	opinions/advice on how to go about it, I'd like to get in touch.

2000-01-09 14:00  palisade

	* AUTHORS, CREDITS: added ricardo to the authors/credits

2000-01-09 12:34  raptor

	* common/vid_x.c, uquake/menu.c: 
	
	The previous 2 commits were on the rendering of menu.c This commit
	makes it functional :) Wierd bug where fullscreen switch isn't
	working, must fix...  -- Eric Windisch

2000-01-09 12:13  raptor

	* common/vid_x.c: 
	
	I forgot to modify vid_x.c, quake-x11 works now :) -- Eric Windisch

2000-01-09 12:10  raptor

	* common/gl_vidlinux_3dfx.c, common/gl_vidlinuxglx.c,
	common/gl_vidnt.c, common/vid.h, common/vid_dos.c,
	common/vid_ggi.c, common/vid_null.c, common/vid_sdl.c,
	common/vid_sunx.c, common/vid_sunxil.c, common/vid_svgalib.c,
	common/vid_win.c, common/vid_x.c, uquake/menu.c, uquake/menu.h: 
	
	Menu system is a bit more modular now and we have a workaround the
	problem with the 'holes', we are using a (local) variable and
	incrementing it by 8 instead of using static values.  -- Eric
	Windisch

2000-01-09 11:44  lsh

	* uquake/view.c: Need to include draw.h so Draw_Crosshair() is
	defined

2000-01-09 11:42  lsh

	* uquake/glquake.h, qw_client/glquake.h:
	{uquake,qw_client}/glquake.h combined and moved to common

2000-01-09 11:40  lsh

	* common/: draw.h, glquake.h, vid_sunx.c: draw.h - define
	Draw_Crosshair() always
	
	vid_sunx.c - If can't get big enough shared memory image, try to
	get a non-shared image (this is more of a problem with 24-bit than
	8-bit - should add a -bpp command for the SW targets)
	
	glquake.h - combined version of {uquake,qw_client}/glquake.h

2000-01-09 09:59  knghtbrd

	* common/vid_sdl.c: Commented a couple lines out of vid_sdl.c which
	seem not to be needed anymore (and were preventing building of the
	SDL target..)

2000-01-09 06:09  adamel

	* uquake/menu.c: Revison 1.17 worked exactly as intended. Revison
	1.20 was completely broken. Like I said - it needs a cleanup, but
	it works for now.

2000-01-09 04:08  knghtbrd

	* common/gl_vidlinuxglx.c: ARGH!  Mesa doesn't work with gl_ztrick
	1 anymore and neither does Utah GLX, so it now defaults to 0 for
	the linux -gl target..

2000-01-09 03:20  palisade

	* common/vid_sdl.c: added Ricardo Veguilla's patch (it was sooooo
	messed up had to hand add it)
	
	i *hope* this works....
	
	Here's the patch for fixing the _windowed_mouse cvar on SDL
	binaries. Its now set by default to "0" to match the default value
	in vid_x.c and gl_vidlinuxglx.c.

2000-01-09 00:19  raptor

	* uquake/menu.c: 
	
	fix for menu.c, adamel didn't add a bug.. just some bad code
	defining the variable his equation was using.  Everything should
	finally be ok (like  i haven't said that before) -- Eric Windisch

2000-01-09 00:12  deek

	* common/: dga_check.c, dga_check.h: Added header defs to
	dga_check.h

2000-01-08 23:57  raptor

	* uquake/menu.c: 
	
	Forgot to fix the bug i said i fixed of adamel's last commit that
	existed in menu.c

2000-01-08 23:52  deek

	* common/: dga_check.c, dga_check.h: Repaired small screwup on my
	part in prototypes

2000-01-08 23:52  raptor

	* uquake/menu.c: 
	
	Reimplimented evil #define in menu.c cuz it wasn't working
	otherwise :) Fixed a bug that im still not sure why Adamel
	implimented, he had it assuming that every target has 15 entries,
	when they don't.  -- Eric Windisch

2000-01-08 23:50  deek

	* common/: dga_check.c, dga_check.h: Added support for checking
	whether DGA/Vmode support is available at runtime. These files are
	not used yet!

2000-01-08 23:25  adamel

	* uquake/menu.c: Added the video menu back. This really needs a big
	cleanup, but it works for now.

2000-01-08 23:19  raptor

	* uquake/menu.c: 
	
	Changed some stuff in menu.c to remove someone's evil #define of
	options_items, rather made options_items a static int and changed
	'static int local_options_items = 13' into '#define
	local_options_items 13' (non-evil define ;) -- eric windisch

2000-01-08 23:15  deek

	* qw_client/Makefile.in, uquake/Makefile.in: Added @DGA_LIBS@ to
	OpenGL target builds

2000-01-08 22:52  raptor

	* common/gl_vidlinuxglx.c: 
	
	Put CvarRegisterVariable(&vid_glx_mode) in the right spot, although
	it worked before; now, it is organized :) -- Eric Windisch

2000-01-08 22:45  adamel

	* common/gl_vidlinuxglx.c: Fixed case values.

2000-01-08 22:14  raptor

	* common/gl_vidlinuxglx.c: 
	
	Commented out Dga code in VID_ExtraOptionCmd() untill someone
	writes some that works :)

2000-01-08 22:10  raptor

	* common/gl_vidlinuxglx.c: 
	
	Hopefully, everything is somewhat working and everything compiles
	now.  Although i wouldn't be surprised if it doesn't :) -- Eric
	Windisch

2000-01-08 21:55  adamel

	* common/gl_vidlinuxglx.c: Cleaned up includes.  #undef HAS_DGA
	until DGA extension is being properly used.  Added dgamouse
	variable.  Changed options_items into VID_options_items.  Made it
	start at 0 instead of 13.  Removed DGA code in
	VID_ExtraOptionCmd(). It doesn't do what it's supposed to do, and
	DGA is not the right way to do it.

2000-01-08 21:36  raptor

	* common/gl_vidlinuxglx.c: 
	
	Maybe gl_vidlinuxglx.c works now ? :) if it doesn't sorry, if it
	does.. maybe everyone will get off my case ;) -- Eric Windisch

2000-01-08 21:23  raptor

	* common/gl_vidlinuxglx.c: 
	
	More bug fixes to gl_vidlinuxglx.c for fullscreen/windowed
	switching..  now requires XMESA and DGA to do fullscreen switching,
	although it shouldn't need XMESA in the future if you have DGA. 
	(XMESA needs DGA as a fallback, or that would be a bug in itself)
	
	-- Eric Windisch

2000-01-08 21:09  adamel

	* common/gl_vidlinux_3dfx.c: Changed options_menu to
	VID_options_menu.  Made it start at 0 instead of 13.  Added support
	for 800x600 resolution.

2000-01-08 21:07  adamel

	* common/: gl_vidnt.c, vid_dos.c, vid_ggi.c, vid_null.c, vid_sdl.c,
	vid_sunx.c, vid_sunxil.c, vid_svgalib.c, vid_win.c, vid_x.c:
	Changed options_items to VID_options_items.  Made it start at 0
	instead of 13.

2000-01-08 21:02  adamel

	* common/draw.h: Added M_Print() and M_DrawCheckBox() prototypes.

2000-01-08 20:57  adamel

	* qw_server/qwsvdef.h: Add max() and min() macros if not defined.

2000-01-08 20:56  adamel

	* uquake/menu.c: Cleaned up the ExtraOption code a bit.

2000-01-08 20:33  raptor

	* common/gl_vidlinuxglx.c: 
	
	Fixed stupid bug where it can go into dga but not out of it..
	untested.  gl_vidlinuxglx.c -- Eric Windisch

2000-01-08 20:29  raptor

	* common/gl_vidlinuxglx.c: 
	
	If mesa fullscreen/window hack doesn't work, toggle dga..
	(gl_vidlinuxglx.c) -- Eric Windisch

2000-01-08 20:22  mercury

	* common/in_svgalib.c, common/keys.c, common/keys.h,
	qw_server/sv_user.c: Support for a few more keys, and more
	importantly real support for the wheel!!!
	
	Some more tweaks to the speed cheat prevention..

2000-01-08 19:03  raptor

	* common/gl_vidlinux_3dfx.c, common/gl_vidlinuxglx.c,
	common/gl_vidnt.c, common/vid_dos.c, common/vid_ggi.c,
	common/vid_null.c, common/vid_sdl.c, common/vid_sunx.c,
	common/vid_sunxil.c, common/vid_svgalib.c, common/vid_win.c,
	common/vid_x.c, uquake/menu.c, uquake/menu.h: 
	
	Ok, removed all the #define's and everything should be working fine
	now.  notify me of any bugs :) -- Eric Windisch

2000-01-08 18:45  adamel

	* qw_client/Makefile.in, uquake/Makefile.in: Added in_svgalib.c to
	svga and 3dfx targets.

2000-01-08 18:44  adamel

	* common/gl_vidlinux_3dfx.c: Moved input code to in_svgalib.c. 
	Some cleanups.

2000-01-08 18:43  adamel

	* common/vid_svgalib.c: Moved input code to in_svgalib.c.  Cleaned
	up includes and code.

2000-01-08 18:41  adamel

	* common/in_svgalib.c: Input driver for svgalib, used by
	gl_vidlinux_3dfx.c and vid_svgalib.c.

2000-01-08 18:28  adamel

	* qw_client/gl_vidlinux_x11.c: Removed includes

2000-01-08 18:18  adamel

	* configure.in: Check for sys/io.h and asm/io.h

2000-01-08 18:14  adamel

	* qw_client/cl_main.c: Call VID_Init() before IN_Init().  Removed
	ifdef __linux__

2000-01-08 18:13  adamel

	* uquake/host.c: Call VID_Init() before IN_Init().

2000-01-08 18:12  adamel

	* common/common_quakedef.h: Avoid warnings about inline with gcc
	-pedantic

2000-01-08 17:53  raptor

	* common/gl_vidlinux_3dfx.c, common/gl_vidlinuxglx.c,
	common/gl_vidnt.c, common/vid.h, common/vid_dos.c,
	common/vid_ggi.c, common/vid_null.c, common/vid_sdl.c,
	common/vid_sunx.c, common/vid_sunxil.c, common/vid_svgalib.c,
	common/vid_win.c, common/vid_x.c, uquake/menu.c: 
	
	Bug fixes for the option menu code, it should compile now :) You
	will not be able to select the new options until I fix that bug... 
	That bug should be fixed within a few minutes.	-- Eric Windisch

2000-01-08 17:26  adamel

	* uquake/menu.c: Fixed typo in previous commit.

2000-01-08 17:23  raptor

	* common/vid_null.c: 
	
	Added a bit to vid_null.c to aid those making new targets. Nothing
	big.

2000-01-08 17:11  raptor

	* common/gl_vidlinux_3dfx.c, common/gl_vidlinuxglx.c,
	common/gl_vidnt.c, common/vid.h, common/vid_dos.c,
	common/vid_ggi.c, common/vid_null.c, common/vid_sdl.c,
	common/vid_sunx.c, common/vid_sunxil.c, common/vid_svgalib.c,
	common/vid_win.c, common/vid_x.c, uquake/menu.c: 
	
	This is a big change.. I added two new functions that must be in
	every target's video file.  These functions are
	VID_ExtraOptionDraw() and VID_ExtraOptionCmd(int options_cursor).
	
	These are to help modulize the option menu a bit, now all you have
	to do is define #OPTIONS_ITEMS to one more then the number of items
	there are (this is done in your target's vid*.c/gl_vid*.c file)
	
	I also removed a bunch of #ifdefs, although a few #ifdef _WIN32's
	remain.  -- Eric Windisch

2000-01-08 15:37  adamel

	* uquake/sbar.c: Replaced sprintf with snprintf.

2000-01-08 15:27  adamel

	* configure.in: Replaced don't with do not so emacs font-lock-mode
	works ;)

2000-01-08 15:15  adamel

	* common/gl_rsurf.c: Removed commited CVS conflict.

2000-01-08 14:56  adamel

	* configure.in: Fix libraries being accidentally added to

2000-01-08 14:38  adamel

	* configure.in: Removed CVS conflict.

2000-01-08 14:35  adamel

	* common/cd_linux.c: Fixed a bug in BSD code.

2000-01-08 14:28  knghtbrd

	* configure.in, common/gl_rsurf.c, qw_client/gl_model.c,
	qw_client/gl_model.h, uquake/Makefile.in, uquake/gl_model.c,
	uquake/gl_model.h: Reverted Neal's GL fullbright patch till we can
	actually fix it properly after the release

2000-01-08 14:25  adamel

	* common/cd_linux.c: Fixed typo in BSD code.

2000-01-08 14:12  adamel

	* configure.in: Don't clear *_LIBS and *_CFLAGS. Now users can add
	extra flags on the commandline when running configure.

2000-01-08 14:11  adamel

	* CREDITS: Updated.

2000-01-08 14:04  adamel

	* common/cd_linux.c: Should work on NetBSD (and with some luck
	OpenBSD) too now.  Fixed bug in the BSD code.

2000-01-08 14:02  palisade

	* qw_client/cl_cam.c, qw_client/cl_demo.c, qw_client/cl_ents.c,
	qw_client/cl_input.c, qw_client/cl_main.c, qw_client/cl_parse.c,
	qw_client/cl_pred.c, qw_client/cl_tent.c, qw_client/d_edge.c,
	qw_client/d_surf.c, qw_client/gl_model.c, qw_client/gl_model.h,
	qw_client/gl_ngraph.c, qw_client/gl_rlight.c,
	qw_client/gl_screen.c, qw_client/gl_vidlinux_x11.c,
	qw_client/glquake.h, qw_client/menu.c, qw_client/menu.h,
	qw_client/model.c, qw_client/r_edge.c, qw_client/r_efrag.c,
	qw_client/r_main.c, qw_client/r_misc.c, qw_client/r_part.c,
	qw_client/r_sprite.c, qw_client/sbar.c, qw_client/screen.c,
	qw_client/sys_win.c, qw_client/view.c, qw_server/model.c,
	qw_server/progdefs.h, qw_server/qwsvdef.h, qw_server/server.h,
	qw_server/sv_ccmds.c, qw_server/sv_ents.c, qw_server/sv_init.c,
	qw_server/sv_main.c, qw_server/sv_move.c, qw_server/sv_nchan.c,
	qw_server/sv_phys.c, qw_server/sv_send.c, qw_server/sv_user.c,
	qw_server/sys.h, qw_server/sys_unix.c, qw_server/sys_win.c,
	qw_server/world.c, qw_server/world.h: added additional copyright
	information
	
	Copyright (C) 1999,2000  contributors of the QuakeForge project
	Please see the file "AUTHORS" for a list of contributors

2000-01-08 13:55  palisade

	* qw_common/: bothdefs.h, bspfile.h, client.h, cmd.c, cmd.h,
	common.c, common.h, console.c, console.h, cvar.c, cvar.h, model.h,
	net.h, net_chan.c, net_udp.c, pmove.c, pmove.h, pmovetst.c,
	protocol.h, quakedef.h, render.h, screen.h: added additional
	copyright information
	
	Copyright (C) 1999,2000  contributors of the QuakeForge project
	Please see the file "AUTHORS" for a list of contributors

2000-01-08 13:36  adamel

	* configure.in: Don't randomly change  to non-standard values. If
	you prefer stuff in games instead of bin you can use --bindir

2000-01-08 13:35  adamel

	* qw_client/Makefile.in, qw_server/Makefile.in, uquake/Makefile.in:
	Fixed install target

2000-01-08 13:29  adamel

	* AUTHORS: Fixed typo

2000-01-08 13:20  adamel

	* configure.in: Fixed detection and defining of XMESA.

2000-01-08 12:39  adamel

	* configure.in: Check for struct ioc_read_toc_single_entry in
	sys/cdio.h

2000-01-08 12:38  adamel

	* .cvsignore: Added aclocal.m4

2000-01-08 12:21  adamel

	* bootstrap: Run aclocal.

2000-01-08 12:21  adamel

	* INSTALL, README: Add automake 1.3 to requirements for bootstrap
	script.

2000-01-08 10:58  palisade

	* CREDITS: CREDITS is the original AUTHORS file we used, make
	entries to both AUTHORS and CREDITS

2000-01-08 10:58  palisade

	* AUTHORS: moving original AUTHORS to CREDITS, modified AUTHORS to
	list by name

2000-01-08 10:22  palisade

	* README: added fix to a testimonial

2000-01-08 10:02  adamel

	* acinclude.m4: This contains additional autoconf macros. Currently
	just AC_HAVE_STRUCT_FIELD()

2000-01-08 09:38  adamel

	* common/gl_rsurf.c: Remove unused variables.

2000-01-08 09:37  adamel

	* qw_client/cl_parse.c, common/pr_cmds.c: Fix warnings.

2000-01-08 09:37  adamel

	* qw_client/glquake.h: #pragmas are for som Windows compiler. Until
	we know what compiler we #ifdef them out like this.

2000-01-08 05:55  mercury

	* AUTHORS, common/pr_exec.c, common/sys_linux.c,
	qw_client/cl_main.c, qw_client/sys_win.c, qw_common/common.c,
	qw_common/console.c, qw_common/net_chan.c, qw_server/sv_main.c,
	qw_server/sv_send.c, qw_server/sv_user.c, qw_server/sys_unix.c,
	qw_server/sys_win.c, uquake/common.c, uquake/console.c,
	uquake/host.c, uquake/sys_dos.c, uquake/sys_win.c,
	uquake/sys_wind.c: Applied patch from Roger Sen Montero
	<rogersm@tau.uab.es> to switch to using vsnprintf/snprintf..

2000-01-08 04:14  taniwha

	* common/snd_alsa.c, common/sound.h, qw_client/Makefile.in,
	uquake/Makefile.in: common/sound.h:	    added extern for
	soundtime. Don't really know wy it wasn't there in the	      
	first place.  qw_client/Makefile.in uquake/Makefile.in:        
	make the alsa objects say the right thing: snd_dma.c and snd_alsa.c
	common/snd_alsa.c:  New file. makes things go.

2000-01-08 00:28  knghtbrd

	* acconfig.h, configure.in: configure now defines XMESA if you have
	GL/xmesa.h.  Also added #undef for _EXPERIMENTAL_.  Code that
	really isn't ready for production should go under this define
	(which you must currently specifically turn on..)  This is
	primarily for things like the GL waterwarp and multitexture which
	are in some ways broken and otherwise not a good idea to use at the
	moemnt in the release without having to remove the code.

2000-01-07 23:42  deek

	* common/gl_warp.c, qw_client/glquake.h: Fixed gl_doubleeyes and
	made it common, whitesize cleanup to gl_warp.c

2000-01-07 23:27  raptor

	* README: 
	
	Added tested system, extremely minor and insignificant change ;)

2000-01-07 23:14  adamel

	* qw_client/r_sprite.c: Fixed a nasty bug that only showed up on
	64-bit platforms (or platforms where sizeof(float) != sizof(float*)
	to be precise)

2000-01-07 22:48  palisade

	* README: added ricardo veguilla's testimonial

2000-01-07 22:29  raptor

	* uquake/menu.c: 
	
	A small cleanup of the option menu, makes it more modular so adding
	new options will not be as messy as before.
	
	It adds a windowed mouse for GLX, and with the -DXMESA compiler
	option (not currently supported by the configure/makefile process)
	there is an additional option for users of Mesa3d running the
	quake-gl client  which will switch between windowed and fullscreen
	modes on the fly.
	
	The windowed mouse option is now fixed for windows users and would
	also work for software-x11 clients, but #ifdef X11 isn't working?
	-- Eric Windisch

2000-01-07 22:10  knghtbrd

	* AUTHORS, debian/control: A couple trademark uses cleaned up

2000-01-07 22:04  palisade

	* README: cleaned up any trademark issues cosmetic fixes added more
	information, including contact information

2000-01-07 21:57  adamel

	* qw_client/d_surf.c: Removed pointless #ifdef __alpha__ Fixed
	alignment of size in D_SCAlloc() for 64-bit platforms.

2000-01-07 21:55  adamel

	* qw_client/d_edge.c: Removed pointless #ifdef __alpha__

2000-01-07 21:47  adamel

	* qw_client/: gl_model.c, model.c: Convert map checksums to little
	endian format - now QW client works on big endian machines.

2000-01-07 20:50  palisade

	* common/gl_mesh.c, common/gl_vidlinux_3dfx.c,
	common/gl_vidlinuxglx.c, common/gl_vidnt.c, common/gl_warp.c,
	common/keys.c, common/mathlib.c, common/pr_cmds.c,
	common/pr_edict.c, common/skin.c, common/snd_mme.c,
	common/sys_common.c, common/sys_linux.c, common/vid_dos.c,
	common/vid_ggi.c, common/vid_svgalib.c, common/vid_win.c,
	qw_client/cl_cam.c, qw_client/cl_demo.c, qw_client/cl_main.c,
	qw_client/cl_parse.c, qw_client/cl_pred.c, qw_client/gl_model.c,
	qw_client/gl_ngraph.c, qw_client/gl_screen.c,
	qw_client/gl_vidlinux_x11.c, qw_client/menu.c, qw_client/model.c,
	qw_client/r_misc.c, qw_client/r_part.c, qw_client/sbar.c,
	qw_client/screen.c, qw_common/common.c, qw_common/console.c,
	qw_common/cvar.c, qw_common/net_udp.c, qw_server/model.c,
	qw_server/sv_ccmds.c, qw_server/sv_init.c, qw_server/sv_main.c,
	qw_server/sv_user.c, uquake/cl_demo.c, uquake/cl_main.c,
	uquake/common.c, uquake/console.c, uquake/cvar.c,
	uquake/gl_model.c, uquake/gl_screen.c, uquake/host_cmd.c,
	uquake/menu.c, uquake/model.c, uquake/mplpc.c, uquake/net_bw.c,
	uquake/net_comx.c, uquake/net_dgrm.c, uquake/net_ipx.c,
	uquake/net_mp.c, uquake/net_ser.c, uquake/net_udp.c,
	uquake/net_wins.c, uquake/net_wipx.c, uquake/r_part.c,
	uquake/sbar.c, uquake/screen.c, uquake/sv_main.c, uquake/sys_dos.c,
	uquake/sys_win.c: readded a copyright notice that somehow got
	removed added "Portions" statement to the copyright statement
	
	Please note, if you want to put a copyright notice on a source file
	stating that a portion of it is copyright yourself or another
	author please put "Portions Copyright...", if adding a seperate .c
	file that contains otherwise author(s) this doesn't apply.

2000-01-07 13:36  deek

	* common/: gl_rmain.c, register_check.c: Whitespace changes,
	cleanup of gl_rmain.c

2000-01-07 13:31  adamel

	* common/gl_draw.c, common/gl_mesh.c, qw_client/cl_cam.c,
	qw_client/cl_main.c, qw_client/cl_tent.c, qw_common/common.c,
	qw_common/net_udp.c: A '&' before an array variable is at best
	ignored, at worst it could do weird stuff.

2000-01-07 13:09  adamel

	* common/: gl_rmisc.c, gl_rsurf.c, gl_warp.c: Whitespace is not
	allowed before the '#' of pre-processor directives.

2000-01-07 09:52  palisade

	* AUTHORS: added me and absolutek to the website design section of
	the AUTHORS

2000-01-07 09:35  knghtbrd

	* AUTHORS, qw_common/net_udp.c: Applied a cleanup to qw's
	net_udp.c's error messages

2000-01-07 09:29  knghtbrd

	* configure.in: We can't -I$x_includes, it might not be set. 
	-I${x_includes:-.} instead.

2000-01-07 08:42  absolutek

	* AUTHORS: Put in my real name instead of my nick.

2000-01-07 07:52  palisade

	* README: cosmetic changes to the readme, additional support
	information

2000-01-07 01:02  knghtbrd

	* README: minor README tweaks

2000-01-06 22:29  mercury

	* common/sys.h, common/sys_common.c, common/sys_linux.c,
	qw_common/console.c: Translate the outputs to ASCII..

2000-01-06 21:47  palisade

	* common/gl_mesh.c, common/gl_vidlinux_3dfx.c,
	common/gl_vidlinuxglx.c, common/gl_vidnt.c, common/gl_warp.c,
	common/keys.c, common/mathlib.c, common/pr_cmds.c,
	common/pr_edict.c, common/skin.c, common/sys_common.c,
	common/sys_linux.c, common/vid_dos.c, common/vid_svgalib.c,
	common/vid_win.c, qw_client/cl_cam.c, qw_client/cl_demo.c,
	qw_client/cl_main.c, qw_client/cl_parse.c, qw_client/cl_pred.c,
	qw_client/gl_model.c, qw_client/gl_ngraph.c, qw_client/gl_screen.c,
	qw_client/gl_vidlinux_x11.c, qw_client/menu.c, qw_client/model.c,
	qw_client/r_misc.c, qw_client/r_part.c, qw_client/sbar.c,
	qw_client/screen.c, qw_common/common.c, qw_common/console.c,
	qw_common/cvar.c, qw_common/net_udp.c, qw_server/model.c,
	qw_server/sv_ccmds.c, qw_server/sv_init.c, qw_server/sv_main.c,
	qw_server/sv_user.c, uquake/cl_main.c, uquake/common.c,
	uquake/console.c, uquake/cvar.c, uquake/gl_model.c,
	uquake/gl_screen.c, uquake/host_cmd.c, uquake/menu.c,
	uquake/model.c, uquake/mplpc.c, uquake/net_bw.c, uquake/net_comx.c,
	uquake/net_dgrm.c, uquake/net_ipx.c, uquake/net_mp.c,
	uquake/net_ser.c, uquake/net_udp.c, uquake/net_wins.c,
	uquake/net_wipx.c, uquake/r_part.c, uquake/sbar.c, uquake/screen.c,
	uquake/sv_main.c, uquake/sys_dos.c, uquake/sys_win.c: added
	copyrights for buffer overrun fixes

2000-01-06 21:04  knghtbrd

	* qw_server/: server.h, sv_user.c: Mercury's solution to the speed
	cheat problem, test the hell out of it!

2000-01-06 21:02  knghtbrd

	* uquake/: host.c, host_cmd.c: filter patch to remove \r and \n
	from people's names in the server

2000-01-06 20:43  palisade

	* README: fixed one of the FIXME's in README

2000-01-06 20:23  raptor

	* common/gl_rmain.c: 
	
	Commented out volume fog until it works, or at least until after
	release.

2000-01-06 19:59  raptor

	* README, TODO, common/gl_rmain.c: 
	
	Added a "tested on" system in README (no big deal) Added some stuff
	to TODO Some more volumetric fog code, this isn't release quality
	but it won't affect anything.

2000-01-06 18:57  palisade

	* README: added the following platforms testing testimonials: Mads
	Bondo Dydensborg, AbsoluteK, "Justin A. McCright, Jeff Epler,
	Daniel O'Connor.
	
	Fixed the "vga display" thing mentioned by mads

2000-01-06 18:46  palisade

	* README: added Peter Andreasen's platform testing testimonial

2000-01-06 18:28  palisade

	* README: added loring's testimonies to the list of supported
	OS's/hardware

2000-01-06 17:49  adamel

	* common/: vid_sunx.c, vid_x.c: Some cleanups for future merge.

2000-01-06 17:25  adamel

	* common/: vid_sunx.c, vid_sunxil.c, vid_x.c: Removed useless
	functions.

2000-01-06 17:20  adamel

	* uquake/Makefile.in: Added DOS VGA stuff.  Added DOS and Windows
	network support.

2000-01-06 17:17  adamel

	* uquake/net_wipx.c: Don't name local variables errno.

2000-01-06 17:17  adamel

	* uquake/net_wins.c: Don't name local variable errno.

2000-01-06 17:16  adamel

	* common/vid_ext.c: Use Sys_DoubleTime instead of Sys_FloatTime.

2000-01-06 17:15  adamel

	* configure.in: Check for fcntl.h and fcntl().	Some DOS-support. 
	Define HAVE_UDP in Makefiles if we have UDP support.  Define
	HAVE_WSOCK in Makefiles if we are using winsock.

2000-01-06 17:13  adamel

	* Makefile.in: Don't try to build QW if we don't have UDP.

2000-01-06 14:14  palisade

	* AUTHORS: 
	added dan

2000-01-06 14:02  palisade

	* qw_common/common.c, uquake/common.c: added dan olson's patch
	
	This patch keeps all the "PackFile" and "FindFile" messages from
	flooding stdout unless the developer cvar is set to 1.

2000-01-06 13:59  mercury

	* AUTHORS, qw_client/cl_main.c: Typo fix, and adding a chunk in
	authors which apparently got lost..

2000-01-06 10:38  adamel

	* uquake/sys_dos.c: Moved Sys_mkdir() to common/sys_common.c !!!
	FIXME !!! Move Sys_DoubleTime() there too.

2000-01-06 10:36  adamel

	* common/sys_common.c, common/sys_linux.c, common/sys_null.c,
	qw_client/sys_win.c, qw_server/sys_unix.c, qw_server/sys_win.c,
	uquake/sys_unix.c, uquake/sys_win.c, uquake/sys_wind.c: Moved
	Sys_mkdir() and Sys_DoubleTime() into common/sys_common.c

2000-01-06 10:28  adamel

	* configure.in: Added checks for sys/time.h, sys/timeb.h, ftime()
	and _ftime()

2000-01-06 09:49  adamel

	* qw_client/cl_main.c: Define INADDR_LOOPBACK in a clean way.

2000-01-06 09:46  adamel

	* common/sys_common.c, common/sys_linux.c, common/sys_null.c,
	qw_client/sys_win.c, qw_server/sys_unix.c, qw_server/sys_win.c,
	uquake/sys_dos.c, uquake/sys_unix.c, uquake/sys_win.c,
	uquake/sys_wind.c: Moved Sys_FileTime() into common/sys_common.c

2000-01-06 09:36  adamel

	* configure.in: Check for stat() and sys/stat.h

2000-01-06 09:35  palisade

	* AUTHORS, INSTALL, README: added tim rowley to the AUTHORS, added
	mention of bootstrap needing autoconf 2.13 in INSTALL and README

2000-01-06 09:29  palisade

	* configure.in, qw_client/Makefile.in, qw_client/cl_main.c: applied
	tim's patch
	
	The following patch allows Quakeforge to be compiled with the
	native compilers on Solaris, Irix, and AIX.

2000-01-06 08:56  adamel

	* common/sys_common.c, common/sys_linux.c, common/sys_null.c,
	qw_client/Makefile.in, qw_client/sys_win.c, qw_server/Makefile.in,
	qw_server/sys_unix.c, qw_server/sys_win.c, uquake/Makefile.in,
	uquake/sys_unix.c, uquake/sys_win.c, uquake/sys_wind.c: Moved
	Sys_Printf into common/sys_common.c

2000-01-06 08:33  adamel

	* uquake/sys_wina.s: This was identical to common/sys_dosa.s

2000-01-06 08:26  adamel

	* qw_client/sys_wina.s: This was identical to common/sys_dosa.s

2000-01-06 08:24  lsh

	* common/snd_sun.c: Removed unused variables

2000-01-06 05:48  knghtbrd

	* common/: adivtab.-c, anorm_dots.-c, anorms.h, asm_draw.h,
	asm_i386.h, block16.h, block8.h, buildnum.c, cd_audio.c,
	cd_linux.c, cd_null.c, cd_sdl.c, cd_win.c, cd_wrapper.c, cdaudio.h,
	common_quakedef.h, crc.c, crc.h, d_copy.s, d_draw.s, d_draw16.s,
	d_fill.c, d_iface.h, d_ifacea.h, d_init.c, d_local.h, d_modech.c,
	d_part.c, d_parta.s, d_polysa.s, d_polyse.c, d_scan.c, d_scana.s,
	d_sky.c, d_spr8.s, d_sprite.c, d_vars.c, d_varsa.s, d_zpoint.c,
	dosasm.s, draw.c, draw.h, gl_draw.c, gl_mesh.c, gl_refrag.c,
	gl_rmain.c, gl_rmisc.c, gl_rsurf.c, gl_test.c, gl_vidlinux_3dfx.c,
	gl_vidlinuxglx.c, gl_vidnt.c, gl_warp.c, gl_warp_sin.h, glquake2.h,
	in_dos.c, in_null.c, in_sun.c, in_win.c, input.h, keys.c, keys.h,
	math.s, mathlib.c, mathlib.h, modelgen.h, net_com.c, nonintel.c,
	pr_cmds.c, pr_comp.h, pr_edict.c, pr_exec.c, progs.h, quakeasm.h,
	r_aclip.c, r_aclipa.s, r_alias.c, r_aliasa.s, r_bsp.c, r_draw.c,
	r_drawa.s, r_edgea.s, r_light.c, r_local.h, r_shared.h, r_sky.c,
	r_surf.c, r_vars.c, r_varsa.s, register_check.c, register_check.h,
	sbar.h, skin.c, snd_dma.c, snd_dos.c, snd_gus.c, snd_mem.c,
	snd_mix.c, snd_mixa.s, snd_mme.c, snd_next.c, snd_null.c,
	snd_oss.c, snd_sun.c, snd_win.c, sound.h, spritegn.h, surf16.s,
	surf8.s, sys.h, sys_dosa.s, sys_linux.c, sys_null.c, uint32.h,
	vgamodes.h, vid.h, vid_dos.c, vid_ext.c, vid_ggi.c, vid_null.c,
	vid_sdl.c, vid_sunx.c, vid_sunxil.c, vid_svgalib.c, vid_vga.c,
	vid_win.c, vid_x.c, view.h, wad.c, wad.h, winquake.h, zone.c,
	zone.h: Copyright notice stuff

2000-01-06 04:40  adamel

	* AUTHORS: Add credits for CD and win32 support.

2000-01-06 03:27  knghtbrd

	* README: more README cleanups, another FIXME added...	Needs to be
	resolved before we release

2000-01-06 00:24  knghtbrd

	* README: cleanups

2000-01-05 21:50  palisade

	* AUTHORS: fixed a problem with the naming convention, added loring
	for AIX/IRIX/Sun support

2000-01-05 21:48  palisade

	* tools/cvs2cl/ChangeLog: comesticly fixed AUTHORS added cvs2cl to
	the tools moved LICENSE to COPYING added TODO

2000-01-05 21:36  palisade

	* AUTHORS: added loring for cd-rom support

2000-01-05 21:35  palisade

	* common/cd_null.c: added loring's patch
	
	The following patch fixes the build for those platforms that do not
	have CD support (ie, are using null support)

2000-01-05 21:21  raptor

	* common/r_local.h: 
	
	r_local.h was missing a few declarations killing glquake compile at
	least on my system. The declarations missing were:  void
	D_Start_Particle(void);    void D_DrawParticle(void);	   void
	D_EndParticle(void);

2000-01-05 20:33  palisade

	* common/vid_sunx.c, qw_client/Makefile.in: added loring's patch to
	fix non-linux platform problems
	
	Solaris stuff: * vid_sunx.c - Added missing S_Init() so sounds
	works * vid_sunx.c - Don't XCloseDisplay() if x_disp is 0 *
	vid_sunx.c - ClientMessage references only apropos for QuakeWorld
	
	Non-linux stuff: * qw_client/Makefile.in - use QW_CL_SYS_SRC
	instead of SYS_SRC

2000-01-05 19:27  palisade

	* TODO: removed some things i've fixed

2000-01-05 19:13  adamel

	* common/cd_linux.c: Fix typo in BSD defines.

2000-01-05 19:13  adamel

	* qw_client/Makefile.in, uquake/Makefile.in: Made MGL target
	compile again.

2000-01-05 19:10  palisade

	* README: added thanks to VA and 3dfx (premature), fixed some
	cosmetics, updated OS support

2000-01-05 18:59  palisade

	* TODO: updated TODO

2000-01-05 18:43  adamel

	* common/: cd_audio.c, cd_linux.c, cd_sdl.c, cd_win.c,
	cd_wrapper.c: Moved CD_f from cd_linux.c and cd_win.c into
	cd_wrapper.c.  Added support for CDROM on (Free)BSD.

2000-01-05 18:31  adamel

	* acconfig.h, configure.in: Detect Linux and BSD CD-ROM APIs.

2000-01-05 18:29  adamel

	* qw_common/quakedef.h, uquake/quakedef.h: Add #ifndef so file is
	only included once.

2000-01-05 17:43  adamel

	* common/vid_win.c: Fixed some warnings.

2000-01-05 17:06  adamel

	* qw_client/Makefile.in, qw_server/Makefile.in, uquake/Makefile.in:
	Removed the bogus -DELF statements.

2000-01-05 16:54  adamel

	* acconfig.h, configure.in: Define HAVE_SYM_PREFIX_UNDERSCORE if C
	symbols are prefixed by an underscore (should be a real check in
	the future).

2000-01-05 16:52  adamel

	* common/asm_i386.h: Include config.h and use #ifdef
	HAVE_SYM_PREFIX_UNDERSCORE instead of bogus #ifdef ELF

2000-01-05 16:29  adamel

	* common/gl_vidlinux_3dfx.c, common/pr_cmds.c, common/pr_edict.c,
	uquake/cl_parse.c: Fixed bunch of unused variables.

2000-01-05 14:42  adamel

	* configure.in: Check for vsnprintf() in libdb if we don't have it
	elsewhere.

2000-01-05 14:41  knghtbrd

	* AUTHORS, qw_server/sv_user.c: Applied Mads' speed cheat fix to
	qw-server

2000-01-05 14:12  adamel

	* qw_client/Makefile.in, qw_server/Makefile.in, uquake/Makefile.in:
	Added $(LIBS) to linker command lines.

2000-01-05 13:22  adamel

	* common/snd_oss.c, uquake/sys_unix.c: Check return code from
	mmap() properly.

2000-01-05 13:06  deek

	* gamedata/quakeworld/qwprogs.dat: Installed repaired qwprogs.dat
	file...

2000-01-05 11:57  knghtbrd

	* qw_server/Makefile.in: small oops fixed

2000-01-05 11:45  knghtbrd

	* qw_server/Makefile.in: Server makefile is done too, just
	cosmetics and a better clean target

2000-01-05 11:10  knghtbrd

	* Makefile.in, common/cd_sdl.c, common/cd_wrapper.c, common/view.h,
	qw_client/Makefile.in, uquake/Makefile.in: Merged the makefile
	targets as much as is safe to do without a serious code alteration.
	 Cut my build time from 20 minutes down to about 5 from an
	autoconf-clean tree.

2000-01-05 08:55  mercury

	* configure.in, common/snd_sun.c, qw_client/Makefile.in,
	qw_common/net_udp.c, uquake/Makefile.in, uquake/net_udp.c: Fixes
	for portability issues..

2000-01-05 07:24  mercury

	* AUTHORS: Give credit for the GL fullbright fix.

2000-01-05 07:23  mercury

	* common/gl_rsurf.c, qw_client/gl_model.c, qw_client/gl_model.h,
	uquake/gl_model.c, uquake/gl_model.h: We now have fullbright
	textures for GL! This is going in as a bug fix after talking it
	over with Knghtbrd and Deek..

2000-01-05 04:09  knghtbrd

	* qw_client/Makefile.in, qw_server/Makefile.in, uquake/Makefile.in:
	Cleaned the clean targets a bit

2000-01-05 02:25  knghtbrd

	* common/gl_draw.c: VERY IMPORTANT commit before
	release---crosshair 3 was a little high, you could hit anything
	simple with it sure, but some of us snipe.  Fixed it.

2000-01-04 19:58  palisade

	* TODO: added some things to the TODO

2000-01-04 17:48  adamel

	* old_headers/qwcl/resource.h, qw_client/resource.h: Moved
	old_headers/qwcl/resource.h to qw_client/resource.h

2000-01-04 17:41  adamel

	* uquake/: conproc.h, resource.h, do_not_include/conproc.h,
	do_not_include/resource.h: Moved resource.h and conproc.h from
	uquake/do_not_include to uquake.

2000-01-04 17:26  adamel

	* uquake/client.h: _windowed_mouse needs to be declared.

2000-01-04 17:19  adamel

	* common/common_quakedef.h, qw_server/qwsvdef.h: Win32 has snprintf
	and vsnprintf underscored. Use proper defines if needed.

2000-01-04 17:14  adamel

	* uquake/net_udp.c: Reportedly the #undef sa_family is really
	needed on SGIs.

2000-01-04 16:34  adamel

	* configure.in: Added checks for snprintf, _snprintf and _vsnprintf

2000-01-04 16:31  adamel

	* common/: vid_ggi.c, vid_sunx.c, vid_sunxil.c, vid_x.c: Removed
	the dummy VGA_* variables as they are not needed anymore.

2000-01-04 16:11  palisade

	* common/vid_ext.c, qw_common/console.c, uquake/sbar.c: fixed some
	problems

2000-01-04 16:05  palisade

	* AUTHORS, common/gl_mesh.c, common/gl_vidlinux_3dfx.c,
	common/gl_vidlinuxglx.c, common/gl_vidnt.c, common/gl_warp.c,
	common/keys.c, common/pr_cmds.c, common/pr_edict.c, common/skin.c,
	common/sys_linux.c, common/vid_dos.c, common/vid_ext.c,
	common/vid_svgalib.c, common/vid_win.c, qw_client/cl_cam.c,
	qw_client/cl_demo.c, qw_client/cl_main.c, qw_client/cl_parse.c,
	qw_client/cl_pred.c, qw_client/gl_model.c, qw_client/gl_ngraph.c,
	qw_client/gl_screen.c, qw_client/gl_vidlinux_x11.c,
	qw_client/menu.c, qw_client/model.c, qw_client/r_misc.c,
	qw_client/r_part.c, qw_client/sbar.c, qw_client/screen.c,
	qw_common/common.c, qw_common/console.c, qw_common/cvar.c,
	qw_common/net_udp.c, qw_server/model.c, qw_server/sv_ccmds.c,
	qw_server/sv_init.c, qw_server/sv_main.c, qw_server/sv_user.c,
	uquake/cl_demo.c, uquake/cl_main.c, uquake/common.c,
	uquake/console.c, uquake/cvar.c, uquake/gl_model.c,
	uquake/gl_screen.c, uquake/host_cmd.c, uquake/menu.c,
	uquake/model.c, uquake/mplpc.c, uquake/net_bw.c, uquake/net_comx.c,
	uquake/net_dgrm.c, uquake/net_ipx.c, uquake/net_mp.c,
	uquake/net_ser.c, uquake/net_udp.c, uquake/net_wins.c,
	uquake/net_wipx.c, uquake/r_part.c, uquake/sbar.c, uquake/screen.c,
	uquake/sv_main.c, uquake/sys_dos.c, uquake/sys_win.c: Fixed buffer
	overflow problems, changed sprintf to snprintf don't use this yet,
	i have a few things that need to be fixed.

2000-01-04 15:38  adamel

	* qw_client/Makefile.in, uquake/Makefile.in: Added MGL target
	(relax Palisade - it's only compiled on win32 ;) Moved d_copy.s
	from SWREND_SRC_PLAT to SVGA_VID_SRC as the functions in there are
	only used in vid_svgalib.c and vid_vga.c

2000-01-04 15:36  adamel

	* uquake/sys_win.c: Fix includes.  filelength() is unused and
	breaks compile on mingw32.  Copied Sys_FileOpenRead() and
	Sys_DoubleTime() from qw_client/sys_win.c

2000-01-04 15:34  adamel

	* qw_client/sys_win.c: Fix includes.  filelength() is unused and
	breaks compile on mingw32.

2000-01-04 15:32  adamel

	* common/vid_win.c: Include mgraph.h here.  Made mouseactive extern
	(defined in in_win.c) Removed unused variables.  Some minor
	cleanups.

2000-01-04 15:31  adamel

	* common/in_win.c: Define uiWheelMessage and mouseactive here. 
	Removed unused variables.  Some minor cleanups.

2000-01-04 15:30  adamel

	* common/d_copy.s: Arm x86 assembly with #if id386

2000-01-04 15:28  adamel

	* configure.in: Do AC_SUBST() on HAS_MGL, MGL_CFLAGS and MGL_LIBS.

2000-01-04 15:06  adamel

	* uquake/net_udp.c: Autoconf network headers.

2000-01-04 15:02  adamel

	* uquake/conproc.c: Include ctype.h for is*() functions.  Removed
	unused variables from InitConProc().

2000-01-04 14:59  adamel

	* qw_client/Makefile.in, qw_server/Makefile.in, uquake/Makefile.in:
	Added @NET_LIBS@ to LDFLAGS.

2000-01-04 14:58  adamel

	* qw_common/net_wins.c: Merged into net_udp.c.

2000-01-04 14:56  adamel

	* qw_common/net_udp.c: Autoconf network headers.  Merged in
	qw_common/net_wins.c

2000-01-04 14:24  adamel

	* common/winquake.h: Server need mmsystem.h for timeGetTime()

2000-01-04 14:16  adamel

	* common/in_win.c: Mingw32 needs to include initguid.h before
	dinput.c - do that if we have it uiWheelMessage needs to be defined
	here.  Avoid multi-line C++-comments.

2000-01-04 14:11  adamel

	* common/cd_wrapper.c: Add support for cd_win.c

2000-01-04 14:09  adamel

	* common/cd_win.c: Include mmsystem.h if we have it.

2000-01-04 14:00  adamel

	* configure.in: Added checks for networking headers and initguid.h.
	 Added AC_C_CONST - for (ancient/weird) compilers that don't
	support const.	Added AC_C_INLINE - you can now use the "inline"
	keyword portably, it will be defined to nothing, __inline,
	__inline__ or empty depending on the compiler.	Added checks for a
	bunch of functions. All are not used yet, but most should be. 
	Added checks for MGL (the graphics library that vid_win.c uses. 
	Aligned help messages properly. ;) Link with -lwinmm when using
	Windows sound code.  Check for networking functions in common
	libraries.  Use sys_win.c when compiling for mingw32.

2000-01-04 13:29  adamel

	* qw_server/Makefile.in, uquake/Makefile.in: Made building outside
	the sourcedir work again.  Made top of Makefile look like
	qw_client/Makefile.in

2000-01-04 13:26  adamel

	* qw_client/Makefile.in: Made building outside the source dir
	possible again.

2000-01-04 12:35  palisade

	* TODO: another error with the sed script in the TODO, extra ) for
	the sizeof() taken out.

2000-01-04 12:22  palisade

	* TODO: in TODO the sed script to fix the files was changing
	sprintf to sprintf instead of snprintf, fixed.

2000-01-04 10:50  knghtbrd

	* TODO: couple of feature requests to work on post-release

2000-01-04 04:02  knghtbrd

	* qw_client/Makefile.in, qw_server/Makefile.in, uquake/Makefile.in:
	No longer do the makefiles stat the obj dir for every compile! 
	While I experienced almost no visible benefit in terms of compile
	time, others with older machines will and the makefiles are
	generally cleaner now.

2000-01-03 22:16  knghtbrd

	* debian/: control, rules: More Debian updates, about to upload
	"0.0.9" (can't use -pre in versions very well) to Debian's servers.

2000-01-03 21:52  palisade

	* common/vid_svgalib.c, qw_client/cl_main.c: Applied prototype fix
	to vid_svgalib.c and removed unused variable from
	qw_client/cl_main.c

2000-01-03 21:40  palisade

	* AUTHORS: Added Justin A. McCright for help on fixing an svgalib
	problem.

2000-01-03 21:38  palisade

	* common/vid_svgalib.c: removed extra m_filter registration

2000-01-03 21:33  palisade

	* acconfig.h, configure.in, common/gl_draw.c, common/sys_linux.c,
	uquake/sys_unix.c: added loring's multi-platform, non-mesa OpenGL
	patch.

2000-01-03 20:38  knghtbrd

	* Makefile.in: Broke Makefile.in, here's a fix

2000-01-03 20:14  knghtbrd

	* common/vid_win.c, debian/control: Small mingw32 fix and updated
	debian/control

2000-01-03 19:34  knghtbrd

	* common/d_scan.c, common/r_draw.c, common/r_shared.h,
	common/r_surf.c, qw_client/d_scan.c, qw_client/r_draw.c,
	qw_client/r_surf.c, qw_common/r_shared.h, uquake/d_scan.c,
	uquake/r_draw.c, uquake/r_shared.h, uquake/r_surf.c: Another merge
	from BigM

2000-01-03 19:26  knghtbrd

	* .cvsignore, AUTHORS, ChangeLog, Makefile.in, qw_client/r_main.c,
	tools/cvs2cl/COPYING, tools/cvs2cl/README, tools/cvs2cl/TODO,
	tools/cvs2cl/cvs2cl.pl, tools/cvs2cl/mywrap.pl: Added cvs2cl.pl to
	tools, added a changelog target to the makefile, and removed the
	ChangeLog.

2000-01-03 18:42  knghtbrd

	* .cvsignore, debian/changelog, debian/control, debian/copyright,
	debian/quake-3dfx.dirs, debian/quake-3dfx.docs,
	debian/quake-3dfx.files, debian/quake-3dfx.suid,
	debian/quake-ggi.dirs, debian/quake-ggi.docs,
	debian/quake-ggi.files, debian/quake-gl.dirs, debian/quake-gl.docs,
	debian/quake-gl.files, debian/quake-sdl.dirs,
	debian/quake-sdl.docs, debian/quake-sdl.files,
	debian/quake-server.dirs, debian/quake-server.docs,
	debian/quake-server.files, debian/quake-svga.dirs,
	debian/quake-svga.docs, debian/quake-svga.files,
	debian/quake-svga.suid, debian/quake-x11.dirs,
	debian/quake-x11.docs, debian/quake-x11.files, debian/rules: The
	most important commit I have ever done!

2000-01-03 18:38  knghtbrd

	* TODO, configure.in: Erf, small fix to configure.in

2000-01-03 17:53  mercury

	* common/keys.c, qw_client/keys.c, uquake/console.c, uquake/keys.c,
	uquake/menu.c: Backported and merged the qw_client/keys.c to
	uquake.  Added support for the KP_* keysyms..

2000-01-03 17:05  knghtbrd

	* uquake/crc.c: uquake/crc.c is common

2000-01-03 17:03  knghtbrd

	* configure.in, common/gl_rsurf.c, qw_client/Makefile.in,
	qw_client/gl_rsurf.c, uquake/Makefile.in, uquake/gl_model.h,
	uquake/gl_rsurf.c: Major configure.in update, applied BigM's
	gl_rsurf.c merge patch

2000-01-03 16:17  mercury

	* common/gl_vidlinux_3dfx.c: Reordering the scancode stuff for some
	stuff I'm doing after release..

2000-01-03 15:27  deek

	* common/d_polyse.c, common/r_alias.c, qw_client/d_polyse.c,
	uquake/d_polyse.c: * Merged d_polyse.c from qw_client, _unchanged_
	-- current data suggest it   works properly with UQ.  * Repaired my
	FIXME in r_alias.c (caused UQ's software targets to segfault)

2000-01-03 14:21  knghtbrd

	* qw_client/d_polyse.c: Missed an adivtab.h, pardon my fuckup.

2000-01-03 14:12  palisade

	* common/mathlib.c: added copyright lines

2000-01-03 14:10  palisade

	* common/mathlib.c: Optimized VectorCompare()

2000-01-03 14:03  palisade

	* AUTHORS: 
	Took the ""'s off of Justin's name.

2000-01-03 13:54  knghtbrd

	* common/adivtab.-c, common/adivtab.h, common/anorm_dots.-c,
	common/anorm_dots.h, common/asm_draw.h, common/gl_rmain.c,
	common/register_check.c, uquake/d_polyse.c,
	uquake/do_not_include/adivtab.h,
	uquake/do_not_include/anorm_dots.h: Fixed register_check(), renamed
	a couple of non-headers to the "standard" naming of .-c, also the
	very beginnings of the eventual source reformat.

2000-01-03 13:20  deek

	* AUTHORS, common/dosasm.s, common/vid_x.c, uquake/Makefile.in,
	uquake/chase.c, uquake/chasecam.c, uquake/dosasm.s,
	uquake/quakedef.h: * Fixed an X11 software renderer crash in
	vid_x.c, thanks Justin A. McCright * Renamed chase_* to
	cl_chasecam_* in UQ to match their parent cvar.  * Changed
	cl_chasecam* in UQ to be saved in config.cfg * Moved dosasm.s to
	common, though it doesn't seem to be referenced at _all_

2000-01-03 12:16  knghtbrd

	* common/snd_oss.c: Portability fix

2000-01-03 08:53  deek

	* common/skin.c, qw_client/skin.c: Moved skin.c to common/ -- it
	doesn't conflict with UQ, so it might as well be moved now.

2000-01-03 08:49  deek

	* common/buildnum.c, qw_client/buildnum.c: Moved buildnum.c to
	common/ -- we don't use it any more, but we could.  Also changed it
	so that the starting build number would be 21 Dec 1999, the date of
	the Q1 source release. Today would be build number 13. :)

2000-01-03 05:45  deek

	* common/nonintel.c, qw_client/nonintel.c, uquake/nonintel.c:
	Merged nonintel.c into common/

2000-01-03 05:35  deek

	* common/r_bsp.c, qw_client/r_bsp.c, uquake/r_bsp.c: Merged r_bsp.c
	into common/

2000-01-03 04:12  deek

	* common/sys_linux.c, qw_client/sys_linux.c, uquake/sys_linux.c:
	sys_linux.c merged and moved into common/

2000-01-03 03:14  deek

	* common/sys_null.c, qw_client/sys_null.c, uquake/sys_null.c: The
	merge continues...sys_null.c (Portability aid) is common.

2000-01-03 02:41  deek

	* common/net_com.c, common/r_alias.c, qw_client/r_alias.c,
	uquake/r_alias.c: Simplified COM_Block*Checksum (don't worry, it's
	still compatible -- I tested it), merged r_alias.c (note the FIXME
	at the end of r_alias.c)

2000-01-03 02:25  knghtbrd

	* AUTHORS, qw_client/Makefile.in, qw_server/Makefile.in,
	uquake/Makefile.in: Moved -lm to global LDFLAGS, everything but the
	GL renderer needs it ajd on at least some platforms the GL renderer
	needs it too.

2000-01-03 01:19  knghtbrd

	* common/register_check.c: Fixed bug with shareware pak file

2000-01-03 00:03  knghtbrd

	* Makefile.in, TODO, acconfig.h, configure.in, mkinstalldirs,
	qw_client/Makefile.in, qw_server/Makefile.in, uquake/Makefile.in:
	Heavy Makefile.in updates.  Real install target, clean now removes
	bins, and make is now a little smarter about knowing when to rerun
	./configure and ./bootstrap

2000-01-03 00:00  knghtbrd

	* common/gl_vidlinux_3dfx.c, common/gl_vidlinuxglx.c,
	uquake/sys_unix.c: More BSD fixes from Darius

2000-01-02 22:51  palisade

	* tools/qwfwd/misc.c: Added copyright and license information by
	request of John Carmack.

2000-01-02 22:26  palisade

	* common/: cd_sdl.c, vid_sdl.c: added vid_sdl.c and cd_sdl.c which
	are part of Maas patch for the SDL merge.

2000-01-02 22:18  palisade

	* AUTHORS, configure.in, common/cd_wrapper.c,
	qw_client/Makefile.in, uquake/Makefile.in: SDLQuake merge with our
	tree made possible by Sam Lantinga and Maas van den Berg, currently
	the video and cdrom audio are supported.

2000-01-02 21:06  knghtbrd

	* AUTHORS, qw_client/cl_main.c: A couple of FreeBSD fixes from
	Darius

2000-01-02 20:45  knghtbrd

	* AUTHORS, common/pr_cmds.c, common/pr_edict.c, common/pr_exec.c,
	common/progs.h, qw_server/pr_cmds.c, qw_server/pr_edict.c,
	qw_server/pr_exec.c, qw_server/progs.h, uquake/pr_cmds.c,
	uquake/pr_edict.c, uquake/pr_exec.c, uquake/progs.h: pandr's pr_*
	merge..

2000-01-02 20:33  knghtbrd

	* common/draw.c, common/gl_draw.c, uquake/view.c: QW's crosshair 2
	and crosshaircolor now work in UQ.  Also because I felt like adding
	a gratuitious feature, GL target users can crosshair 3 for a
	completely new crosshair and higher resolution crosshair (oooh!) 
	Software renderer doesn't have it because...well look at
	Draw_Crosshair() in draw.c, it's truly a nightmare!  You have to
	plot each pixel individually, makes you feel like you're coding in
	Applesoft BASIC.  If you want it, figure out how to do it sanely.

2000-01-02 18:24  knghtbrd

	* common/pr_comp.h, qw_server/pr_comp.h, uquake/pr_comp.h:
	pr_comp.h's identical, moved to common

2000-01-02 18:15  palisade

	* AUTHORS: Added Deek to the list of server resources helpers.

2000-01-02 17:40  mercury

	* acconfig.h, common/draw.c, common/gl_draw.c,
	common/register_check.c, common/register_check.h,
	qw_client/Makefile.in, qw_client/cl_main.c, qw_common/common.c,
	qw_common/common.h, qw_common/cvar.h, qw_server/Makefile.in,
	qw_server/sv_main.c, uquake/Makefile.in, uquake/common.c,
	uquake/common.h, uquake/cvar.h, uquake/menu.c, uquake/sys_dos.c,
	uquake/sys_linux.c: Version cleanup, not completely happy with it
	yet..
	
	Removed the registered game checking, but added a little back for
	backword compatibility..

2000-01-02 16:49  knghtbrd

	* configure.in: fixed bashism

2000-01-02 16:08  knghtbrd

	* common/draw.c, common/gl_draw.c, qw_client/view.c,
	uquake/gl_screen.c, uquake/view.c: crosshair 2 now works in UQ, as
	does crosshaircolor

2000-01-02 15:57  knghtbrd

	* qw_server/qwsvdef.h: Make qw-server #include <config.h> to fix
	endianness problems.

2000-01-02 14:38  knghtbrd

	* configure.in: a couple of x86 freebsd things added

2000-01-02 08:26  knghtbrd

	* AUTHORS, common/snd_linux.c, common/snd_oss.c: Forgot to move the
	file...

2000-01-02 08:18  knghtbrd

	* configure.in, common/snd_mme.c, common/snd_win.c,
	common/winquake.h, qw_client/Makefile.in, uquake/Makefile.in: Sound
	cleanups from Marcus: snd_linux.c -> snd_oss.c, the OSS API is used
	on a lot more than just Linux.	Updated Autoconf to check for OSS
	rather than check for Linux and just assume OSS is there.

2000-01-02 07:53  knghtbrd

	* AUTHORS, common/gl_draw.c, qw_client/gl_draw.c, uquake/gl_draw.c:
	Merged gl_draw.c!  Yes, the version string is unscaled.

2000-01-02 07:52  knghtbrd

	* common/draw.c: The stupid scaled version text is gone.  Under
	QW's GL targets (only under those targets) the version string was
	rendered using the standard console font, unscaled.  All software
	renderer targets now benefit from this.

2000-01-02 04:00  knghtbrd

	* common/gl_rmisc.c, common/glquake2.h, qw_client/glquake.h,
	uquake/glquake.h: Removed all traces of the useless
	gl_reporttjunctions cvar

2000-01-02 03:32  knghtbrd

	* common/winquake.h, qw_client/cl_main.c, qw_client/keys.c: Marcus'
	patch for the beginnings of mingw32 support in the tree

2000-01-02 03:23  knghtbrd

	* qw_client/Makefile.in, uquake/Makefile.in: Whoever put X11_CFLAGS
	= ... $(X_CFLAGS) in the Makefile.in's was smoking something
	potent.  Should be @X_CFLAGS@, fixed.

2000-01-02 02:07  knghtbrd

	* common/vid_ggi.c: Oops, the GGI target won't work too well
	without this file...

2000-01-02 02:06  knghtbrd

	* common/draw.c, common/draw.h, qw_client/draw.c, qw_common/draw.h,
	uquake/draw.c, uquake/draw.h: draw.[ch] merge

2000-01-02 00:50  knghtbrd

	* configure.in, qw_client/Makefile.in, uquake/Makefile.in,
	uquake/draw.c: Marcus' GGI targets added, fear!

2000-01-01 21:46  knghtbrd

	* common/gl_rmain.c, uquake/chase.c, uquake/cl_main.c,
	uquake/quakedef.h, uquake/view.c: chase_active in uquake is now
	cl_chasecam like in qw-client

2000-01-01 21:34  knghtbrd

	* acconfig.h, configure.in, uquake/draw.c, uquake/gl_draw.c: fixed
	VERSION not getting defined/used properly hopefully once and for
	all

2000-01-01 21:10  knghtbrd

	* common/mdfour.c: Marcus' mdfour fix...  Perhaps this should be
	sent to the rsync people?

2000-01-01 21:00  knghtbrd

	* AUTHORS, TODO, old_headers/standalone/net.h,
	old_headers/standalone/quakedef.h, uquake/host_cmd.c, uquake/net.h,
	uquake/net_main.c, uquake/quakedef.h, uquake/sv_main.c: Removed
	_all_ references to the define IDGODS.	It was turned off anyway,
	but still a glaring security hole waiting for someone to abuse.

2000-01-01 20:31  raptor

	* common/gl_rmisc.c: 
	
	This is the first file I am adding, it should be in /common.  One
	step further into a merged qw/uquake tree :) This code was
	submitted by Taniwha.

2000-01-01 20:18  raptor

	* qw_client/gl_rmisc.c, uquake/gl_rmisc.c: 
	
	Removed uquake/gl_rmisc.c and qw_client/gl_rmisc.c

2000-01-01 20:04  raptor

	* common/gl_rmain.c, uquake/gl_rsurf.c: 
	
	Taniwha pointed out that qw didn't compile, i put cvar_t
	r_waterwarp in a non-common file.  I moved it to r_glmain.c,
	everything _SHOULD_ work now (I hope!).

2000-01-01 19:56  raptor

	* acconfig.h, uquake/quakedef.h: 
	
	I thank Mao for pointing out to me the bootscrap script (which runs
	autoheader and autoconf). I removed the #version from quakedef.h
	and changed the version to "0.1.0-pre" within acconfig.h

2000-01-01 19:40  raptor

	* qw_client/gl_rmisc.c, uquake/gl_rmisc.c: 
	
	Been commiting quite a lot tonight; I forgot to register r_fog and
	r_waterwarp for qw_client.  r_volfog was forgotten for uquake and
	qw, whoops.

2000-01-01 19:26  raptor

	* uquake/quakedef.h: 
	
	Someone deleted #define VERSION, readded it.. uquake now compiles
	again.	Version reports as 0.1.0, the next planed unstable release.

2000-01-01 19:12  raptor

	* common/gl_rmain.c, qw_client/glquake.h, uquake/glquake.h: 
	
	Preliminary Volumetric fog :) fixed problem where r_fog,
	r_waterwarp were not defined for quakeworld.

2000-01-01 18:57  raptor

	* common/gl_rmain.c: 
	
	Didn't realize that quakeworld shouldn't use r_mirror (yet), added
	#ifdef so nobody encounters any segfaults :)

2000-01-01 18:52  raptor

	* common/gl_rmain.c: 
	
	Removed some #ifdef and #ifundef's that didn't make much sense.

2000-01-01 15:09  knghtbrd

	* AUTHORS, TODO: Major additions to TODO and AUTHORS files

2000-01-01 15:07  knghtbrd

	* common/snd_win.c: Some recommended changes for win32 sound

2000-01-01 12:45  knghtbrd

	* .cvsignore, Makefile.in, acconfig.h, bootstrap, configure.in,
	common/.cvsignore, common/config.h.in, qw_client/.cvsignore,
	qw_server/.cvsignore, uquake/.cvsignore: Added autoheader support. 
	Also added ./bootstrap to go from a freshly checked out tree to
	something ./configure'able.

2000-01-01 11:51  knghtbrd

	* ChangeLog: Missed one.

2000-01-01 11:47  knghtbrd

	* doc/: README.source, gl_notes.txt, gnu.txt, qe3.ico, quake.gif,
	quake.ico, quake.xpm, quake_manual.txt, qw_exit_screen.txt,
	qw_protocol_notes.txt, readme.txt, solaris_notes.txt,
	tech_info.txt, winquake_notes.txt: Several files from doc/stadalone
	and doc/quakeworld have no bearing on reality anymore, removed
	them.  Renamed what remained and put it directly in doc for easier
	reference.  qwcl2.ico and quake.ico (the mini-icons for the upper
	left corner in win32) are identical, removed one.  Made an xpm of
	quake.gif.  Removed standalone and quakeworld subdirs.

2000-01-01 08:37  deek

	* common/net_com.c: Grr...teach me not to test before committing...

2000-01-01 08:35  deek

	* common/net_com.c: Test changes in net_com.c for bad connects...

2000-01-01 08:20  deek

	* common/: gl_vidlinux_3dfx.c, gl_vidlinuxglx.c, gl_vidnt.c:
	gl_ztrick is now saved in the config.cfg file

2000-01-01 08:12  knghtbrd

	* qw_client/Makefile.in, uquake/Makefile.in: LDFLAGS cleanups for
	-svga and -3dfx

2000-01-01 07:03  deek

	* common/gl_rmain.c, common/glquake2.h, qw_client/gl_rmisc.c,
	qw_client/glquake.h, uquake/gl_rmisc.c, uquake/glquake.h: Repaired
	UQuake gl_rmail.c mess, commented out gl_reporttjunctions refs,
	since they are apparently unused by either QW or UQuake.

2000-01-01 06:20  knghtbrd

	* configure.in: This should fix Deek's problem with failure to find
	-lGL properly.

2000-01-01 06:09  knghtbrd

	* README: Mostly formatting changes to the README.

2000-01-01 05:51  deek

	* configure.in: Fix for APIENTRY detection

2000-01-01 05:30  deek

	* configure.in: Fixed silly bug in OpenGL detection.

2000-01-01 04:31  deek

	* common/gl_vidlinuxglx.c: Fixed my slight GLX screwup with
	_windowed_mouse -- thanks to Marcus Sundberg for supplying patch.

2000-01-01 03:22  deek

	* old_headers/standalone/mpdosock.h,
	uquake/do_not_include/mpdosock.h: Removed two Windows header files
	that we are not allowed to distribute.

2000-01-01 03:19  deek

	* common/uint32.h: Whoops! Forgot to add the declarations file for
	mdfour's unsigned int hack.  Here it is! :)

2000-01-01 03:18  deek

	* common/mdfour.c, common/mdfour.h, common/net_com.c,
	qw_client/Makefile.in, qw_common/md4.c, qw_server/Makefile.in:
	Replaced RSA MD4 source with GPLed mdfour.[ch] source, and
	net_com.c to connect it all. Also modified Makefile.in for
	qw-(client|server) to use them.

2000-01-01 03:03  knghtbrd

	* TODO: Added XInput and saving of gl_ztrick to TODO

2000-01-01 00:10  knghtbrd

	* .cvsignore, Makefile.in, TODO, configure.in, common/config.h.in,
	qw_client/.cvsignore, qw_server/.cvsignore, uquake/.cvsignore:
	Added .cvsignore files.  Added clean-autoconf target to Makefile.in
	and made distclean remove *~ files

1999-12-31 23:17  palisade

	* common/: common_quakedef.h, quakedef.h: Turns out that
	common_quakedef.h was right, and I goofed.

1999-12-31 22:58  palisade

	* AUTHORS: Added Chad Fowler to the list of 'server resources',
	he's working on mysql and php stuff.

1999-12-31 22:50  palisade

	* AUTHORS: forgot

1999-12-31 22:45  palisade

	* common/: common_quakedef.h, quakedef.h: All the files in common
	include "quakedef.h" not "common_quakedef.h", I think someone
	inappropriately renamed it without checking.

1999-12-31 22:41  palisade

	* common/mathlib.c: I optimized the math routines, they're faster
	and more compact.

1999-12-31 22:33  knghtbrd

	* TODO: Re-added some stuff that somehow got removed from the
	TODO..

1999-12-31 22:26  mercury

	* AUTHORS, common/gl_rmain.c, qw_client/gl_rmain.c,
	uquake/gl_rmain.c: Applied patch from Bill Currie to merge
	gl_rmain.c

1999-12-31 21:16  knghtbrd

	* AUTHORS: Added a few more people to AUTHORS..

1999-12-31 20:41  mercury

	* common/gl_mesh.c, common/gl_refrag.c, qw_client/gl_mesh.c,
	qw_client/gl_refrag.c, uquake/gl_mesh.c, uquake/gl_refrag.c: More
	merging work..

1999-12-31 20:21  mercury

	* configure.in, common/gl_vidlinux_3dfx.c, qw_client/Makefile.in,
	qw_client/gl_vidlinux.c, uquake/Makefile.in, uquake/gl_vidlinux.c:
	Some GL fixes in configure.in
	
	Merged the uquake and qw_client gl_vidlinux.c into
	common/gl_vidlinux_3dfx.c

1999-12-31 19:32  deek

	* qw_client/quakeworld.bmp: Deleted redundant bitmap -- we're not
	really QuakeWorld any more, are we?

1999-12-31 19:21  deek

	* TODO: TODO additions

1999-12-31 15:25  palisade

	* TODO: Added some goals mentioned in the mailing lists and forums.

1999-12-31 15:03  knghtbrd

	* Makefile.in, configure.in, qw_client/Makefile.in,
	uquake/Makefile.in: The Autoconf Merge from Hell, part II!  Rewrote
	much of the configure.in rules, check out the help for ./configure
	to see what's changed.	Added the beginnings of autoconf DGA
	support (it is detected properly though it isn't yet
	complete---HAS_DGA isn't getting defined in config.h for some
	reason..)

1999-12-31 15:02  knghtbrd

	* ChangeLog, TODO: Added a couple items to the TODO list that have
	been talked about on irc, please have a look if you haven't
	recently--there's lots of stuff in there that would be good to work
	on.

1999-12-31 14:03  palisade

	* AUTHORS, ChangeLog, README: Updated documentation, legalise,
	technical info changes, added Id's original changelog to the end of
	ours. Added myself to the list of document maintainers.

1999-12-31 09:43  palisade

	* AUTHORS: added myself

1999-12-31 05:22  deek

	* common/: gl_vidlinuxglx.c, vid_x.c: Made OpenGL targets in X
	remove the cursor when _windowed_mouse 1 is set.  Also, committed
	patch from Marcus Sundberg <mackan@stacken.kth.se> or

1999-12-31 00:16  knghtbrd

	* configure.in: Added missing quotes around variable assignments
	that need them.

1999-12-30 22:54  knghtbrd

	* configure.in, common/common_quakedef.h, common/config.h.in,
	qw_client/Makefile.in, qw_server/Makefile.in, uquake/Makefile.in:
	Moved config.h.in to common/, updated Makefile.in's so configure
	works from any dir, and removed a couple of autoconf errors when
	extensions that aren't required happen to be unavailable.

1999-12-30 22:51  knghtbrd

	* uquake/gl_rmain.c: Removed a (resolved) conflict in this file
	that was commented out.

1999-12-30 22:49  knghtbrd

	* AUTHORS, ChangeLog, TODO: Cleaned up/added stuff to misc
	non-source files

1999-12-30 22:07  palisade

	* AUTHORS: added marcus to the list of sound cleanups

1999-12-30 21:55  palisade

	* common/snd_mme.c: added snd_mme.c for MME sound system support
	(DUnix)

1999-12-30 21:53  palisade

	* configure.in, qw_client/Makefile.in, uquake/Makefile.in: pandr
	reworked marcus's MME Digital UNIX sound support to fit with out
	changes.  just have to add snd_mme.c next

1999-12-30 21:10  mercury

	* common/r_varsa.s: Whoops, one more..

1999-12-30 21:09  mercury

	* AUTHORS, common/r_aclipa.s, common/r_aliasa.s, common/r_drawa.s,
	common/r_edgea.s, common/r_light.c, common/r_sky.c,
	common/r_vars.c, common/surf16.s, common/surf8.s,
	common/sys_dosa.s: Tweaked the authors, missed a few .s files..

1999-12-30 20:44  raptor

	* uquake/gl_rmain.c: 
	
	Fixed up some of the "ugly fog code" and removed an obsolete
	comment

1999-12-30 20:41  mercury

	* qw_client/: d_copy.s, d_draw.s, d_draw16.s, d_fill.c, d_init.c,
	d_modech.c, d_part.c, d_parta.s, d_polysa.s, d_scana.s, d_sky.c,
	d_spr8.s, d_sprite.c, d_vars.c, d_varsa.s, d_zpoint.c, gl_test.c,
	gl_warp.c, r_aclip.c, snd_win.c: Missed a few..

1999-12-30 20:39  mercury

	* configure.in, common/d_copy.s, common/d_draw.s,
	common/d_draw16.s, common/d_fill.c, common/d_init.c,
	common/d_modech.c, common/d_part.c, common/d_parta.s,
	common/d_polysa.s, common/d_scana.s, common/d_sky.c,
	common/d_spr8.s, common/d_sprite.c, common/d_vars.c,
	common/d_varsa.s, common/d_zpoint.c, common/gl_test.c,
	common/gl_warp.c, common/r_aclip.c, qw_client/r_aclipa.s,
	qw_client/r_aliasa.s, qw_client/r_drawa.s, qw_client/r_edgea.s,
	qw_client/r_light.c, qw_client/r_sky.c, qw_client/r_vars.c,
	qw_client/r_varsa.s, qw_client/surf16.s, qw_client/surf8.s,
	qw_client/sys_dosa.s, uquake/Makefile.in, uquake/d_copy.s,
	uquake/d_draw.s, uquake/d_draw16.s, uquake/d_fill.c,
	uquake/d_init.c, uquake/d_modech.c, uquake/d_part.c,
	uquake/d_parta.s, uquake/d_polysa.s, uquake/d_scana.s,
	uquake/d_sky.c, uquake/d_spr8.s, uquake/d_sprite.c,
	uquake/d_vars.c, uquake/d_varsa.s, uquake/d_zpoint.c,
	uquake/gl_test.c, uquake/gl_warp.c, uquake/r_aclip.c,
	uquake/r_aclipa.s, uquake/r_aliasa.s, uquake/r_drawa.s,
	uquake/r_edgea.s, uquake/r_light.c, uquake/r_sky.c,
	uquake/r_vars.c, uquake/r_varsa.s, uquake/surf16.s, uquake/surf8.s,
	uquake/sys_dosa.s: Compile fix on some stuff..
	
	Mass movement of completely common files between qw_client and
	uquake.

1999-12-30 20:18  raptor

	* qw_client/Makefile.in, uquake/Makefile.in: 
	
	Ok. now it compiles svgalib and 3dfx.. at least on my system :)

1999-12-30 19:26  mercury

	* AUTHORS, configure.in: Updated the authors file..  Tweaked
	configure.in to reflect the removal of sys_sun.c.

1999-12-30 19:11  mercury

	* uquake/: draw.c, gl_draw.c, host_cmd.c, sv_main.c, sys_dos.c,
	sys_linux.c: VERSION and HAVE_GL_COLOR_INDEX8_EXT fixes..

1999-12-30 18:59  mercury

	* configure, configure.in, common/common_quakedef.h,
	qw_client/Makefile.in, qw_client/cl_main.c, qw_client/draw.c,
	qw_client/gl_draw.c, qw_client/menu.c, qw_server/qwsvdef.h,
	qw_server/sv_main.c: Added common/config.h.in, moving the version
	and a few other variables there, more will be added later as
	needed..
	
	Added -Wall to the cflags on a few things, may have missed some
	stuff..
	
	Changed the tests on HAVE_GL_COLOR_INDEX8_EXT to actually
	function..  (Fixes the GL texture problem..)
	
	Added tests for GLAPIENTRY and APIENTRY, there will alweys be
	something..
	
	Fixed the check for the 3dfxgl lib..
	
	Some makefile tweaking..
	
	Changed VERSION into a string so it can easily be 0.1.0..
	
	Removed the generated configure script, does not merge sanely..

1999-12-30 18:40  knghtbrd

	* configure, qw_client/Makefile.in, qw_server/Makefile.in,
	uquake/Makefile.extra, uquake/Makefile.in: ./configure is actually
	included this time.  If DJGPP has autoconf we should remove that
	file and just have people regenerate it.  Also update the
	Makefile.in's to put bins right in targets rather than subdirs
	under targets.	Removed stale uquake/Makefile.extra.

1999-12-30 18:31  palisade

	* uquake/d_surf.c: Added Marcus's patch to align surfcache_t
	structs for 64-bit platforms.

1999-12-30 18:10  knghtbrd

	* AUTHORS, configure.in, common/cd_wrapper.c,
	qw_client/Makefile.in, qw_server/Makefile.in, uquake/Makefile.in:
	pandr's autoconf cleanup.  Now uses common/cd_wrapper.c to replace
	some of the things autoconf was doing before but really shouldn't
	have been.

1999-12-30 17:54  palisade

	* uquake/sys_sun.c: uquake/sys_sun.c has been moved to
	uquake/sys_unix.c which is the proper filename

1999-12-30 17:10  palisade

	* qw_client/glquake.h: removed nested comments

1999-12-30 17:04  palisade

	* AUTHORS: added names

1999-12-30 16:55  palisade

	* uquake/net.h: added mackan@stacken.kth.se 's patch

1999-12-30 16:44  palisade

	* TODO: added some things to the TODO

1999-12-30 16:37  palisade

	* uquake/sys_unix.c: sys_sun.c renamed to sys_unix.c, Makefile
	should recognize it now.

1999-12-30 16:32  palisade

	* uquake/menu.c: Added loring's 1999/12/30 menu.c patch for AIX -
	level_t -> quakelevel_t

1999-12-30 16:11  palisade

	* qw_client/glquake.h: added loring's 1999/12/30 patch for
	glquake.h, hand edited because he missed some updates.

1999-12-30 15:50  palisade

	* Makefile.in: i've added cesarb's fix: top-level Makefile has
	@src_dir@, right thing is @srcdir@, and some tabs seem tohave been
	converted to spaces.

1999-12-30 11:58  raptor

	* uquake/: gl_rmain.c, gl_rmisc.c, gl_rsurf.c, glquake.h: [no log
	message]

1999-12-30 08:08  knghtbrd

	* ChangeLog, configure, configure.in, qw_client/Makefile.in,
	uquake/Makefile.in: Made the Makefile checks ifeq(VAR,yes) rather
	than ifneq(VAR,) to make things more robust.  Fixed HAS_TDFX in
	configure.in for real this time.

1999-12-30 07:53  knghtbrd

	* configure, configure.in: make sure that HAVE_TDFX="no" if we
	don't find it

1999-12-30 07:33  knghtbrd

	* INSTALL: Removed note for Utah GLX users that no longer applies

1999-12-30 07:25  knghtbrd

	* configure, configure.in, qw_client/Makefile.in,
	uquake/Makefile.in: use AC_DEFINE() instead of the confdefs.h hack

1999-12-30 07:25  deek

	* qw_client/glquake.h: More GLAPIENTRY fallout...earlier
	search/replace methods had left some stuff out...all better now.

1999-12-30 06:35  deek

	* qw_client/glquake.h: Repaired my own fix...that'll teach me to
	use #error without putting the error text in quotes... :)

1999-12-30 06:33  deek

	* qw_client/glquake.h: Fixed up screwy GLAPIENTRY fix for older
	Mesa versions. We can support Mesa 3.0 again.

1999-12-30 06:26  knghtbrd

	* configure, configure.in: autoconf updates, several autoconf
	options have changed how they are run, please run ./configure
	--help to see what's what.  Also made --help output worth looking
	at.

1999-12-30 05:40  knghtbrd

	* Makefile.in, client.in, configure, configure.in, post.in, pre.in,
	rules.in, srcfiles.in, qw_client/Makefile.in,
	qw_server/Makefile.in, uquake/Makefile.in: Unrolled all the
	{client,post,pre,rules,srcfiles}.in files into the proper places in
	the various Makefile.in's.  Having them all in the module root like
	that may make it easy to make a change that affects everything all
	at once but it's real bitch to try and maintain those files. 
	They're all gone now and we'll just have to maintain the seperate
	makefiles.

1999-12-30 05:37  knghtbrd

	* COPYING: This file should be here.

1999-12-30 04:33  knghtbrd

	* configure, configure.in: INDEX8 fix--doh!

1999-12-30 03:58  knghtbrd

	* configure, configure.in, pre.in, rules.in, qw_client/Makefile.in,
	uquake/Makefile.in: autoconf support is just about complete now! 
	the -3dfx targets build and were tested successfully.  There are a
	few hardwired LDFLAGS to clean up (-lm, -ldl, -lvga, and -lGL) in
	various targets still.	In order to build with Mesa versions  prior
	to 3.1 you'll need to change -lGL to -lMesaGL.	      I'll teach
	autoconf how to do this tonight.  It's safe to come out from	   
	 behind your pre_autoconf branch now guys.  ;>

1999-12-30 02:57  palisade

	* client.in: Fixed the target line.

1999-12-30 02:35  knghtbrd

	* TODO, client.in, configure, configure.in: autoconf now looks for
	lib3dfxgl.so to figure out whether or not to build the -glide
	targets (now named -3dfx..)  Thid doesn't mean that I have actually
	written the makefile stuff for these targets, but rather that I
	have written the foundation needed to create them.

1999-12-30 00:23  knghtbrd

	* AUTHORS, configure, configure.in: Another commit from hell! 
	Fixes to autoconf for Utah GLX and the base of support for the
	return of a glide target.  Things are still a bit broken however as
	I need to write glide build rules.  I probably have more to do in
	configure.in, I want to make libGL detection work more like Glide's
	does now.  The Glide detection rule was lifted almost wholesale
	from Mesa because it works and I couldn't write anything that would
	work better.

1999-12-29 22:46  knghtbrd

	* common/snd_dma.c: Ryan C. Gordon provided a small cleanup for
	snd_dma.c which fixes a crash if sound could not be started
	properly for some reason.

1999-12-29 11:08  mercury

	* qw_client/Makefile: Big makefile cleanup..

1999-12-29 10:50  mercury

	* qw_client/cl_main.c: Added a comment on why I commented a line
	out..

1999-12-29 10:44  mercury

	* qw_client/cl_main.c: A fix for a qw show stopper, and a test..

1999-12-29 06:09  mercury

	* qw_client/cl_main.c, qw_common/common.c, qw_common/console.c:
	Squashed a QW showstopper, last one I hope! Fixed a rare chance of
	a buffer overflow attack in the display code.

1999-12-29 05:58  knghtbrd

	* AUTHORS, ChangeLog, INSTALL, Makefile, Makefile.in, client.in,
	config.guess, config.sub, configure, configure.in, install-sh,
	post.in, pre.in, rules.in, srcfiles.in, common/common_quakedef.h,
	common/gl_vidlinuxglx.c, common/snd_null.c, common/vid_sunx.c,
	qw_client/Makefile, qw_client/Makefile.in, qw_client/cl_main.c,
	qw_client/gl_draw.c, qw_client/gl_rsurf.c, qw_client/glquake.h,
	qw_client/sys_linux.c, qw_common/common.c, qw_common/common.h,
	qw_common/net_udp.c, qw_server/Makefile, qw_server/Makefile.in,
	qw_server/sys_unix.c, uquake/Makefile, uquake/Makefile.in,
	uquake/common.c, uquake/common.h, uquake/gl_draw.c, uquake/menu.c,
	uquake/net_udp.c, uquake/sys_sun.c: Loring Holden's autoconf
	support.  {qw-client,quake}-glide is currently	       not built
	since neither of us has the hardware available at the moment to    
	  test the 3dfx MiniGL target.	Someone who does (Mercury?) will
	have to fix	 that.	Bins all build in odd places for the
	moment.  Thanks for staying up	    so late to help get this
	working Loring, you rock!

1999-12-28 21:38  mercury

	* common/gl_vidnt.c, common/glquake2.h, qw_client/glquake.h,
	qw_server/Makefile, uquake/glquake.h: s/APIENTRY/GLAPIENTRY/ We now
	REQUIRE mesa 3.1 to compile the GL stuff....

1999-12-28 21:14  knghtbrd

	* qw_client/Makefile, qw_server/Makefile: Treat all ia32 archs the
	same in the QW makefiles to match UQ

1999-12-28 20:58  deek

	* common/vid_svgalib.c: Repaired undefined  VID_UpdatePlanarScreen.

1999-12-28 19:30  knghtbrd

	* qw_client/Makefile, qw_server/Makefile: clean rules are fixed.  I
	promise this time.

1999-12-28 19:20  knghtbrd

	* uquake/gl_draw.c: :%s/SourceForge/QuakeForge/g, a matter of life
	and death fix!	;>

1999-12-28 18:50  mercury

	* qw_client/Makefile, qw_server/Makefile: Fixing 'make clean'

1999-12-28 18:44  deek

	* uquake/Makefile: Fixed miscellaneous Makefile problems: $(ARCH)
	fixed, clean target fixed, libraries added to GL_X11_LDFLAGS,
	GL_GLIDE_LDFLAGS repaired to include $(LDFLAGS)

1999-12-28 18:21  mercury

	* ChangeLog, common/glquake2.h, qw_client/glquake.h,
	uquake/glquake.h: :%s/GLAPIENTRY/APIENTRY/g Again, who changed it
	back?
	
	Also undid my change to the changelog..

1999-12-28 18:14  mercury

	* ChangeLog, uquake/gl_rsurf.c: Doh! This should fix the gl texture
	problem...

1999-12-28 03:42  knghtbrd

	* ChangeLog: Created a changelog--actually I cheated and let
	cvs2cl.pl do it.

1999-12-28 03:39  deek

	* common/common_quakedef.h, qw_common/pmovetst.c: Nothing of
	note...

1999-12-27 23:59  knghtbrd

	* qw_client/Makefile, qw_server/Makefile, uquake/Makefile: Pardon
	my fuckup.

1999-12-27 23:11  knghtbrd

	* qw_client/Makefile, qw_server/Makefile, uquake/Makefile: Added
	-O3 to non-i386 release CFLAGS, don't assume arch is i386 just b/c
	it's not alpha.  qw_server should build on most archs now,
	qw_client and uquake apparently have endian issues still.  (Not to
	mention the lack of software renderers for anything but i386...)

1999-12-27 22:44  knghtbrd

	* qw_client/Makefile, qw_server/Makefile, uquake/Makefile: Updated
	the makefiles:	- MesaGL is no more, use a newer mesa that provides
	libGL.so.1  - The suffix for software X11 renderer is now -x11 for
	consistancy with    other software that build -x11 and -svga
	versions  - Unified build is here!  Everything goes into
	$(BUILD_DIR) now  - $(BUILD_DIR) is used for both debug and
	release, override it for now	if you need to build seperate
	release and debug objects.  The option to    build them in
	different places should probably go into the autoconf	 stuff so
	Mercury doesn't have to kill me.
	
	Deek told me to remove S_Init() references from host.c to fix a
	sound bug, I did so.  The difference should be limited to
	whitespace since I changed nothing else.

1999-12-27 16:05  deek

	* uquake/: gl_refrag.c, gl_rmain.c, host.c, world.c: Pre-merge code
	commit. This bug will die.

1999-12-27 14:00  deek

	* uquake/: gl_draw.c, world.h: Couple of fixes for GL

1999-12-27 09:57  mercury

	* Makefile, common/common_quakedef.h, common/glquake2.h,
	qw_client/glquake.h, uquake/gl_vidlinux.c, uquake/glquake.h,
	uquake/host.c: s/APIENTRY/GLAPIENTRY/, and some tweaking with
	uquake..

1999-12-27 09:18  mercury

	* uquake/: Makefile, cl_input.c, cl_parse.c, gl_draw.c, gl_mesh.c,
	gl_model.c, gl_model.h, gl_refrag.c, gl_rmain.c, gl_rmisc.c,
	gl_rsurf.c, gl_screen.c, gl_vidlinux.c, gl_warp.c, glquake.h,
	host_cmd.c, menu.c, protocol.h, sbar.c, sv_main.c: The GL stuff
	compiles now, but has some, err, issues..

1999-12-27 00:16  deek

	* gamedata/uquake/: progdefs.h, progdefs.q2: Adding files moved
	from main UQuake directory.

1999-12-26 07:45  deek

	* TODO, uquake/Makefile, uquake/Makefile.extra: Initialize TODO
	with help request from Mercury to fix possible (perhaps likely)
	buffer overruns; add some docs to doc hierarchy.

1999-12-26 06:12  deek

	* uquake/Makefile: More silly changes to makefile

1999-12-26 06:10  deek

	* uquake/Makefile: Fixed UQ Makefile

1999-12-26 05:51  deek

	* uquake/: Makefile, Makefile.extra, bspfile.h, chase.c, cl_demo.c,
	cl_input.c, cl_main.c, cl_parse.c, cl_tent.c, client.h, cmd.c,
	cmd.h, common.c, common.h, conproc.c, console.c, console.h, crc.c,
	cvar.c, cvar.h, d_copy.s, d_draw.s, d_draw16.s, d_edge.c, d_fill.c,
	d_init.c, d_modech.c, d_part.c, d_parta.s, d_polysa.s, d_polyse.c,
	d_scan.c, d_scana.s, d_sky.c, d_spr8.s, d_sprite.c, d_surf.c,
	d_vars.c, d_varsa.s, d_zpoint.c, dos_v2.c, dosasm.s, draw.c,
	draw.h, gl_draw.c, gl_mesh.c, gl_model.c, gl_refrag.c, gl_rlight.c,
	gl_rmain.c, gl_rmisc.c, gl_rsurf.c, gl_screen.c, gl_test.c,
	gl_vidlinux.c, gl_warp.c, host.c, host_cmd.c, keys.c, menu.c,
	menu.h, model.c, model.h, mplib.c, mplpc.c, net.h, net_bsd.c,
	net_bw.c, net_comx.c, net_dgrm.c, net_dgrm.h, net_dos.c, net_ipx.c,
	net_loop.c, net_loop.h, net_main.c, net_mp.c, net_none.c,
	net_ser.c, net_udp.c, net_udp.h, net_vcr.c, net_vcr.h, net_win.c,
	net_wins.c, net_wipx.c, nonintel.c, pr_cmds.c, pr_comp.h,
	pr_edict.c, pr_exec.c, progdefs.h, progs.h, protocol.h, quakedef.h,
	r_aclip.c, r_aclipa.s, r_alias.c, r_aliasa.s, r_bsp.c, r_draw.c,
	r_drawa.s, r_edge.c, r_edgea.s, r_efrag.c, r_light.c, r_main.c,
	r_misc.c, r_part.c, r_shared.h, r_sky.c, r_sprite.c, r_surf.c,
	r_vars.c, r_varsa.s, render.h, sbar.c, screen.c, screen.h,
	server.h, surf16.s, surf8.s, sv_main.c, sv_move.c, sv_phys.c,
	sv_user.c, sys_dos.c, sys_dosa.s, sys_linux.c, sys_null.c,
	sys_sun.c, sys_win.c, sys_wina.s, sys_wind.c, view.c, vregset.c,
	winquake.rc, world.c, world.h, worlda.s, do_not_include/adivtab.h,
	do_not_include/anorm_dots.h, do_not_include/anorms.h,
	do_not_include/block16.h, do_not_include/block8.h,
	do_not_include/conproc.h, do_not_include/crc.h,
	do_not_include/d_iface.h, do_not_include/d_ifacea.h,
	do_not_include/d_local.h, do_not_include/dosisms.h,
	do_not_include/gl_model.h, do_not_include/gl_warp_sin.h,
	do_not_include/glquake.h, do_not_include/glquake2.h,
	do_not_include/modelgen.h, do_not_include/mpdosock.h,
	do_not_include/net_bw.h, do_not_include/net_ipx.h,
	do_not_include/net_mp.h, do_not_include/net_ser.h,
	do_not_include/net_wins.h, do_not_include/net_wipx.h,
	do_not_include/protocol.h, do_not_include/quakeasm.h,
	do_not_include/r_local.h, do_not_include/resource.h,
	do_not_include/sbar.h, do_not_include/sound.h,
	do_not_include/spritegn.h, do_not_include/vregset.h,
	do_not_include/winquake.h: Created new subdir: uquake. Pick your
	favorite U word for the meaning -- Unchained, Ultimate, Ultra, Up
	Yours, Underworld, Underground, Unified, Unity, etc. You know the
	drill.
	
	This takes care of the "standalone" problem with the wrong name,
	and the recent snafu with multiple developers working on the same
	files simultaneously...expect me (and probably others) to start
	locking dirs when updates are taking place.
	
	And yes, this update is really as large as it looks. Software only
	at the moment, but I will have the makefile updated to build the GL
	builds as well.

1999-12-26 03:40  mercury

	* common/common_quakedef.h: POQ now actually works!!

1999-12-26 02:07  mercury

	* common/common_quakedef.h, qw_common/pmove.h,
	qw_common/protocol.h, qw_server/qwsvdef.h: QW Server, QW Client,
	and POQ all compile now..  (Provided you don't run out of disk
	space well compiling..)

1999-12-25 23:36  mercury

	* common/common_quakedef.h: Erm, frogot to cvs add something..

1999-12-25 23:05  mercury

	* qw_client/draw.c, qw_client/gl_draw.c, qw_common/bothdefs.h,
	qw_common/common.h: QW compiles again..

1999-12-25 22:37  mercury

	* Makefile, common/gl_vidlinuxglx.c, common/gl_vidnt.c,
	common/snd_dma.c, common/vid.h, common/vid_sunxil.c,
	common/vid_svgalib.c, common/vid_x.c, common/view.h,
	qw_client/gl_vidlinux.c, qw_client/gl_vidlinux_x11.c,
	qw_common/client.h, qw_common/protocol.h, qw_common/quakedef.h: BIG
	merge work, POQ now compiles, though at least glquake.3dfx has,
	err, issues..  Hopefully QW will still compile and work, thats the
	next commit I think..

1999-12-25 18:11  deek

	* README: [no log message]

1999-12-25 17:15  deek

	* README: [no log message]

1999-12-25 17:00  deek

	* README, README: [no log message]

1999-12-25 16:48  deek

	* ChangeLog: [no log message]

1999-12-25 14:30  mercury

	* common/keys.h, qw_common/keys.h: Moved keys.h into common,
	wrapped 3 quakeworld specific lines with #ifdef QUAKEWORLD

1999-12-25 13:50  mercury

	* common/gl_vidlinuxglx.c, common/vid_sunx.c, common/vid_sunxil.c,
	common/vid_svgalib.c, common/vid_x.c, qw_client/gl_vidlinux.c,
	qw_client/gl_vidlinux_x11.c, qw_client/keys.c, qw_client/menu.c,
	qw_common/keys.h: Added the KP_* symbols, for the keys on the
	keypad..

1999-12-25 11:37  mercury

	* Makefile, common/gl_vidlinuxglx.c, qw_client/cl_parse.c,
	qw_client/gl_mesh.c, qw_client/gl_screen.c,
	qw_client/gl_vidlinux.c, qw_client/gl_vidlinux_svga.c,
	qw_client/gl_warp.c, qw_client/r_misc.c, qw_client/screen.c,
	qw_common/common.c, qw_common/net_chan.c, qw_common/net_udp.c,
	qw_common/pmove.c, qw_server/pr_cmds.c, qw_server/server.h,
	qw_server/sv_main.c, qw_server/sv_user.c, qw_server/sys_unix.c:
	Changed the root makefile so any rule will be passed along, not
	just 'all'.
	
	Removed qw_client/gl_vidlinux_svga.c, nothing uses it and its
	almost a exact duplicate of gl_vidlinux.c.
	
	Cleaned up ALL the compile time warnings..

1999-12-25 10:03  mercury

	* qw_client/Makefile, qw_client/keys.h, qw_common/keys.h: Moved
	keys.h to qw_common.  Added rules to allow gl-client-glide to
	compile.

1999-12-24 22:57  deek

	* tools/qwfwd/: a.out, qwfwd.dsp, qwfwd.dsw, qwfwd.plg: [no log
	message]

1999-12-24 21:33  deek

	* common/anorm_dots.h, common/anorms.h, common/asm_draw.h,
	common/asm_i386.h, common/block16.h, common/block8.h,
	common/d_iface.h, common/d_ifacea.h, common/d_local.h,
	common/gl_warp_sin.h, common/glquake2.h, common/mathlib.h,
	common/quakeasm.h, common/r_local.h, common/sbar.h, common/sound.h,
	common/crc.c, common/spritegn.h, common/vgamodes.h,
	common/gl_vidnt.c, qw_common/cmd.c, qw_common/common.c,
	qw_common/net.h, qw_common/cvar.c, qw_common/md4.c,
	qw_common/pmove.c, qw_common/pmovetst.c, qw_common/cmd.h,
	qw_common/model.h, qw_common/bothdefs.h, qw_common/common.h,
	qw_common/cvar.h, qw_common/pmove.h, qw_common/bspfile.h,
	qw_common/client.h, qw_common/console.h, qw_common/draw.h,
	qw_common/net_chan.c, qw_common/net_udp.c, qw_common/net_wins.c,
	qw_common/protocol.h, qw_common/quakedef.h, qw_common/render.h,
	qw_common/screen.h, qw_common/console.c, qw_common/r_shared.h,
	old_headers/qwcl/cmd.h, old_headers/qwcl/common.h,
	old_headers/qwcl/cvar.h, old_headers/qwcl/gl_model.h,
	old_headers/qwcl/glquake.h, old_headers/qwcl/menu.h,
	old_headers/qwcl/pmove.h, old_headers/qwcl/resource.h,
	old_headers/qwsv/pr_comp.h, old_headers/qwsv/progdefs.h,
	old_headers/qwsv/progs.h, old_headers/qwsv/qwsvdef.h,
	old_headers/qwsv/server.h, old_headers/qwsv/sys.h,
	old_headers/qwsv/world.h, old_headers/standalone/bspfile.h,
	old_headers/standalone/client.h, old_headers/standalone/cmd.h,
	old_headers/standalone/common.h, old_headers/standalone/conproc.h,
	old_headers/standalone/console.h, old_headers/standalone/crc.h,
	old_headers/standalone/cvar.h, old_headers/standalone/dosisms.h,
	old_headers/standalone/draw.h, old_headers/standalone/gl_model.h,
	old_headers/standalone/glquake.h, old_headers/standalone/keys.h,
	old_headers/standalone/mathlib.h, old_headers/standalone/menu.h,
	old_headers/standalone/model.h, old_headers/standalone/mpdosock.h,
	old_headers/standalone/net.h, old_headers/standalone/net_bw.h,
	old_headers/standalone/net_dgrm.h,
	old_headers/standalone/net_ipx.h,
	old_headers/standalone/net_loop.h, old_headers/standalone/net_mp.h,
	old_headers/standalone/net_ser.h, old_headers/standalone/net_udp.h,
	old_headers/standalone/net_vcr.h,
	old_headers/standalone/net_wins.h,
	old_headers/standalone/net_wipx.h,
	old_headers/standalone/pr_comp.h,
	old_headers/standalone/progdefs.h, old_headers/standalone/progs.h,
	old_headers/standalone/protocol.h,
	old_headers/standalone/quakedef.h,
	old_headers/standalone/r_local.h,
	old_headers/standalone/r_shared.h, old_headers/standalone/render.h,
	old_headers/standalone/resource.h, old_headers/standalone/screen.h,
	old_headers/standalone/server.h, gamedata/quakeworld/buttons.qc,
	old_headers/standalone/vid_dos.h, old_headers/standalone/vregset.h,
	old_headers/standalone/winquake.h, old_headers/standalone/world.h,
	gamedata/quakeworld/client.qc, gamedata/quakeworld/combat.qc,
	gamedata/quakeworld/defs.qc, gamedata/quakeworld/doors.qc,
	gamedata/quakeworld/items.qc, gamedata/quakeworld/misc.qc,
	gamedata/quakeworld/models.qc, gamedata/quakeworld/plats.qc,
	gamedata/quakeworld/player.qc, gamedata/quakeworld/server.qc,
	gamedata/quakeworld/spectate.qc, gamedata/quakeworld/sprites.qc,
	gamedata/quakeworld/subs.qc, gamedata/quakeworld/triggers.qc,
	gamedata/quakeworld/files.dat, gamedata/quakeworld/progdefs.h,
	gamedata/quakeworld/progs.src, gamedata/quakeworld/weapons.qc,
	gamedata/quakeworld/world.qc, gamedata/quakeworld/qwprogs.dat:
	Initial revision

1999-12-24 21:33  deek

	* common/anorm_dots.h, common/anorms.h, common/asm_draw.h,
	common/asm_i386.h, common/block16.h, common/block8.h,
	common/d_iface.h, common/d_ifacea.h, common/d_local.h,
	common/gl_warp_sin.h, common/glquake2.h, common/mathlib.h,
	common/quakeasm.h, common/r_local.h, common/sbar.h, common/sound.h,
	common/crc.c, common/spritegn.h, common/vgamodes.h,
	common/gl_vidnt.c, qw_common/cmd.c, qw_common/common.c,
	qw_common/net.h, qw_common/cvar.c, qw_common/md4.c,
	qw_common/pmove.c, qw_common/pmovetst.c, qw_common/cmd.h,
	qw_common/model.h, qw_common/bothdefs.h, qw_common/common.h,
	qw_common/cvar.h, qw_common/pmove.h, qw_common/bspfile.h,
	qw_common/client.h, qw_common/console.h, qw_common/draw.h,
	qw_common/net_chan.c, qw_common/net_udp.c, qw_common/net_wins.c,
	qw_common/protocol.h, qw_common/quakedef.h, qw_common/render.h,
	qw_common/screen.h, qw_common/console.c, qw_common/r_shared.h,
	old_headers/qwcl/cmd.h, old_headers/qwcl/common.h,
	old_headers/qwcl/cvar.h, old_headers/qwcl/gl_model.h,
	old_headers/qwcl/glquake.h, old_headers/qwcl/menu.h,
	old_headers/qwcl/pmove.h, old_headers/qwcl/resource.h,
	old_headers/qwsv/pr_comp.h, old_headers/qwsv/progdefs.h,
	old_headers/qwsv/progs.h, old_headers/qwsv/qwsvdef.h,
	old_headers/qwsv/server.h, old_headers/qwsv/sys.h,
	old_headers/qwsv/world.h, old_headers/standalone/bspfile.h,
	old_headers/standalone/client.h, old_headers/standalone/cmd.h,
	old_headers/standalone/common.h, old_headers/standalone/conproc.h,
	old_headers/standalone/console.h, old_headers/standalone/crc.h,
	old_headers/standalone/cvar.h, old_headers/standalone/dosisms.h,
	old_headers/standalone/draw.h, old_headers/standalone/gl_model.h,
	old_headers/standalone/glquake.h, old_headers/standalone/keys.h,
	old_headers/standalone/mathlib.h, old_headers/standalone/menu.h,
	old_headers/standalone/model.h, old_headers/standalone/mpdosock.h,
	old_headers/standalone/net.h, old_headers/standalone/net_bw.h,
	old_headers/standalone/net_dgrm.h,
	old_headers/standalone/net_ipx.h,
	old_headers/standalone/net_loop.h, old_headers/standalone/net_mp.h,
	old_headers/standalone/net_ser.h, old_headers/standalone/net_udp.h,
	old_headers/standalone/net_vcr.h,
	old_headers/standalone/net_wins.h,
	old_headers/standalone/net_wipx.h,
	old_headers/standalone/pr_comp.h,
	old_headers/standalone/progdefs.h, old_headers/standalone/progs.h,
	old_headers/standalone/protocol.h,
	old_headers/standalone/quakedef.h,
	old_headers/standalone/r_local.h,
	old_headers/standalone/r_shared.h, old_headers/standalone/render.h,
	old_headers/standalone/resource.h, old_headers/standalone/screen.h,
	old_headers/standalone/server.h, gamedata/quakeworld/buttons.qc,
	old_headers/standalone/vid_dos.h, old_headers/standalone/vregset.h,
	old_headers/standalone/winquake.h, old_headers/standalone/world.h,
	gamedata/quakeworld/client.qc, gamedata/quakeworld/combat.qc,
	gamedata/quakeworld/defs.qc, gamedata/quakeworld/doors.qc,
	gamedata/quakeworld/items.qc, gamedata/quakeworld/misc.qc,
	gamedata/quakeworld/models.qc, gamedata/quakeworld/plats.qc,
	gamedata/quakeworld/player.qc, gamedata/quakeworld/server.qc,
	gamedata/quakeworld/spectate.qc, gamedata/quakeworld/sprites.qc,
	gamedata/quakeworld/subs.qc, gamedata/quakeworld/triggers.qc,
	gamedata/quakeworld/files.dat, gamedata/quakeworld/progdefs.h,
	gamedata/quakeworld/progs.src, gamedata/quakeworld/weapons.qc,
	gamedata/quakeworld/world.qc, gamedata/quakeworld/qwprogs.dat:
	Import current unified tree

1999-12-24 21:30  deek

	* qw_client/winquake.aps, qw_client/winquake.rc,
	tools/gas2masm/gas2masm.c, tools/gas2masm/gas2masm.dsp,
	tools/gas2masm/gas2masm.dsw, tools/gas2masm/gas2masm.mak,
	tools/gas2masm/gas2masm.mdp, tools/gas2masm/gas2masm.plg,
	tools/qwfwd/misc.c, tools/qwfwd/a.out, tools/qwfwd/qwfwd.c,
	tools/qwfwd/qwfwd.dsp, tools/qwfwd/qwfwd.dsw,
	tools/qwfwd/qwfwd.plg, common/cd_audio.c, common/cd_linux.c,
	common/cd_null.c, common/cd_win.c, common/wad.c, common/zone.c,
	common/snd_dma.c, common/snd_dos.c, common/snd_gus.c,
	common/snd_linux.c, common/snd_mem.c, common/snd_mix.c,
	common/snd_mixa.s, common/snd_next.c, common/snd_null.c,
	common/snd_sun.c, common/math.s, common/snd_win.c,
	common/mathlib.c, common/gl_vidlinuxglx.c, common/vid_null.c,
	common/vid_dos.c, common/vid_ext.c, common/vid_sunx.c,
	common/vid_sunxil.c, common/vid_vga.c, common/vid_svgalib.c,
	common/vid_win.c, common/vid_x.c, common/in_dos.c,
	common/in_null.c, common/in_sun.c, common/in_win.c, common/view.h,
	common/wad.h, common/zone.h, common/cdaudio.h, common/crc.h,
	common/input.h, common/modelgen.h, common/sys.h, common/vid.h,
	common/winquake.h, common/adivtab.h: Initial revision

1999-12-24 21:30  deek

	* qw_client/winquake.aps, qw_client/winquake.rc,
	tools/gas2masm/gas2masm.c, tools/gas2masm/gas2masm.dsp,
	tools/gas2masm/gas2masm.dsw, tools/gas2masm/gas2masm.mak,
	tools/gas2masm/gas2masm.mdp, tools/gas2masm/gas2masm.plg,
	tools/qwfwd/misc.c, tools/qwfwd/a.out, tools/qwfwd/qwfwd.c,
	tools/qwfwd/qwfwd.dsp, tools/qwfwd/qwfwd.dsw,
	tools/qwfwd/qwfwd.plg, common/cd_audio.c, common/cd_linux.c,
	common/cd_null.c, common/cd_win.c, common/wad.c, common/zone.c,
	common/snd_dma.c, common/snd_dos.c, common/snd_gus.c,
	common/snd_linux.c, common/snd_mem.c, common/snd_mix.c,
	common/snd_mixa.s, common/snd_next.c, common/snd_null.c,
	common/snd_sun.c, common/math.s, common/snd_win.c,
	common/mathlib.c, common/gl_vidlinuxglx.c, common/vid_null.c,
	common/vid_dos.c, common/vid_ext.c, common/vid_sunx.c,
	common/vid_sunxil.c, common/vid_vga.c, common/vid_svgalib.c,
	common/vid_win.c, common/vid_x.c, common/in_dos.c,
	common/in_null.c, common/in_sun.c, common/in_win.c, common/view.h,
	common/wad.h, common/zone.h, common/cdaudio.h, common/crc.h,
	common/input.h, common/modelgen.h, common/sys.h, common/vid.h,
	common/winquake.h, common/adivtab.h: Import current unified tree

1999-12-24 21:27  deek

	* doc/gnu.txt, doc/readme.txt, qw_client/Makefile,
	qw_client/menu.h, qw_client/d_polysa.s, qw_client/gl_model.h,
	qw_client/buildnum.c, qw_client/glquake.h, qw_client/keys.h,
	qw_client/cl_cam.c, qw_client/cl_demo.c, qw_client/cl_ents.c,
	qw_client/cl_input.c, qw_client/cl_main.c, qw_client/cl_parse.c,
	qw_client/cl_pred.c, qw_client/cl_tent.c, qw_client/d_copy.s,
	qw_client/d_draw.s, qw_client/d_draw16.s, qw_client/d_edge.c,
	qw_client/d_fill.c, qw_client/d_init.c, qw_client/d_modech.c,
	qw_client/d_part.c, qw_client/d_parta.s, qw_client/d_polyse.c,
	qw_client/d_scan.c, qw_client/d_scana.s, qw_client/d_sky.c,
	qw_client/d_spr8.s, qw_client/d_sprite.c, qw_client/d_surf.c,
	qw_client/d_vars.c, qw_client/d_varsa.s, qw_client/d_zpoint.c,
	qw_client/draw.c, qw_client/gl_draw.c, qw_client/gl_mesh.c,
	qw_client/gl_model.c, qw_client/gl_ngraph.c, qw_client/gl_refrag.c,
	qw_client/gl_rlight.c, qw_client/gl_rmain.c, qw_client/gl_rmisc.c,
	qw_client/gl_rsurf.c, qw_client/gl_screen.c, qw_client/gl_test.c,
	qw_client/gl_vidlinux.c, qw_client/gl_vidlinux_svga.c,
	qw_client/gl_vidlinux_x11.c, qw_client/gl_warp.c, qw_client/keys.c,
	qw_client/menu.c, qw_client/model.c, qw_client/nonintel.c,
	qw_client/quakeworld.bmp, qw_client/r_aclip.c,
	qw_client/r_aclipa.s, qw_client/r_alias.c, qw_client/r_aliasa.s,
	qw_client/r_bsp.c, qw_client/r_draw.c, qw_client/r_drawa.s,
	qw_client/r_edge.c, qw_client/r_edgea.s, qw_client/r_efrag.c,
	qw_client/r_light.c, qw_client/r_main.c, qw_client/r_misc.c,
	qw_client/r_part.c, qw_client/r_sky.c, qw_client/r_sprite.c,
	qw_client/r_surf.c, qw_client/r_vars.c, qw_client/r_varsa.s,
	qw_client/sbar.c, qw_client/screen.c, qw_client/skin.c,
	qw_client/snd_win.c, qw_client/surf16.s, qw_client/surf8.s,
	qw_client/sys_dosa.s, qw_client/sys_linux.c, qw_client/sys_null.c,
	qw_client/sys_win.c, qw_client/sys_wina.s, qw_client/view.c:
	Initial revision

1999-12-24 21:27  deek

	* doc/gnu.txt, doc/readme.txt, qw_client/Makefile,
	qw_client/menu.h, qw_client/d_polysa.s, qw_client/gl_model.h,
	qw_client/buildnum.c, qw_client/glquake.h, qw_client/keys.h,
	qw_client/cl_cam.c, qw_client/cl_demo.c, qw_client/cl_ents.c,
	qw_client/cl_input.c, qw_client/cl_main.c, qw_client/cl_parse.c,
	qw_client/cl_pred.c, qw_client/cl_tent.c, qw_client/d_copy.s,
	qw_client/d_draw.s, qw_client/d_draw16.s, qw_client/d_edge.c,
	qw_client/d_fill.c, qw_client/d_init.c, qw_client/d_modech.c,
	qw_client/d_part.c, qw_client/d_parta.s, qw_client/d_polyse.c,
	qw_client/d_scan.c, qw_client/d_scana.s, qw_client/d_sky.c,
	qw_client/d_spr8.s, qw_client/d_sprite.c, qw_client/d_surf.c,
	qw_client/d_vars.c, qw_client/d_varsa.s, qw_client/d_zpoint.c,
	qw_client/draw.c, qw_client/gl_draw.c, qw_client/gl_mesh.c,
	qw_client/gl_model.c, qw_client/gl_ngraph.c, qw_client/gl_refrag.c,
	qw_client/gl_rlight.c, qw_client/gl_rmain.c, qw_client/gl_rmisc.c,
	qw_client/gl_rsurf.c, qw_client/gl_screen.c, qw_client/gl_test.c,
	qw_client/gl_vidlinux.c, qw_client/gl_vidlinux_svga.c,
	qw_client/gl_vidlinux_x11.c, qw_client/gl_warp.c, qw_client/keys.c,
	qw_client/menu.c, qw_client/model.c, qw_client/nonintel.c,
	qw_client/quakeworld.bmp, qw_client/r_aclip.c,
	qw_client/r_aclipa.s, qw_client/r_alias.c, qw_client/r_aliasa.s,
	qw_client/r_bsp.c, qw_client/r_draw.c, qw_client/r_drawa.s,
	qw_client/r_edge.c, qw_client/r_edgea.s, qw_client/r_efrag.c,
	qw_client/r_light.c, qw_client/r_main.c, qw_client/r_misc.c,
	qw_client/r_part.c, qw_client/r_sky.c, qw_client/r_sprite.c,
	qw_client/r_surf.c, qw_client/r_vars.c, qw_client/r_varsa.s,
	qw_client/sbar.c, qw_client/screen.c, qw_client/skin.c,
	qw_client/snd_win.c, qw_client/surf16.s, qw_client/surf8.s,
	qw_client/sys_dosa.s, qw_client/sys_linux.c, qw_client/sys_null.c,
	qw_client/sys_win.c, qw_client/sys_wina.s, qw_client/view.c: Import
	current unified tree

1999-12-24 21:22  deek

	* AUTHORS, ChangeLog, INSTALL, Makefile, README, qw_server/progs.h,
	qw_server/model.c, qw_server/move.txt, qw_server/newnet.txt,
	qw_server/notes.txt, qw_server/Makefile, qw_server/pr_cmds.c,
	qw_server/pr_edict.c, qw_server/pr_comp.h, qw_server/pr_exec.c,
	qw_server/profile.txt, qw_server/progdefs.h, qw_server/qwsvdef.h,
	qw_server/server.h, qw_server/sys.h, qw_server/world.h,
	qw_server/sv_ccmds.c, qw_server/sv_ents.c, qw_server/sv_init.c,
	qw_server/sv_main.c, qw_server/sv_move.c, qw_server/sv_nchan.c,
	qw_server/sv_phys.c, qw_server/sv_send.c, qw_server/sv_user.c,
	qw_server/sys_unix.c, qw_server/sys_win.c, qw_server/world.c,
	qw_server/worlda.s: Initial revision

1999-12-24 21:22  deek

	* AUTHORS, ChangeLog, INSTALL, Makefile, README, qw_server/progs.h,
	qw_server/model.c, qw_server/move.txt, qw_server/newnet.txt,
	qw_server/notes.txt, qw_server/Makefile, qw_server/pr_cmds.c,
	qw_server/pr_edict.c, qw_server/pr_comp.h, qw_server/pr_exec.c,
	qw_server/profile.txt, qw_server/progdefs.h, qw_server/qwsvdef.h,
	qw_server/server.h, qw_server/sys.h, qw_server/world.h,
	qw_server/sv_ccmds.c, qw_server/sv_ents.c, qw_server/sv_init.c,
	qw_server/sv_main.c, qw_server/sv_move.c, qw_server/sv_nchan.c,
	qw_server/sv_phys.c, qw_server/sv_send.c, qw_server/sv_user.c,
	qw_server/sys_unix.c, qw_server/sys_win.c, qw_server/world.c,
	qw_server/worlda.s: Import current unified tree

